<?php
return array(
    "name"          => esc_html__("Counter", "qonspt"),
    "base"          => "wst_counter",
    'category'      => esc_html__( 'Qonspt Shortcodes', "qonspt" ),
    'description'   => esc_html__( 'animated numbers changes in counter style with icons', "qonspt" ),
    'icon'          => 'no-bg stline-font-expand-horizontal',
    "params"        => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Box Shape",'qonspt'),
            "param_name"        => "counter_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                esc_html__( "Square",'qonspt') => "square",
                esc_html__( "Rounded",'qonspt') => "rounded",
                esc_html__( "Round",'qonspt') => "round",
            )
         ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Alignment', "qonspt" ),
            'param_name'        => 'counter_align',
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            'value'             => array(
                esc_html__( 'Center','qonspt') => 'text-center',
                esc_html__( 'Left','qonspt') => 'text-left',
                esc_html__( 'Right','qonspt') => 'text-right',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Use Icon', "qonspt" ),
            'param_name'        => 'use_icon',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1'
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color",'qonspt'),
            "param_name"        => "bx_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color",'qonspt'),
            "param_name"        => "bx_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width (px)",'qonspt'),
            "param_name"        => "bx_border_width",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "bx_border_style",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "value"             => array(
                esc_html__( "None",'qonspt')  => '',
                esc_html__( "Solid",'qonspt') => "solid",
                esc_html__( "Dashed",'qonspt') => "dashed",
                esc_html__( "Dotted",'qonspt') => "dotted",
                esc_html__( "Double",'qonspt') => "double",
            ),
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Hover Styling",'qonspt'),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hover_lbl",
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color",'qonspt'),
            "param_name"        => "bx_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color",'qonspt'),
            "param_name"        => "bx_hover_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-8',
         ),
         wst_animation(),
         wst_animation_delay(),
         wst_animation_duration(),
         array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt"),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Title",'qonspt'),
            "param_name"        => "item_title",  
            'group'             => esc_html__( 'Content','qonspt')
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Title Color",'qonspt'),
            "param_name"        => "title_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Content','qonspt')
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color",'qonspt'),
            "param_name"        => "title_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Content','qonspt')
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            "param_name"        => "title_size",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Content','qonspt')
         ),
         array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', "qonspt" ),
            'param_name'        => 'title_font_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Content','qonspt'),
            'value'             => array(
                esc_html__( '-- Select --','qonspt') => '',
                esc_html__( 'normal','qonspt') => 'normal',
                esc_html__( 'bold','qonspt') => 'bold',
                esc_html__( 'lighter','qonspt') => 'lighter',
                esc_html__( 'bolder','qonspt') => 'bolder',
                '100' => '100',
                '200' => '200',
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
                '900' => '900',
                esc_html__( 'inherit','qonspt') => 'inherit'
            ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Hover Styling",'qonspt'),
            "group"             => esc_html__( "Content",'qonspt'),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hover_lbl2",
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Title Color",'qonspt'),
            "param_name"        => "title_hove_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Content','qonspt')
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Title Background Color",'qonspt'),
            "param_name"        => "title_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-8',
            'group'             => esc_html__( 'Content','qonspt')
         ),array(
            'type'              => 'textarea_html',
            'heading'           => esc_html__( 'Content', "qonspt" ),
            'param_name'        => 'content',
            'admin_label'       => true,
            'group'             => esc_html__( 'Content','qonspt')
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color",'qonspt'),
            "param_name"        => "content_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'group'             => esc_html__( 'Content','qonspt')
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Start After",'qonspt'),
            "param_name"        => "item_timer",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "value"             => '1000',
            "description"       => esc_html__("time in ms Ex:(1000).",'qonspt'),
            'group'             => esc_html__( 'Number','qonspt')
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("From",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "param_name"        => "init_value",
            "value"             => '0',
            'group'             => esc_html__( 'Number','qonspt')
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("To",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "value"             => '1000',
            "param_name"        => "item_value",
            'group'             => esc_html__( 'Number','qonspt')
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Text Before Number",'qonspt'),
            "param_name"        => "item_before",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "group"             => esc_html__( 'Number','qonspt'),
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Text After Number",'qonspt'),
            "param_name"        => "item_after",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "group"             => esc_html__( 'Number','qonspt'),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color",'qonspt'),
            "param_name"        => "numbers_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Number','qonspt')
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color",'qonspt'),
            "param_name"        => "numbers_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Number','qonspt')
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            "param_name"        => "numbers_size",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Number','qonspt')
         ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', "qonspt" ),
            'param_name'        => 'item_font_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Number','qonspt'),
            'value'             => array(
                esc_html__( '-- Select --','qonspt') => '',
                esc_html__( 'normal','qonspt') => 'normal',
                esc_html__( 'bold','qonspt') => 'bold',
                esc_html__( 'lighter','qonspt') => 'lighter',
                esc_html__( 'bolder','qonspt') => 'bolder',
                '100' => '100',
                '200' => '200',
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
                '900' => '900',
                esc_html__( 'inherit','qonspt') => 'inherit'
            ),
        ),
        array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            "group"             => esc_html__( 'Icon','qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Position",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "param_name"        => "icon_pos",
            "group"             => esc_html__( "Icon",'qonspt'),
            "value"             => array(
                esc_html__( 'Inline','qonspt')   => 'inline',
                esc_html__( 'Block','qonspt')    => 'block',
            ),
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "param_name"        => "icon_align",
            "group"             => esc_html__( "Icon",'qonspt'),
            "value"             => array(
                esc_html__( 'Left','qonspt')      => 'left',
                esc_html__( 'Center','qonspt')    => 'center',
                esc_html__( 'Right','qonspt')     => 'right',
            ),
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape",'qonspt'),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "param_name"        => "icon_shape",
            "value" => array(
                esc_html__( 'Square','qonspt')    => 'square',
                esc_html__( 'Rounded','qonspt')   => 'rounded',
                esc_html__( 'round','qonspt')     => 'rounded-lg',
                esc_html__( 'Circle','qonspt')    => 'circle',
            ),
            "group"             => esc_html__( "Icon",'qonspt'),
            'dependency'        => array('element' => 'icon_align', 'not_empty' => true)
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Size",'qonspt'),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "param_name"        => "icon_size",
            "value"             => array(
                esc_html__( 'X-Small','qonspt')   => 'box-xs-icon',
                esc_html__( 'Small','qonspt')     => 'box-sm-icon',
                esc_html__( 'Normal','qonspt')    => 'box-md-icon',
                esc_html__( 'Large','qonspt')     => 'box-lg-icon',
                esc_html__( 'X-Large','qonspt')   => 'box-xl-icon',
                esc_html__( 'XX-Large','qonspt')  => 'box-xxl-icon'
            ),
            'dependency'        => array('element' => 'icon_align', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt'),
            "std"               => "box-md-icon"
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "icon_font_size",
            'group'             => esc_html__( 'Icon','qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width (in px.)", "qonspt"),
            "param_name"        => "icon_border_width",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt'),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color",'qonspt'),
            "param_name"        => "icon_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Icon','qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "icon_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt'),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "icon_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt'),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "param_name"        => "icon_hover_color",
            'group'             => esc_html__( 'Icon','qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "icon_bg_hover_color",
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Icon",'qonspt'),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Border Color", "qonspt"),
            "param_name"        => "icon_border_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt'),
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Box Shadow', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'box_shadow',
            'value'             => array(
                '' => '1',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Hover Shadow', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-9',
            'param_name'        => 'hover_shadow',
            'value'             => array(
                '' => '1',
            ),
        ),
    )
);
    
