<?php
return array(
    "name"                      => esc_html__("Instagram Feed", 'qonspt'),
    "base"                      => "wst_instagram",
    'category'                  => array(esc_html__( 'Qonspt Shortcodes', 'qonspt' ),'Social'),
    'icon'                      => 'no-bg fa fa-instagram',
    'description'               => esc_html__( 'Add Instagram box', 'qonspt' ),
    "content_element"           => true,
    "show_settings_on_create"   => true,
    "params"                    => array(
         /*array(
            "type" => "dropdown",
            "heading" => esc_html__("Get",'qonspt'),
            "param_name" => "get_insta",
            "value" => array(
                'Popular'   =>'popular',
                'User'      =>'user',
                'Tagged'    =>'tagged',
                'Location'  =>'location',
            ),
            "std"  => 'user'
        ),*/
        array(
            'type'              => 'textfield',
            'heading'           => esc_html__( 'Client ID', 'qonspt' ),
            'param_name'        => 'client_id',
            'std'               => '5995367889',
            'description'       => esc_html__( 'Type your Client ID.', 'qonspt' ),
        ),
        array(
            'type'              => 'textfield',
            'heading'           => esc_html__( 'Access Token', 'qonspt' ),
            'param_name'        => 'access_token',
            'std'               => '5995367889.1677ed0.07be8fc982714e4b812491f4c444c30b',
            'description'       => esc_html__( 'Get the Access token.', 'qonspt' ),
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Sort By",'qonspt'),
            "param_name"        => "insta_sort",
            "value"             => array(
                esc_html__( 'None' , 'qonspt' )              =>'none',
                esc_html__( 'Most Recent' , 'qonspt' )       =>'most-recent',
                esc_html__( 'Least Recent' , 'qonspt' )     =>'least-recent',
                esc_html__( 'Most Liked' , 'qonspt' )        =>'most-liked',
                esc_html__( 'Least Liked' , 'qonspt' )       =>'least-liked',
                esc_html__( 'Most Commented' , 'qonspt' )    =>'most-commented',
                esc_html__( 'Least Commented' , 'qonspt' )   =>'least-commented',
                esc_html__( 'Random' , 'qonspt' )            =>'random',
            ),
            "std"               => 'none'
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Resolution",'qonspt'),
            "param_name"        => "insta_resol",
            "value"             => array(
                esc_html__( 'Thumbnail 150 x 150' , 'qonspt' )           => 'thumbnail',
                esc_html__( 'Low Resolution 306 x 306' , 'qonspt' )      => 'low_resolution',
                esc_html__( 'Normal Resolution 612 x 612' , 'qonspt' )   => 'standard_resolution',
            ),
            "std"               => 'thumbnail'
        ),
        array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Limit', 'qonspt' ),
            'param_name'        => 'insta_limit',
            'std'               => '12',
            'description'       => esc_html__( 'Maximum number of feed items to be shown.', 'qonspt' ),
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Columns",'qonspt'),
            "param_name"        => "insta_columns",
            "value"             => array(
                esc_html__( '1 Column' , 'qonspt' ) => '1',
                esc_html__( '2 Columns' , 'qonspt' ) => '2',
                esc_html__( '3 Columns' , 'qonspt' ) => '3',
                esc_html__( '4 Columns' , 'qonspt' ) => '4',
                esc_html__( '5 Columns' , 'qonspt' ) => '5',
                esc_html__( '6 Columns' , 'qonspt' ) => '6',
            ),
            "std"               => '3',
        ),  
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Spaces",'qonspt'),
            "param_name"        => "gap",
            "value"             => array(
                'None'  =>'0',
                '1px'   =>'1px',
                '2px'   =>'2px',
                '3px'   =>'3px',
                '4px'   =>'4px',
                '5px'   =>'5px',
                '10px'  =>'10px',
                '15px'  =>'15px',
                '20px'  =>'20px',
                '25px'  =>'25px',
                '30px'  =>'30px',
                '35px'  =>'35px',
            ),
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Is Slider ?', 'qonspt' ),
            'param_name'        => 'is_slider',
            'description'       => esc_html__( 'If selected, Feed will be shown in slider mode.', 'qonspt' ),
            'value'             => array( esc_html__( 'Yes', 'qonspt' ) => '1' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Slides to show", "qonspt"),
            "param_name"        => "v_slides",
            'value'             => '4',
            'dependency'        => array( 'element' => 'is_slider', 'not_empty' => true),
            "description"       => esc_html__("number of visible slides.", "qonspt")
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Slides to Scroll", "qonspt"),
            "param_name"        => "v_scroll",
            'value'             => '4',
            'dependency'        => array( 'element' => 'is_slider', 'not_empty' => true),
            "description"       => esc_html__("number of slides that will scroll.", "qonspt")
        ),
        array(
            'type'              => 'textfield',
            'heading'           => esc_html__( 'Extra class name', 'qonspt' ),
            'param_name'        => 'el_class',
            'description'       => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'qonspt' )
        )
    )
);
    
