<?php

if( ! function_exists( 'column_inner_atts' ) ){
    function column_inner_atts() {
        return array (
            array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Align', 'qonspt' ),
                'param_name'        => 'col_align',
                'weight'            => 5,
                'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
                'value'             => array(
                      esc_html__( 'Default', 'qonspt' )  => '',
                      esc_html__( 'Left', 'qonspt' )     => 'text-left',
                      esc_html__( 'Center', 'qonspt' )   => 'text-center',
                      esc_html__( 'Right', 'qonspt' )    => 'text-right',
                ),
            ),
        );    
    }    
}

vc_add_params( 'vc_column_inner',          column_inner_atts() );
vc_map_update( 'vc_column_inner',          column_inner_atts() );
