<?php

if( ! function_exists( 'wst_vc_pie' ) ){
    function wst_vc_pie() {
        return array (
            array(
                'type'          => 'dropdown',
                'heading'       => esc_html__( 'PIE Style', 'qonspt' ),
                'param_name'    => 'pie_style',
                'group'         => esc_html__( 'Chart Style' , 'qonspt' ),
                'value'         => array( 
                    esc_html__( 'Simple' , 'qonspt' ) => 'simple',
                    esc_html__( 'Style 1' , 'qonspt' ) => 'style1',
                    esc_html__( 'Style 2' , 'qonspt' ) => 'style2' ,
                    esc_html__( 'Style 3' , 'qonspt' ) => 'style3' 
                ),
                'description'   => esc_html__( 'Select pie style.', 'qonspt' ),
            )
        );    
    }    
}

vc_add_params( 'vc_pie',        wst_vc_pie() );
vc_map_update( 'vc_pie',        wst_vc_pie() );