<?php

if( ! function_exists( 'section_atts' ) ){
    function section_atts() {
        return array (
        array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", 'qonspt'),
            "param_name"        => "i_icon_fontawesome",
            'dependency'        => array( 'element' => 'add_icon', 'not_empty' => true)
        ),array(
                'type'          => 'textfield',
                'heading'       => esc_html__( 'Extra class name', 'qonspt' ),
                'param_name'    => 'el_class',
                'description'   => esc_html__( 'Add an extra class name to this element.', 'qonspt' )
            )                
        );    
    }    
}

$sec_titl_param = WPBMap::getParam( 'vc_tta_section', 'title' );
$sec_titl_param['weight'] = 1000;        
vc_update_shortcode_param( 'vc_tta_section', $sec_titl_param );

$sec_ic_param = WPBMap::getParam( 'vc_tta_section', 'title' );
$sec_ic_param['weight'] = 1000;        
vc_update_shortcode_param( 'vc_tta_section', $sec_ic_param );

$sec_ic_param = WPBMap::getParam( 'vc_tta_section', 'i_type' );
$sec_ic_param['edit_field_class'] = 'vc_column hidden';        
vc_update_shortcode_param( 'vc_tta_section', $sec_ic_param );

vc_remove_param( 'vc_tta_section',      "el_class" );
vc_remove_param( 'vc_tta_section',      "i_icon_fontawesome" );
vc_remove_param( 'vc_tta_section',      "i_icon_openiconic" );
vc_remove_param( 'vc_tta_section',      "i_icon_typicons" );
vc_remove_param( 'vc_tta_section',      "i_icon_entypo" );
vc_remove_param( 'vc_tta_section',      "i_icon_linecons" );
vc_remove_param( 'vc_tta_section',      "i_icon_monosocial" );
vc_remove_param( 'vc_tta_section',      "i_icon_material" );
vc_add_params( 'vc_tta_section',        section_atts() );
vc_map_update( 'vc_tta_section',        section_atts() );