<?php

if ( ! function_exists( 'wst_animation' ) ) {
    function wst_animation(){
        return array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'CSS Animation', 'qonspt' ),
            'param_name'        => 'wst_animation', 
            'admin_label'       => true,
            "base"              => "css_animation",
            "as_parent"         => array('except' => 'css_animation'),
            "content_element"   => true,
            "icon"              => "css_animation",
            'value'             => array(
                esc_html__( 'None', 'qonspt' ) => '',

                esc_html__( 'Scale Large', 'qonspt' ) => 'scalelg',
                esc_html__( 'Scale Small', 'qonspt' ) => 'scalesm',

                esc_html__( 'bounce', 'qonspt' ) => 'bounce',
                esc_html__( 'flash', 'qonspt' ) => 'flash',
                esc_html__( 'pulse', 'qonspt' ) => 'pulse',
                esc_html__( 'rubberBand', 'qonspt' ) => 'rubberBand',
                esc_html__( 'shake', 'qonspt' ) => 'shake',
                esc_html__( 'swing', 'qonspt' ) => 'swing',
                esc_html__( 'tada', 'qonspt' ) => 'tada',
                esc_html__( 'wobble', 'qonspt' ) => 'wobble',
                esc_html__( 'jello', 'qonspt' ) => 'jello',

                esc_html__( 'bounceIn', 'qonspt' ) => 'bounceIn',
                esc_html__( 'bounceInDown', 'qonspt' ) => 'bounceInDown',
                esc_html__( 'bounceInLeft', 'qonspt' ) => 'bounceInLeft',
                esc_html__( 'bounceInRight', 'qonspt' ) => 'bounceInRight',
                esc_html__( 'bounceInUp', 'qonspt' ) => 'bounceInUp',

                esc_html__( 'bounceOut', 'qonspt' ) => 'bounceOut',
                esc_html__( 'bounceOutDown', 'qonspt' ) => 'bounceOutDown',
                esc_html__( 'bounceOutLeft', 'qonspt' ) => 'bounceOutLeft',
                esc_html__( 'bounceOutRight', 'qonspt' ) => 'bounceOutRight',
                esc_html__( 'bounceOutUp', 'qonspt' ) => 'bounceOutUp',

                esc_html__( 'fadeIn', 'qonspt' ) => 'fadeIn',
                esc_html__( 'fadeInDown', 'qonspt' ) => 'fadeInDown',
                esc_html__( 'fadeInDownBig', 'qonspt' ) => 'fadeInDownBig',
                esc_html__( 'fadeInLeft', 'qonspt' ) => 'fadeInLeft',
                esc_html__( 'fadeInLeftBig', 'qonspt' ) => 'fadeInLeftBig',
                esc_html__( 'fadeInRight', 'qonspt' ) => 'fadeInRight',
                esc_html__( 'fadeInRightBig', 'qonspt' ) => 'fadeInRightBig',
                esc_html__( 'fadeInUp', 'qonspt' ) => 'fadeInUp',
                esc_html__( 'fadeInUpBig', 'qonspt' ) => 'fadeInUpBig',

                esc_html__( 'fadeOut', 'qonspt' ) => 'fadeOut',
                esc_html__( 'fadeOutDown', 'qonspt' ) => 'fadeOutDown',
                esc_html__( 'fadeOutDownBig', 'qonspt' ) => 'fadeOutDownBig',
                esc_html__( 'fadeOutLeft', 'qonspt' ) => 'fadeOutLeft',
                esc_html__( 'fadeOutLeftBig', 'qonspt' ) => 'fadeOutLeftBig',
                esc_html__( 'fadeOutRight', 'qonspt' ) => 'fadeOutRight',
                esc_html__( 'fadeOutRightBig', 'qonspt' ) => 'fadeOutRightBig',
                esc_html__( 'fadeOutUp', 'qonspt' ) => 'fadeOutUp',
                esc_html__( 'fadeOutUpBig', 'qonspt' ) => 'fadeOutUpBig',

                esc_html__( 'flip', 'qonspt' ) => 'flip',
                esc_html__( 'flipInX', 'qonspt' ) => 'flipInX',
                esc_html__( 'flipInY', 'qonspt' ) => 'flipInY',
                esc_html__( 'flipOutX', 'qonspt' ) => 'flipOutX',
                esc_html__( 'flipOutY', 'qonspt' ) => 'flipOutY',

                esc_html__( 'lightSpeedIn', 'qonspt' ) => 'lightSpeedIn',
                esc_html__( 'lightSpeedOut', 'qonspt' ) => 'lightSpeedOut',

                esc_html__( 'rotateIn', 'qonspt' ) => 'rotateIn',
                esc_html__( 'rotateInDownLeft', 'qonspt' ) => 'rotateInDownLeft',
                esc_html__( 'rotateInDownRight', 'qonspt' ) => 'rotateInDownRight',
                esc_html__( 'rotateInUpLeft', 'qonspt' ) => 'rotateInUpLeft',
                esc_html__( 'rotateInUpRight', 'qonspt' ) => 'rotateInUpRight',

                esc_html__( 'rotateOut', 'qonspt' ) => 'rotateOut',
                esc_html__( 'rotateOutDownLeft', 'qonspt' ) => 'rotateOutDownLeft',
                esc_html__( 'rotateOutDownRight', 'qonspt' ) => 'rotateOutDownRight',
                esc_html__( 'rotateOutUpLeft', 'qonspt' ) => 'rotateOutUpLeft',
                esc_html__( 'rotateOutUpRight', 'qonspt' ) => 'rotateOutUpRight',

                esc_html__( 'slideInUp', 'qonspt' ) => 'slideInUp',
                esc_html__( 'slideInDown', 'qonspt' ) => 'slideInDown',
                esc_html__( 'slideInLeft', 'qonspt' ) => 'slideInLeft',
                esc_html__( 'slideInRight', 'qonspt' ) => 'slideInRight',

                esc_html__( 'slideOutUp', 'qonspt' ) => 'slideOutUp',
                esc_html__( 'slideOutDown', 'qonspt' ) => 'slideOutDown',
                esc_html__( 'slideOutLeft', 'qonspt' ) => 'slideOutLeft',
                esc_html__( 'slideOutRight', 'qonspt' ) => 'slideOutRight',

                esc_html__( 'zoomIn', 'qonspt' ) => 'zoomIn',
                esc_html__( 'zoomInDown', 'qonspt' ) => 'zoomInDown',
                esc_html__( 'zoomInLeft', 'qonspt' ) => 'zoomInLeft',
                esc_html__( 'zoomInRight', 'qonspt' ) => 'zoomInRight',
                esc_html__( 'zoomInUp', 'qonspt' ) => 'zoomInUp',

                esc_html__( 'zoomOut', 'qonspt' ) => 'zoomOut',
                esc_html__( 'zoomOutDown', 'qonspt' ) => 'zoomOutDown',
                esc_html__( 'zoomOutLeft', 'qonspt' ) => 'zoomOutLeft',
                esc_html__( 'zoomOutRight', 'qonspt' ) => 'zoomOutRight',
                esc_html__( 'zoomOutUp', 'qonspt' ) => 'zoomOutUp',

                esc_html__( 'hinge', 'qonspt' ) => 'hinge',
                esc_html__( 'rollIn', 'qonspt' ) => 'rollIn',
                esc_html__( 'rollOut', 'qonspt' ) => 'rollOut',

            ),
        );    
    }
}
if ( ! function_exists( 'wst_animation_delay' ) ) {
    function wst_animation_delay(){
        return array(
            "type"              => "numberfield",
            "heading"           => esc_html__( "Animation Duration", 'qonspt' ),
            "param_name"        => "duration",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'dependency'        => array(
                'element'   => 'wst_animation', 
                'not_empty' => true
            ),
        );    
    }
}
if ( ! function_exists( 'wst_animation_duration' ) ) {
    function wst_animation_duration(){
        return array(
            "type"              => "numberfield",
            "heading"           => esc_html__( "Animation Delay", 'qonspt' ),
            "param_name"        => "delay",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'dependency'        => array(
                'element'   => 'wst_animation', 
                'not_empty' => true
            ),
        );    
    }             
}
