<?php

if ( ! function_exists( 'gradientpicker' ) ) {
    function gradientpicker( $settings, $value ) {
        $html = '<div class="grad_wrapper">';
            $html .= '<div class="gradpic">
                    <div class="grad_tools">
                        <select class="gtype">
                            <option selected="selected" value="linear">'.esc_html__( 'Linear' , 'qonspt' ).'</option>
                            <option value="radial">'.esc_html__( 'Radial' , 'qonspt' ).'</option>
                        </select>
                        <select class="gposition">
                            <option selected="selected" value="left">'.esc_html__( 'Left' , 'qonspt' ).'</option>
                            <option value="right">'.esc_html__( 'Right' , 'qonspt' ).'</option>
                            <option value="top">'.esc_html__( 'Top' , 'qonspt' ).'</option>
                            <option value="bottom">'.esc_html__( 'Bottom' , 'qonspt' ).'</option>
                        </select>
                    </div>
                </div>
                <textarea class="hidden grad_vl wpb_vc_param_value wpb-textinput ' . $settings['param_name'] . ' ' . $settings['type'] . '" placeholder="'.$settings['std'].'" name="' . $settings['param_name'] . '" value="' . $value . '" data-vl="' . $value . '"></textarea></div>';
        return $html;
    }
}
vc_add_shortcode_param('gradientpicker', 'gradientpicker');