<?php  
function wst_anim_text_shortcode($atts, $content=null){
    extract(shortcode_atts( array(
        'in_anims'              => 'type',
        'text_txts'             => '',
        'text_txt'              => '',
        'text_color'            => '',
        'text_bg_color'         => '',
        'text_align'            => '',
        'wst_animation'          => '',
        'delay'                 => '',
        'duration'              => '',
        'el_class'              => '',
        'tag'                   => 'h3',
        'family'                => '',
        'con_family'            => '',
        'size'                  => '',
        'txt_size'              => '',
        'weight'                => '',
        'text_spacing'          => '',
        'text_lin_height'       => '',
        'text_italic'           => '',
        'text_underline'        => '',
        'main_color'            => '',
        'txt_before'            => 'Our theme comes with ',
        'txt_after'             => ' Theme Options!'
    ), $atts));
    
    $letid = uniqid( 'letters_' );
    
    $custom_stle = $output = '';
    $class = 'cp-text';
    $class .= ( $in_anims == 'type' || $in_anims == 'rotate-2' || $in_anims == 'rotate-3' || $in_anims == 'scale' ) ? ' letters' : "";
    $class .= ( $el_class != '' ) ? ' '.$el_class : "";
    $class .= ( $in_anims != '' ) ? ' '.$in_anims : "";
    
    $custom_stle .= "#{$letid}.cp-text{";
        $custom_stle .= ($text_align == 'center') ? "display: table;margin-left: auto;margin-right: auto;" : "";
        $custom_stle .= ($text_align == 'right') ? "display: table;margin: 0 0 0 auto;" : "";
        $custom_stle .= ($family != '') ? "font-family: {$family};" : "";
        $custom_stle .= ($size != '') ? "font-size: {$size}px;" : "";
        $custom_stle .= ($weight != '') ? "font-weight: {$weight};" : "";
        $custom_stle .= ($text_italic != '') ? "font-style: italic;" : "";
        $custom_stle .= ($text_spacing != '') ? "letter-spacing: {$text_spacing}px;" : "";
        $custom_stle .= ($text_lin_height != '') ? "line-height: {$text_lin_height}px;" : "";
        $custom_stle .= ($text_underline != '') ? "text-decoration: underline;" : "";
        $custom_stle .= ($main_color != '') ? "color: {$main_color};" : "";
    $custom_stle .= "}";
    
    $custom_stle .= "#{$letid}.cp-text span.cd-words-wrapper b{";
        $custom_stle .= ($con_family != '') ? "font-family: {$con_family};" : "";
        $custom_stle .= ($con_family == 'Playfair Display') ? "font-style: italic;" : "";
        $custom_stle .= ($txt_size != '') ? "font-size: {$txt_size}px;" : "";
    $custom_stle .= "}";
    
    $custom_stle .= "#{$letid} .cp-title span{";
        $custom_stle .= ($text_underline != '') ? "text-decoration: underline;" : "";
    $custom_stle .= "}";
    
    wst_inline_css( $custom_stle );
    
    shortCodeEnq($family);
    shortCodeEnq($con_family);
    
    if (function_exists('vc_param_group_parse_atts')) {
        $text_txts = (array) vc_param_group_parse_atts($text_txts);
    }
              
    $output .= "<{$tag} class='".$class."' id='".$letid."'>";
        $output .= '<span>'.esc_html($txt_before).'</span> ';
        if (is_array($text_txts)) {
            $output .= '<span class="cd-words-wrapper">';
                $count = 0;
                foreach ($text_txts as $feat) {
                    $count++;
                    $sel = ($count == 1) ? ' class="is-visible"' : '';
                    $txt = isset( $feat['text_txt']) ? $feat['text_txt'] : "";
                    $bgco = isset($feat['text_bg_color']) ? 'background-color:'.$feat['text_bg_color'].';' : '';
                    $co = isset($feat['text_color']) ? 'color:'.$feat['text_color'].'' : '';
                    $col = isset( $feat['text_color']) ? ' style="'.$bgco.$co.'"' : "";
                    $output .= " <b".$sel.$col.">". $txt ."</b>";
                }
            $output .= '</span>';
        }
        $output .= ' <span>'.esc_html($txt_after).'</span>';
    $output .= "</{$tag}>";
    
    wp_enqueue_script ( 'animated.text' );
    wp_enqueue_style ( 'animated.text' );
                 
    return $output;    
 
}

add_shortcode('wst_anim_text', 'wst_anim_text_shortcode');