<?php
class WPBakeryShortCode_wst_icbox extends WPBakeryShortCode {
    
    public function __construct(){
        add_shortcode('wst_iconbox', array(&$this, 'wst_iconbox_shortcode'));     
    }
    
    public function wst_iconbox_shortcode($atts, $content=null){
        global $allowedposttags;
        extract(shortcode_atts( array(
            
            'icon_param'                => 'outlinefont-Asset-180',
            
            'icbx_align'                => 'text-center',
            'padd_top'                  => '',
            'padd_right'                => '',
            'padd_bottom'               => '',
            'padd_left'                 => '',
            'marg_top'                  => '',
            'marg_right'                => '',
            'marg_bottom'               => '',
            'marg_left'                 => '',
            'bord_left'                 => '',
            'bord_right'                => '',
            'bord_top'                  => '',
            'bord_bottom'               => '',
            'bord_hover_left'           => '',
            'bord_hover_right'          => '',
            'bord_hover_top'            => '',
            'bord_hover_bottom'         => '',
            'border_color'              => '',
            'border_style'              => '',
            'border_radius'             => '',
            'icbx_bg'                   => 'color',
            'icbx_bg_color'             => '',
            'icbx_bg_grad'              => '',
            'reverse_content'           => '',
            'anim_content'              => '1',
            
            'box_shadow'                => '',
            'hover_shadow'              => '',
            'border_hover_width'        => '',
            'border_hover_color'        => '',
            'border_hover_radius'       => '',
            'border_hover_style'        => '',
            'icbx_hover_bg'             => 'color',
            'icbx_hover_bg_color'       => '',
            'icbx_hover_bg_grad'        => '',
            
            'wst_animation'              => '',
            'filter'                    => true,
            'delay'                     => '',
            'duration'                  => '',
            
            'icbx_shape'           => 'default',
            'skew_val'                  => '',
            'icbx_title'                => 'Icon Box Title',
            'icbx_title_tag'            => 'h4',
            'title_size'                => '',
            'icbx_title_weight'         => '',
            'icbx_title_color'          => '',
            'icbx_title_hover_color'    => '',
            'icbx_subtitle'             => '',
            'icbx_subtitle_tag'         => 'h6',
            'subtitle_size'             => '',
            'icbx_subtitle_weight'      => '',
            'icbx_subtitle_color'       => '',
            'icbx_subtitle_bg_color'    => '',
            'icbx_sub_hover_color'      => '',
            'icbx_sub_hover_bg_color'   => '',
            'icbx_sub_marg_top'         => '',
            'icbx_sub_marg_right'       => '',
            'icbx_sub_marg_bottom'      => '',
            'icbx_sub_marg_left'        => '',
            
            'content_hover_color'       => '',
            'use_icon'                  => '1',
            'icon_position'             => 'wst_block_icn',
            'icon_align'                => 'center',
            'icon_shape'                => 'default',
            'icon_skew_val'             => '', 
            'icon_align'                => '',
            'icon_size'                 => '',
            'icon_font_size'            => '',
            'icon_color'                => '',
            'icon_bg_color'             => '',
            'icon_border_color'         => '',
            'icon_border_width'         => '',
            'icon_border_style'         => '',
            'icon_hover_color'          => '',
            'icon_hover_bg_color'       => '',
            'icon_hover_border_color'   => '',
            'icon_border_rad'           => '',
            'icon_hover_border_rad'     => '',
            'icon_shadow'               => '',
            'icon_typ'                  => '',
            'icon_text'                 => '',
            'icon_image'                => '',
            'icbx_link'                 => '',
            'icon_height'               => '',
            'icon_width'                => '',
            'icon_marg_top'             => '',
            'icon_marg_right'           => '',
            'icon_marg_bottom'          => '',
            'icon_marg_left'            => '',
            'rel'                       => '',
            
            'cont_pad_top'              => '',
            'cont_pad_right'            => '',
            'cont_pad_bottom'           => '',
            'cont_pad_left'             => '',
            
            'show_more'                 => '',
            'more_style'                => 'text',
            'more_text'                 => 'Read More',
            'more_size'                 => 'btn-sm',
            'more_align'                => 'centered',
            'more_color'                => '',
            'more_hover_color'          => '',
            'more_icon_color'           => '',
            'more_icon_hover_color'     => '',
            'more_bg_color'             => '',
            'more_hover_bg_color'       => '',
            'more_bord_color'           => '',
            'more_hover_bord_color'     => '',
            'more_font_size'            => '',
            'more_letter_spacing'       => '',
            'more_font_weight'          => '',
            'more_anim'                 => '',
            'more_icon'                 => '',
            
            'el_class'                  => '',
            
        ), $atts));
        
        $output = $moreoutput = $iconClass = $icon_alt = $cr_cicle = $custom_stle = $icol = $icon = $mc = $mb = $mg = $tcol = $ifont = $tscol = $icss = $i_bgcol = $mstyle = $istyle = $isize = $atss = '';
        
        $boxid = uniqid( 'icbx_' );
        $icon_border_width = ( $icon_border_width != '' ) ? $icon_border_width : '1';
                
        $svgid = uniqid('svg-', '');
        $grd = esc_textarea($icbx_bg_grad);
        $on = strstr($grd, '#');
        $fist_hx = substr($on, 0, 7);
        
        $str2 = substr($on, 7);
        $needle = strstr($str2, '#'); 
        $sec_hx = substr($needle, 0, 7);
        
        $svghovid = uniqid('svghov-', '');
        $grd2 = esc_textarea($icbx_hover_bg_grad);
        $on2 = strstr($grd2, '#');
        $fist_hx2 = substr($on2, 0, 7);
        
        $str22 = substr($on2, 7);
        $needle2 = strstr($str22, '#'); 
        $sec_hx2 = substr($needle2, 0, 7);
        
        if (strpos($grd, 'radial') !== false) {
            $grdtype = 'radial';
        } else {
            $grdtype = 'linear';
        }
        
        if (strpos($grd2, 'radial') !== false) {
            $grdhovtype = 'radial';
        } else {
            $grdhovtype = 'linear';
        }
        
        // main box
        if( $padd_top != '' || $padd_right != '' || $padd_bottom != '' || $padd_left != '' || $marg_top != '' || $marg_right != '' || $marg_bottom != '' || $marg_left != '' || $icbx_bg_color || $bord_left != '' || $bord_right != '' || 
        $bord_top != '' || $bord_bottom != '' || $border_style || $border_color || $border_radius != ''  ){
            
            $custom_stle .= ".{$boxid}{";
                $custom_stle .= ( $padd_top != '' ) ? "padding-top: {$padd_top}px;" : "";
                $custom_stle .= ( $padd_right != '' ) ? "padding-right: {$padd_right}px;" : "";
                $custom_stle .= ( $padd_bottom != '' ) ? "padding-bottom: {$padd_bottom}px;" : "";
                $custom_stle .= ( $padd_left != '' ) ? "padding-left: {$padd_left}px;" : "";
                $custom_stle .= ( $marg_top != '' ) ? "margin-top: {$marg_top}px;" : "";
                $custom_stle .= ( $marg_right != '' ) ? "margin-right: {$marg_right}px;" : "";
                $custom_stle .= ( $marg_bottom != '' ) ? "margin-bottom: {$marg_bottom}px;" : "";
                $custom_stle .= ( $marg_left != '' ) ? "margin-left: {$marg_left}px;" : "";
                $custom_stle .= ( $border_color != '' && $icbx_shape == 'default' ) ? "border-color: {$border_color};" : "";
                $custom_stle .= ( $border_radius != '' && $icbx_shape == 'default' ) ? "border-radius: {$border_radius}px;" : "";
                $custom_stle .= ( $border_style != '' && $icbx_shape == 'default' ) ? "border-style: {$border_style};" : "";
                $custom_stle .= ( $bord_left != '' && $icbx_shape == 'default' ) ? "border-left-width: {$bord_left}px;" : "";
                $custom_stle .= ( $bord_top != '' && $icbx_shape == 'default' ) ? "border-top-width: {$bord_top}px;" : "";
                $custom_stle .= ( $bord_right != '' && $icbx_shape == 'default' ) ? "border-right-width: {$bord_right}px;" : "";
                $custom_stle .= ( $bord_bottom != '' && $icbx_shape == 'default' ) ? "border-bottom-width: {$bord_bottom}px;" : "";
                $custom_stle .= ( $icbx_bg_color != '' && $icbx_bg == 'color' && $icbx_shape == 'default' ) ? "background-color: {$icbx_bg_color};" : "";
                $custom_stle .= ( $icbx_bg_grad != '' && $icbx_bg == 'gradient' && $icbx_shape == 'default' ) ? "background: {$grd};" : "";
            $custom_stle .= "}";
            
        }
        
        if(  $icbx_shape != 'default' && ( $icbx_bg_color != '' || $icbx_bg_grad != '' || $bord_left != '' || $bord_right != '' || $bord_top != '' || $bord_bottom != '' || $border_style || $border_color || $border_radius != '' ) ){
            $custom_stle .= ".{$boxid}:before{";
                $custom_stle .= ( $icbx_bg_color != '' && $icbx_bg == 'color' ) ? "background-color: {$icbx_bg_color};" : "";
                $custom_stle .= ( $border_radius != '' ) ? "border-radius: {$border_radius}px;" : "";
                $custom_stle .= ( $icbx_bg_grad != '' && $icbx_bg == 'gradient' ) ? "background: url(#{$svgid});" : "";
                $custom_stle .= ( $border_style != '' ) ? "border-style: {$border_style};" : "";
                $custom_stle .= ( $border_color != '' ) ? "border-color: {$border_color};" : "";
                $custom_stle .= ( $bord_left != '' ) ? "border-left-width: {$bord_left}px;" : "";
                $custom_stle .= ( $bord_top != '' ) ? "border-top-width: {$bord_top}px;" : "";
                $custom_stle .= ( $bord_right != '' ) ? "border-right-width: {$bord_right}px;" : "";
                $custom_stle .= ( $bord_bottom != '' ) ? "border-bottom-width: {$bord_bottom}px;" : "";
            $custom_stle .= "}";    
        }
        
        if ( $skew_val != '' && $icbx_shape != 'default' ){
            $custom_stle .= ".{$boxid}:before{";
                $custom_stle .= ( $icbx_shape == 'skew-horiz' ) ? "transform: skewX({$skew_val}deg);" : "";
                $custom_stle .= ( $icbx_shape == 'skew-horiz' ) ? "-webkit-transform: skewX({$skew_val}deg);" : "";
                $custom_stle .= ( $icbx_shape == 'skew-vert' ) ? "transform: skewY({$skew_val}deg);" : "";
                $custom_stle .= ( $icbx_shape == 'skew-vert' ) ? "-webkit-transform: skewY({$skew_val}deg);" : "";
            $custom_stle .= "}";
        }

        // main box hover
        if( $border_hover_color || $bord_hover_left != '' || $bord_hover_right != '' || $bord_hover_top != '' || $bord_hover_bottom != '' || $border_hover_style || $border_hover_color ){
            
            $custom_stle .= ".{$boxid}:hover{";
                $custom_stle .= ( $border_hover_color != '' ) ? "border-color: {$border_hover_color} !important;" : "";
                $custom_stle .= ( $bord_hover_left != '' && $icbx_shape == 'default' ) ? "border-left-width: {$bord_hover_left}px;" : "";
                $custom_stle .= ( $bord_hover_right != '' && $icbx_shape == 'default' ) ? "border-right-width: {$bord_hover_right}px;" : "";
                $custom_stle .= ( $bord_hover_top != '' && $icbx_shape == 'default' ) ? "border-top-width: {$bord_hover_top}px;" : "";
                $custom_stle .= ( $bord_hover_bottom != '' && $icbx_shape == 'default' ) ? "border-bottom-width: {$bord_hover_bottom}px;" : "";
                $custom_stle .= ( $border_hover_style != '' && $icbx_shape == 'default' ) ? "border-style: {$border_hover_style} !important;" : "";
            $custom_stle .= "}";    
            
            $custom_stle .= ".{$boxid}:hover .box_content:before,.{$boxid}:hover .box_content:after,.{$boxid}:hover .box_content,.{$boxid}:hover .box_content{";
                $custom_stle .= ($border_hover_color != '') ? "border-color: {$border_hover_color};" : "";
            $custom_stle .= "}";
            
        }
        
        if( $icbx_shape != 'default' && ( $icbx_hover_bg_color != '' || $icbx_hover_bg_grad != '' || $bord_hover_left != '' || $bord_hover_right != '' || $bord_hover_top != '' || $bord_hover_bottom != '' ) ){
            $custom_stle .= ".{$boxid}:hover:before{";
                $custom_stle .= ( $icbx_hover_bg_color != '' && $icbx_hover_bg == 'color' ) ? "background-color: {$icbx_hover_bg_color};" : "";
                $custom_stle .= ( $icbx_hover_bg_grad != '' && $icbx_hover_bg == 'gradient' ) ? "background: {$icbx_hover_bg_grad};" : "";
                $custom_stle .= ( $bord_hover_left != '' ) ? "border-left-width: {$bord_hover_left}px;" : "";
                $custom_stle .= ( $bord_hover_right != '' ) ? "border-right-width: {$bord_hover_right}px;" : "";
                $custom_stle .= ( $bord_hover_top != '' ) ? "border-top-width: {$bord_hover_top}px;" : "";
                $custom_stle .= ( $bord_hover_bottom != '' ) ? "border-bottom-width: {$bord_hover_bottom}px;" : "";
                $custom_stle .= ($border_hover_color != '') ? "border-color: {$border_hover_color};" : "";
                $custom_stle .= ( $border_hover_style != '' ) ? "border-style: {$border_hover_style};" : "";
            $custom_stle .= "}";    
        } else if ( $icbx_shape == 'default' && ( $icbx_hover_bg_color != '' || $icbx_hover_bg_grad != '' || $bord_hover_left != '' || $bord_hover_right != '' || $bord_hover_top != '' || $bord_hover_bottom != '' ) ) {
            $custom_stle .= ".{$boxid}:hover{";
                $custom_stle .= ( $icbx_hover_bg_color != '' && $icbx_hover_bg == 'color' ) ? "background-color: {$icbx_hover_bg_color};" : "";
                $custom_stle .= ( $icbx_hover_bg_grad != '' && $icbx_hover_bg == 'gradient' ) ? "background: {$icbx_hover_bg_grad};" : "";
                $custom_stle .= ( $bord_hover_left != '' ) ? "border-left-width: {$bord_hover_left}px;" : "";
                $custom_stle .= ( $bord_hover_right != '' ) ? "border-right-width: {$bord_hover_right}px;" : "";
                $custom_stle .= ( $bord_hover_top != '' ) ? "border-top-width: {$bord_hover_top}px;" : "";
                $custom_stle .= ( $bord_hover_bottom != '' ) ? "border-bottom-width: {$bord_hover_bottom}px;" : "";
                $custom_stle .= ($border_hover_color != '') ? "border-color: {$border_hover_color};" : "";
                $custom_stle .= ( $border_hover_style != '' ) ? "border-style: {$border_hover_style};" : "";
            $custom_stle .= "}"; 
        }
        
        // title
        if( $icbx_title_color != '' || $icbx_title_hover_color != '' || $title_size != '' || $icbx_title_weight != '' ){
            $custom_stle .= ".{$boxid} .box_title{";
                $custom_stle .= ( $icbx_title_color != '' ) ? "color: {$icbx_title_color};" : "";
                $custom_stle .= ( $title_size != '' ) ? "font-size: {$title_size}px;" : "";
                $custom_stle .= ( $icbx_title_weight != '' ) ? "font-weight: {$icbx_title_weight};" : "";
            $custom_stle .= "}";
            
            $custom_stle .= ".{$boxid}:hover .box_title{";
                $custom_stle .= ( $icbx_title_hover_color != '' ) ? "color: {$icbx_title_hover_color};" : "";
            $custom_stle .= "}";
            
            $custom_stle .= ".{$boxid} .box_title a{";
                $custom_stle .= ( $icbx_title_color != '' ) ? "color: {$icbx_title_color};" : "";
            $custom_stle .= "}";
            
            $custom_stle .= ".{$boxid}:hover .box_title a{";
                $custom_stle .= ( $icbx_title_hover_color != '' ) ? "color: {$icbx_title_hover_color};" : "";
            $custom_stle .= "}";
        }

        // sub title
        if( $icbx_subtitle_color != '' || $icbx_subtitle_bg_color != '' || $icbx_sub_hover_color != '' || $icbx_sub_hover_bg_color != '' || $subtitle_size != '' || $icbx_subtitle_weight != '' || $icbx_sub_marg_top != '' || $icbx_sub_marg_right != '' || $icbx_sub_marg_bottom != '' || $icbx_sub_marg_left != '' ){
            $custom_stle .= ".{$boxid} .box_subtitle{";
                $custom_stle .= ($icbx_subtitle_color != '') ? "color: {$icbx_subtitle_color};" : "";
                $custom_stle .= ($subtitle_size != '') ? "font-size: {$subtitle_size}px;" : "";
                $custom_stle .= ($icbx_subtitle_weight != '') ? "font-weight: {$icbx_subtitle_weight};" : "";
                $custom_stle .= ($icbx_subtitle_bg_color != '') ? "background-color: {$icbx_subtitle_bg_color};" : "";
                $custom_stle .= ($icbx_sub_marg_top != '') ? "margin-top: {$icbx_sub_marg_top}px;" : "";
                $custom_stle .= ($icbx_sub_marg_right != '') ? "margin-right: {$icbx_sub_marg_right}px;" : "";
                $custom_stle .= ($icbx_sub_marg_bottom != '') ? "margin-bottom: {$icbx_sub_marg_bottom}px;" : "";
                $custom_stle .= ($icbx_sub_marg_left != '') ? "margin-left: {$icbx_sub_marg_left}px;" : "";
                $custom_stle .= "}";
            $custom_stle .= ".{$boxid}:hover .box_subtitle{";
                $custom_stle .= ($icbx_sub_hover_color != '') ? "color: {$icbx_sub_hover_color};" : "";
                $custom_stle .= ($icbx_sub_hover_bg_color != '') ? "background-color: {$icbx_sub_hover_bg_color};" : "";
            $custom_stle .= "}";
        }

        // content
        if(  $cont_pad_top || $cont_pad_right || $cont_pad_bottom || $cont_pad_left ){
            $custom_stle .= ".{$boxid} .box_text{";
                $custom_stle .= ($cont_pad_top != '') ? "padding-top: {$cont_pad_top}px;" : "";
                $custom_stle .= ($cont_pad_right != '') ? "padding-right: {$cont_pad_right}px;" : "";
                $custom_stle .= ($cont_pad_bottom != '') ? "padding-bottom: {$cont_pad_bottom}px;" : "";
                $custom_stle .= ($cont_pad_left != '') ? "padding-left: {$cont_pad_left}px;" : "";
            $custom_stle .= "}";
        }
        if( $content_hover_color != '' ){
            $custom_stle .= ".{$boxid}:hover .box_text,.{$boxid}:hover .box_text span{";
                $custom_stle .= ($content_hover_color != '') ? "color: {$content_hover_color} !important;" : "";
            $custom_stle .= "}";
        }

        // icon        
        if( $icon_color || $icon_bg_color || $icon_border_color || $icon_border_width || $icon_border_style || $icon_border_rad || $icon_font_size || $icon_width || $icon_height || $icon_hover_color || $icon_hover_bg_color || 
        $icon_hover_border_color || $icon_hover_border_rad || $icon_marg_top || $icon_marg_right || $icon_marg_bottom || $icon_marg_left  ){
            $custom_stle .= ".{$boxid} .box_icon{";
            
                $custom_stle .= ( $icon_color != '' ) ? "color: {$icon_color};" : "";
                $custom_stle .= ( $icon_bg_color != '' && $icon_shape == 'default' ) ? "background-color: {$icon_bg_color};" : "";
                $custom_stle .= ( $icon_border_color != '' && $icon_shape == 'default' ) ? "border-color: {$icon_border_color};" : "";
                $custom_stle .= ( $icon_border_width != '' && $icon_shape == 'default' ) ? "border-width: {$icon_border_width}px;" : "";
                $custom_stle .= ( $icon_border_style != '' && $icon_shape == 'default' ) ? "border-style: {$icon_border_style};" : "";
                $custom_stle .= ( $icon_border_rad != '' && $icon_shape == 'default' ) ? "border-radius: {$icon_border_rad}px;"    : "";
                $custom_stle .= ( $icon_font_size != '' ) ? "font-size: {$icon_font_size}px !important;" : "";                  
                $custom_stle .= ( $icon_size == 'custom' && $icon_width != '' ) ? "width: {$icon_width}px !important;" : "";
                $custom_stle .= ( $icon_size == 'custom' && $icon_width != '' ) ? "--width: {$icon_width}px !important;" : "";
                $custom_stle .= ( $icon_size == 'custom' && $icon_height != '' ) ? "height: {$icon_height}px !important;" : "";
                $custom_stle .= ( $icon_size == 'custom' && $icon_height != '' ) ? "--height: {$icon_height}px !important;" : "";
                $custom_stle .= ( $icon_border_width != '' ) ? "line-height: calc(var(--height) - {$icon_border_width}px) !important;" : "";
                $custom_stle .= ($icon_marg_top != '') ? "margin-top: {$icon_marg_top}px !important;" : "";
                $custom_stle .= ($icon_marg_right != '') ? "margin-right: {$icon_marg_right}px !important;" : "";
                $custom_stle .= ($icon_marg_bottom != '') ? "margin-bottom: {$icon_marg_bottom}px !important;" : "";
                $custom_stle .= ($icon_marg_left != '') ? "margin-left: {$icon_marg_left}px !important;" : "";
            $custom_stle .= "}";
                                  
            $custom_stle .= ".{$boxid}:hover .box_icon{";
                $custom_stle .= ( $icon_hover_color != '' ) ? "color: {$icon_hover_color};" : "";
                $custom_stle .= ( $icon_hover_bg_color != '' && $icon_shape == 'default' ) ? "background-color: {$icon_hover_bg_color};" : "";
                $custom_stle .= ( $icon_hover_border_color != '' && $icon_shape == 'default' ) ? "border-color: {$icon_hover_border_color};"     : "";
                $custom_stle .= ( $icon_hover_border_rad != '' && $icon_shape == 'default' ) ? "border-radius: {$icon_hover_border_rad}px;"    : "";
            $custom_stle .= "}";
            
        }
        
        if( $icon_bg_color || $icon_border_color || $icon_border_width || $icon_border_style || $icon_border_rad || $icon_hover_border_color || $icon_hover_border_rad  ){
            $custom_stle .= ".{$boxid} .box_icon:before{";
            
                $custom_stle .= ( $icon_bg_color != '' && $icon_shape != 'default' ) ? "background-color: {$icon_bg_color};" : "";
                $custom_stle .= ( $icon_border_color != '' && $icon_shape != 'default' ) ? "border-color: {$icon_border_color};" : "";
                $custom_stle .= ( $icon_border_width != '' && $icon_shape != 'default' ) ? "border-width: {$icon_border_width}px;" : "";
                $custom_stle .= ( $icon_border_style != '' && $icon_shape != 'default' ) ? "border-style: {$icon_border_style};" : "";
                $custom_stle .= ( $icon_border_rad != '' && $icon_shape != 'default' ) ? "border-radius: {$icon_border_rad}px;"    : "";
                
            $custom_stle .= "}";
                                  
            $custom_stle .= ".{$boxid}:hover .box_icon:before{";
                $custom_stle .= ( $icon_hover_bg_color != '' && $icon_shape != 'default' ) ? "background-color: {$icon_hover_bg_color};" : "";
                $custom_stle .= ( $icon_hover_border_color != '' && $icon_shape != 'default' ) ? "border-color: {$icon_hover_border_color};"     : "";
                $custom_stle .= ( $icon_hover_border_rad != '' && $icon_shape != 'default' ) ? "border-radius: {$icon_hover_border_rad}px;"    : "";
            $custom_stle .= "}";
            
        }
        
        if ( $icon_skew_val != '' && $icon_shape != 'default' ){
            $custom_stle .= ".{$boxid} .box_icon:before{";
                $custom_stle .= ( $icon_shape == 'skew-horiz' ) ? "transform: skewX({$icon_skew_val}deg);" : "";
                $custom_stle .= ( $icon_shape == 'skew-horiz' ) ? "-webkit-transform: skewX({$icon_skew_val}deg);" : "";
                $custom_stle .= ( $icon_shape == 'skew-vert' ) ? "transform: skewY({$icon_skew_val}deg);" : "";
                $custom_stle .= ( $icon_shape == 'skew-vert' ) ? "-webkit-transform: skewY({$icon_skew_val}deg);" : "";
            $custom_stle .= "}";
        }
        
        // read more
        
        if( $more_style == 'arrow' ){
            
            if( $more_color || $more_hover_color || $more_font_size ){
                $custom_stle .= ".{$boxid} .wst-more{";
                    $custom_stle .= ($more_color != '') ? "color: {$more_color};" : "";
                    $custom_stle .= ($more_font_size != '') ? "font-size: {$more_font_size}px;" : "";
                $custom_stle .= "}";
                $custom_stle .= ".{$boxid} .wst-more:hover,.{$boxid}:hover .wst-more{";
                    $custom_stle .= ($more_hover_color != '') ? "color: {$more_hover_color};" : "";
                $custom_stle .= "}";
            }

        } else {

            if( $more_color || $more_hover_color || $more_letter_spacing || $more_font_size || $more_font_weight ){
                $custom_stle .= ".{$boxid} .wst-more-btn{";
                    $custom_stle .= ($more_color != '') ? "color: {$more_color};" : "";
                    $custom_stle .= ($more_font_size != '') ? "font-size: {$more_font_size}px;" : "";
                    $custom_stle .= ($more_letter_spacing != '') ? "letter-spacing: {$more_letter_spacing}px;" : "";
                    $custom_stle .= ($more_font_weight != '') ? "font-weight: {$more_font_weight};" : "";
                $custom_stle .= "}";
                $custom_stle .= ".{$boxid} .wst-more-btn:hover,.{$boxid}:hover .wst-more-btn{";
                    $custom_stle .= ($more_hover_color != '') ? "color: {$more_hover_color};" : "";
                $custom_stle .= "}";        
            }
        
            if( $more_bg_color != '' || $more_bord_color ){
                $custom_stle .= ".{$boxid} .wst-more-btn:before{";
                    $custom_stle .= ( $more_bg_color != '' ) ? "background-color: {$more_bg_color};" : '';
                    $custom_stle .= ( $more_bord_color != '' ) ? "border: {$more_bord_color} 1px solid;" : '';
                $custom_stle .= "}";
            }
        
            if( $more_hover_bg_color != '' || $more_hover_bord_color != '' ){
                $custom_stle .= ".{$boxid} .wst-more-btn:hover:before,.{$boxid}:hover .wst-more-btn:before{";
                    $custom_stle .= ( $more_hover_bg_color != '' ) ? "background-color: {$more_hover_bg_color};" : '';
                    $custom_stle .= ( $more_hover_bord_color != '' ) ? "border: {$more_hover_bord_color} 1px solid;" : '';
                $custom_stle .= "}";
            }
        
            if($more_icon_color != ''){
                $custom_stle .= ".{$boxid} .wst-more-btn:after{";
                    $custom_stle .= "color: {$more_icon_color};";
                $custom_stle .= "}";
            }
        
            if($more_icon_hover_color != ''){
                $custom_stle .= ".{$boxid} .wst-more-btn:hover:after,.{$boxid}:hover .wst-more-btn:after{";
                    $custom_stle .= "color: {$more_icon_hover_color};";
                $custom_stle .= "}";
            }

        }        
        wst_inline_css( $custom_stle );
        
        $link = $icbx_link;
        $url = vc_build_link( $link );
        if ( ! empty( $url['rel'] ) ) {
            $rel = ' rel="' . esc_attr( $url['rel'] ) . '"';
        } 

        $iconClass = $icon_param;
        
        $icon_class = 'box_icon';
        $icon_class .= ( $icon_typ != 'image' && $icon_size != '' )     ? ' ' . $icon_size : '';
        $icon_class .= ( $icon_shape != 'default' )                     ? ' ' . $icon_shape  : '';
        $img_output = '';                
        if ( $icon_typ == 'text' ) {
            $icon = '<span>'.$icon_text.'</span>';
            $icon_class .= ' ic-txt';
        } else if ( $icon_typ == 'image' ){
            $img_id = preg_replace( '/[^\d]/', '', $icon_image );
            $img = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => 'full' ) );
            $filename = $img['p_img_large'][0];
            $ext = pathinfo($filename, PATHINFO_EXTENSION);
            
            if( $ext == 'svg' ){
                $find_string   = '<svg';
                $position = strpos($filename, $find_string);

                $svg_file_new = substr($filename, $position);

                $img_output = file_get_contents($svg_file_new);
            } else {
                $img_output = $img['thumbnail']; 
            }
            
            $icon_class .= ' ic-img';
            $icon = '<span>'.$img_output.'</span>';
        } else {
            $icon = "<i class='{$iconClass}'></i>";
        }
        
        if ( $show_more == '1' ) {

            $moreClass = 'wst-more ' . $more_align;
            $moreClass .= ( $more_style != 'arrow' ) ? ' wst-more-btn' : ' more_arrow';
            $moreClass .= ( $more_style == 'arrow' && $more_anim != '' ) ? ' '.$more_anim : '';

            $arrow_output = ( $more_style == 'arrow' && $more_icon != '' ) ? '<i class="'.esc_attr( $more_icon ).'"></i>' : '';
            //$arrow_output .= ( $more_style == 'arrow' && $more_anim != '' ) ? '<i class="'.esc_attr( $more_icon ).' anim_back"></i>' : '';

            $more_link = " href='" . esc_attr( $url['url'] ) . $rel . "' title='" . esc_attr( $url['title'] ) . "' target='" . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . "'";
            $mtxt = ( $more_style == 'arrow' ) ? $arrow_output : '<span>' . esc_attr( $more_text ) . '</span>';
            
            $moreoutput .= "<a class='{$moreClass}'{$more_link}>{$mtxt}</a>";
        }

        // animation styling...
        $data_anim = ($wst_animation != '')  ? ' data-animate="'.esc_js($wst_animation).'"' : '';
        $data_dur = ($duration != '')       ? ' data-animation-duration="'.esc_js($duration).'"' : '';
        $data_del = ($delay != '')          ? ' data-animation-delay="'.esc_js($delay).'"' : '';
        $animation = $data_anim.$data_del.$data_dur;
        
        $boxClass = 'wst-icon-box';
        $boxClass .= ' '.$boxid;
        $boxClass .= ( $icon_position != '')                            ? ' ' . $icon_position  : '';
        $boxClass .= ( $reverse_content != '')                          ? ' wst-reverse-box'    : '';
        $boxClass .= ( $el_class != '' )                                ? ' '.$el_class         : '';
        $boxClass .= ( $box_shadow != '' )                              ? ' icbx-shad'          : '';
        $boxClass .= ( $hover_shadow != '' )                            ? ' icbx-hover-shad'    : '';
        $boxClass .= ( $anim_content != '' )                            ? ' animate_content'    : '';
        $boxClass .= ( $icon_align != '' )                              ? ' icon-'.$icon_align  : '';
        $boxClass .= ( $icon_position == 'block_icon' )                 ? ' bl_icbx'            : "";
        $boxClass .= ( $wst_animation != '' )                            ? ' fx'                 : '';
        $boxClass .= ( $icbx_align != '' )                              ? ' '.$icbx_align       : '';
        $boxClass .= ( $icbx_shape != 'default' )                       ? ' '.$icbx_shape  : '';
        
        $subClass = ($icbx_subtitle_bg_color != '') ? ' sub_pad' : '';                

        // begin icon boxes...
        $output .= "<div class='{$boxClass}'{$animation}>";
            
            if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
                $box_title = '<a href="' . esc_attr( $url['url'] ) . '" ' . $rel . ' title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">'.esc_html($icbx_title).'</a>';
            } else {
                $box_title = esc_html( $icbx_title );
            }
                    
            if ( $use_icon == '1' && $icon_position != 'wst_inline_icn' ) {
                $output .= "<div class='{$icon_class}'>";
                    $output .= $icon;
                $output .= "</div>";
            }
            
            $output .= "<div class='box_content'>";
                
                if ( $icbx_title != '' ) {
                    $output .= "<{$icbx_title_tag} class='box_title'>";
                        if ( $use_icon == '1' && $icon_position == 'wst_inline_icn' ) {
                            $output .= "<span class='{$icon_class}'>{$icon}</span>";
                        }
                        $output .= $box_title;
                    $output .="</{$icbx_title_tag}>";
                }
                
                if ( $icbx_subtitle != '' ) {
                    $output .= "<{$icbx_subtitle_tag} class='box_subtitle{$subClass}'>".esc_html($icbx_subtitle)."</{$icbx_subtitle_tag}>";    
                }
                
                if ( $content != '' ) {
                    $output .= '<p class="box_text">'.wp_kses( $content, $allowedposttags, null ).'</p>';
                }
                
                $output .= $moreoutput;
                                
            $output .= '</div>';
                                                
        $output .= '</div>'; 
         
        return $output; 
     
    }

}

new WPBakeryShortCode_wst_icbox;
