<?php 
function wst_image_layers_shortcode($atts, $content=null){
    global $cl_style;
    extract(shortcode_atts( array(
        'images_layers'     => '',
        'layer_image'       => '',
        'img_size'          => 'full',
        'h_of'              => '',
        'v_of'              => '',
        'layer_anim'        => '',
        'inv'               => '300',
        'align'             => ''
    ), $atts));
    
    $boxid = uniqid( 'imglayer_' );   
    
    $custom_stle = "#{$boxid}{";
        $custom_stle .= ($align == 'center') ? "display:table;margin-left:auto;margin-right:auto" : "";
        $custom_stle .= ($align == 'right') ? "display:table;margin-left:auto;margin-right:0" : "";
    $custom_stle .= "}";
    
    wst_inline_css( $custom_stle );
        
    if (function_exists('vc_param_group_parse_atts')) {
        $images_layers = (array) vc_param_group_parse_atts($images_layers);
    }
    
    $output = '<div class="layers_wraper" id="'.$boxid.'">';
        $count = 0;
        foreach ($images_layers as $im) {
            $count++;
            $hfs = isset( $im['h_of']) ? $im['h_of'] : "";
            $vfs = isset( $im['v_of']) ? $im['v_of'] : ""; 
            $intv = isset( $im['inv']) ? $im['inv'] : "";
            $hf = ($hfs != '') ? ';left:'.$hfs.'%' : '';
            $vf = ($vfs != '') ? ';top:'.$vfs.'%' : '';
            $imgs = isset( $im['layer_image']) ? $im['layer_image'] : "";
            $anima = isset( $im['layer_anim']) ? ' fx ' : "";
            $animate = isset( $im['layer_anim']) ? ' data-animate="'.$im['layer_anim'].'" data-animation-delay="'.$intv.'"' : "";
            $img_id = preg_replace( '/[^\d]/', '', $imgs );
            $img = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size ) );
            $img_output = $img['thumbnail'];
            $lay_img = wp_get_attachment_image_src($im['layer_image'], 'full');
            $hei = $lay_img[2];
            $output .= '<div class="img_layer'.$anima.'" style="width:'.$lay_img[1].'px;height:'.$hei.'px;z-index:'.$count.$hf.$vf.'"'.$animate.'>'.$img_output.'</div>';  
        } 
    $output .= '</div>';
          
          
    return $output; 
 
}
add_shortcode('wst_images_layers', 'wst_image_layers_shortcode');