<?php
function wst_list_shortcode($atts, $content=null){
    global $cust_list_align;
    global $allowedposttags;
    global $list_border_width;
    global $list_border_color;
    global $list_border_style;
    extract(shortcode_atts( array(
        'icon_param'                => '',
        'icon_color'                => '',
        'icon_size'                 => '',
        'icon_height'               => '',
        'icon_width'                => '',
        'icon_bgcolor'              => '',
        'icon_shape'                => '',
        'use_icon'                  => '',
        'wst_animation'              => '',
        'delay'                     => '',
        'duration'                  => '',
        'el_class'                  => ''
    ), $atts));

    $custom_stle = $rel = $output = $class = '';

    $iconClass = $icon_param;
    $iconClass .= ( $icon_shape != '' ) ? ' '.$icon_shape : '';
    
    $listid = uniqid( 'wst_list_' );
    
    if( $list_border_width != '' || $list_border_color != '' || $list_border_style != '' ){
        $custom_stle .= ".{$listid}{";
            $custom_stle .= ($list_border_width != '') ? "border-top-width: {$list_border_width}px;" : "";
            $custom_stle .= ($list_border_color != '') ? "border-top-color: {$list_border_color};" : "";
            $custom_stle .= ($list_border_style != '') ? "border-top-style: {$list_border_style};" : "";
        $custom_stle .= "}";    
    }
    
    if( $icon_color || $icon_size || $icon_width || $icon_height || $icon_bgcolor ){
        $custom_stle .= ".{$listid} > i{";
            $custom_stle .= ($icon_color != '') ? "color: {$icon_color};" : "";
            $custom_stle .= ($icon_bgcolor != '') ? "background-color: {$icon_bgcolor};" : "";
            $custom_stle .= ($icon_size != '') ? "font-size: {$icon_size}px;" : "";
            $custom_stle .= ($icon_width != '') ? "width: {$icon_width}px;" : "";
            $custom_stle .= ($icon_height != '') ? "height: {$icon_height}px;" : "";
            $custom_stle .= ($icon_height != '') ? "line-height: {$icon_height}px;" : "";
        $custom_stle .= "}";    
    }
    
    wst_inline_css( $custom_stle );
    
    $class .= ( $icon_color != '' || $icon_size != '' || $list_border_width != '' || $list_border_color != '' || $list_border_style != '' ) ? $listid : "";
    $class .= ( $use_icon != '' ) ? ' hasI' : "";    
    $class .= ($el_class != '') ? ' '.$el_class : "";
    $class .= ($wst_animation != '') ? ' fx' : "";
            
    $iconOutput = '<i class="'.$iconClass.'"></i>';
    
    // animation styling...
    $data_anim = ($wst_animation != '') ? ' data-animate="'.esc_js($wst_animation).'"' : '';
    $data_dur = ($duration != '') ? ' data-animation-duration="'.esc_js($duration).'"' : '';
    $data_del = ($delay != '') ? ' data-animation-delay="'.esc_js($delay).'"' : '';
    $animation = $data_anim.$data_del.$data_dur;
            
    $output .= '<li class="'.$class.'"'.$animation.'>';
    
        $output .= ( $use_icon != '' ) ? $iconOutput : '';
                        
        $output .= ( $content != '' ) ? '<div class="wst_list_head">' : "";
            $output .= ( $content != '' ) ? wp_kses($content,$allowedposttags,null) : "";
        $output .= ( $content != '' ) ? '</div>' : "";
            
    $output .= '</li>';            
    
    return $output;
  
}                                               
add_shortcode('wst_list_item', 'wst_list_shortcode');