<?php
function wst_recent_posts_shortcode($atts, $content=null){
 
    extract(shortcode_atts( array(
        'wst_cat'               => '',
        'rp_style'              => '1',
        'el_class'              => '',
        'max_pos'               => '5',
        'rp_cols'               => '12',
        'img_size'              => 'large',
        'max_words'             => '20',
        'show_title'            => '1',
        'show_media'            => '1',
        'show_cat'              => '1',
        'show_except'           => '1',
        'show_tags'             => '1',
        'show_more'             => '',
        'show_auth'             => '',
        'mor_txt'               => 'Read More',
        'show_socials'          => '',
        'show_date'             => '1',
        'posts_exec'            => ''
    ), $atts));
    
    global $post;
    
    $posid = uniqid('rpost-', '');
    $exec_posts = esc_html($posts_exec);
    $exArray = explode(',', $exec_posts);
    $i = 1;
    $args = array(
        'category_name'         => $wst_cat,
        'post__not_in'          => $exArray,
        'posts_per_page'        => $max_pos,
        'ignore_sticky_posts'   => 1,
    ); 
    
    $t_cols = $cont = '';
    $holder         = (function_exists( 'wst_theme_option' )) ? wst_theme_option('img_placeholder')       : "";
 
    $t_cols = ' col-md-'.$rp_cols;
    
    $morevl     = ( $show_more != '' ) ? "1" : "0";
    $wst_query  = new WP_Query( $args );
    $tbs        = ( $max_pos != '' ) ? "data-slides='".$max_pos."'" : "";
        
    $classes  = 'recent-posts';
    $classes .= ( $el_class != '' ) ? ' '.$el_class : "";
    $classes .= ' '.$posid;
    $pg_type  = 'list';
        
    if ( $wst_query->have_posts() ) {
        
        $cont .= "<div class='{$classes}'>";
        
        $c = $cw = 0;
        
        while( $wst_query->have_posts() ) { 
        
            $wst_query->the_post();
            $wst_format = (get_post_format($post->ID)) ? get_post_format($post->ID) : 'standard';            
            $itemclass  = ( $wst_format == 'quote' || $wst_format == 'link' ) ? ' main-bg wst-abs-bg' : '';           
           
            if( $rp_style == 1 ) {
                
                $cont .= '<div class="'.$t_cols.'">';
                    $cont .= '<div class="recent-item '.$itemclass.' style1">';                        
                        
                        $cont .= ( $wst_format == 'quote' ) ? '<i class="stline-close-quote wst-abs-qte"></i>' : '';
                        $cont .= ( $wst_format == 'link' ) ? '<i class="stline-hyperlink-2 wst-abs-lnk"></i>' : '';                            
                        
                        $cont .='<div class="post-info">';
                                                    
                            $cont .= qonspt_post_thumbnail($img_size,$show_media);
                            
                            $cont .= ( $show_title == '1' ) ? qonspt_post_title() : "";
                            if( $show_except == '1' ){
                                $cont .= '<div class="entry-content">';
                                    $cont .= qonspt_post_summary($max_words,'','');
                                    $cont .= ( $show_socials != '' ) ? wst_blog_share($pg_type) : '';
                                    if( $show_auth == '1' || $show_date == '1' || $show_more == '1' ){
                                        $cont .= '<div class="bottom_links">';
                                            $cont .= ( $show_auth == '1' ) ? qonspt_author_inline($show_auth) : '';
                                            $cont .= ( $show_date == '1' ) ? '<span>'.get_the_date().'</span>' : '';
                                            $cont .= ( $show_more == '1' ) ? "<a class='rit-more main-color' href='" . esc_url(get_permalink($post->ID)) . "'>" . $mor_txt . "</a>" : '';
                                        $cont .= '</div>';   
                                    }
                                    
                                $cont .= '</div>';
                            }
                        $cont .= '</div>';
                                            
                    $cont .= '</div>';
                $cont .= '</div>';
                
            } else if( $rp_style == 3 ) {
                
                $cont .= '<div class="'.$t_cols.'">';
                    $cont .= '<div class="recent-item '.$itemclass.' style3">';                        
                        
                        $cont .= ( $wst_format == 'quote' ) ? '<i class="stline-close-quote wst-abs-qte"></i>' : '';
                        $cont .= ( $wst_format == 'link' ) ? '<i class="stline-hyperlink-2 wst-abs-lnk"></i>' : '';
                        
                        $cont .= qonspt_post_thumbnail($img_size,$show_media);
                            
                        $cont .='<div class="post-info">';
                            $cont .= ( $show_date == '1' ) ? '<div class="wst-meta-date"><i class="stline-calendar main-color"></i>' . get_the_date() . '</div>' : "";
                            $cont .= ( $show_title == '1' ) ? qonspt_post_title() : "";
                            if( $show_except != '' ){
                                $cont .= '<div class="entry-content">';
                                    $cont .= qonspt_post_summary($max_words,$morevl,$mor_txt);
                                    $cont .= ( $show_socials == '1' ) ? wst_blog_share($pg_type) : '';
                                $cont .= '</div>';
                            }
                        $cont .= '</div>';
                    
                    $cont .= '</div>';
                $cont .= '</div>';
            
            } else {
                
                $cont .= '<div class="'.$t_cols.'">';
                    $cont .= '<div class="recent-item '.$itemclass.' style2">';
                    
                        $cont .= ( $wst_format == 'quote' ) ? '<i class="stline-close-quote wst-abs-qte"></i>' : '';
                        $cont .= ( $wst_format == 'link' ) ? '<i class="stline-hyperlink-2 wst-abs-lnk"></i>' : '';
                                                    
                        $cont .= qonspt_post_thumbnail($img_size,$show_media);
                                
                        $cont .='<div class="post-info">';
                            $cont .= ( $show_cat == '1' ) ? '<div class="meta_cat">' . qonspt_listing_cat() . '</div>' : "";
                            $cont .= ( $show_title == '1' ) ? qonspt_post_title() : "";
                        $cont .= '</div>';
                        if( $show_except != '' || $show_socials != '' ){
                            $cont .= '<div class="entry-content">';
                                $cont .= ( $show_except == '1' ) ? qonspt_post_summary($max_words,$morevl,$mor_txt) : '';
                                $cont .= ( $show_socials == '1' ) ? wst_blog_share($pg_type) : '';
                            $cont .= '</div>';
                        }
                    
                    $cont .= '</div>';
                $cont .= '</div>';
                
            }
           
        }        
        
        $cont .= '</div>';
                
    } else {
        $cont .= '<div class="no_posts alert alert-danger t-center">'.__('No posts to be shown!!','qonspt').'</div>';
    }

    wp_reset_postdata();
     
    return $cont;      
}
                                              
add_shortcode('wst_recent_posts', 'wst_recent_posts_shortcode');