<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column_Inner
 */
$el_class = $colm_id = $custom_stle = $idl_shad = $idl_shad1 = $idl_shad2 = $idl_shad3 = $idl_shad4 = $shd_color = $data_anim = $data_dur = $data_del = $grad_bg = $section_bg_color = $col_bg_grad = $grd = $width = 
$wid = $css = $offset = $col_align = $class = '';
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$wid = ( function_exists( 'wst_theme_option' ) ) ? wst_get_vc_column( $width ).' ' : '';
$wid = ( function_exists( 'wst_theme_option' ) ) ? wst_column_offset_class_merge( $offset, $width ) : '';

$class .= ( $col_align != '' )          ? ' '.$col_align     : '';

$css_classes = array(
	$class,
    $colm_id,
    $this->getExtraClass( $el_class ),
    $wid,
    vc_shortcode_custom_css_class( $css )
);

if (vc_shortcode_custom_css_has_property( $css, array('border', 'background') )) {
    $css_classes[]=esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) );
}

$wrapper_attributes = array();

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$css_class .= ( $idl_shad != '' ) ? ' big_shadow' : "";
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';
$output .= wpb_js_remove_wpautop( $content );
$output .= '</div>';

echo $output;
