<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $content - shortcode content
 * @var $this WPBakeryShortCode_VC_Tta_Accordion|WPBakeryShortCode_VC_Tta_Tabs|WPBakeryShortCode_VC_Tta_Tour|WPBakeryShortCode_VC_Tta_Pageable
 */
$el_class = $acc_t_color = $acc_t_bg_color = $font_size = $size = $acc_t_border_color = $acc_t_border_color = $act_acc_t_color = $act_acc_t_bg_color = $act_acc_t_border_color = $sec_acc_bg_color = $sec_acc_color = $acc_icon_color = 
$act_acc_icon_color = $acc_icon_size = $css = $css_animation = $custom_stle = $list_padd_lft = $list_padd_rit = $list_padd_top = $list_padd_bot = $block_icon = $acc_t_border_top = $acc_t_border_right = 
$acc_t_border_bottom = $acc_t_border_left = $acc_t_border_style = $act_acc_t_border_style = $skew_acc = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
$this->resetVariables( $atts, $content );
extract( $atts );
$this->setGlobalTtaInfo();
$this->enqueueTtaStyles();
$this->enqueueTtaScript();
$accid = uniqid('accr-', '');

$output = "<style type='text/css'>";
    if( $acc_t_color != ''){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel-heading a{";
            $output .= "color:{$acc_t_color} !important;";
        $output .= "}";
    }
    
    if( $acc_t_bg_color != '' ){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel-heading {";
            $output .= "background-color:{$acc_t_bg_color};";    
        $output .= "}";
    }
    
    if( $acc_t_border_color || $acc_t_border_top || $acc_t_border_right || $acc_t_border_bottom || $acc_t_border_left || $acc_t_border_style ){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel-heading{";
            $output .= ( $acc_t_border_color != '' ) ? "border-color:{$acc_t_border_color} !important;" : "";
            $output .= ( $acc_t_border_top != '' ) ? "border-top-width:{$acc_t_border_top}px !important;" : "";
            $output .= ( $acc_t_border_right != '' ) ? "border-right-width:{$acc_t_border_right}px !important;" : "";
            $output .= ( $acc_t_border_bottom != '' ) ? "border-bottom-width:{$acc_t_border_bottom}px !important;" : "";
            $output .= ( $acc_t_border_left != '' ) ? "border-left-width:{$acc_t_border_left}px !important;" : "";
            $output .= ( $acc_t_border_style != '' ) ? "border-style:{$acc_t_border_style} !important;" : "";
                
        $output .= "}";
    }
    
    if( $act_acc_t_color ){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel.vc_active .vc_tta-panel-heading a{";
            $output .= "color:{$act_acc_t_color} !important;"; 
        $output .= "}";
    }
    
    if( $act_acc_t_bg_color ){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel.vc_active .vc_tta-panel-heading {";
            $output .= "background-color:{$act_acc_t_bg_color};";    
        $output .= "}";
    }
    
    if( $act_acc_t_border_color || $act_acc_t_border_style ){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel.vc_active .vc_tta-panel-heading{";
            $output .= ( $act_acc_t_border_color ) ? "border-color:{$act_acc_t_border_color} !important;" : "";
            $output .= ( $act_acc_t_border_style ) ? "border-style:{$act_acc_t_border_style} !important;" : "";    
        $output .= "}";
    }
    
    if( $skew_acc == '' && ( $sec_acc_bg_color || $sec_acc_color ) ){
        
        $output .= ".{$accid}.vc_tta.vc_general:not(.vc_tta-o-no-fill) .vc_tta-panel.vc_active{";
            $output .= ( $sec_acc_bg_color != '' ) ? "background-color:{$sec_acc_bg_color};" : '';
            $output .= ( $sec_acc_color != '' ) ? "color:{$sec_acc_color};" : '';
        $output .= "}";

    } else if ( $skew_acc != '' && ( $sec_acc_bg_color || $sec_acc_color ) ) {
        
        $output .= ".{$accid}.vc_tta.vc_general:not(.vc_tta-o-no-fill) .vc_tta-panel.vc_active .vc_tta-panel-body{";
            $output .= ( $sec_acc_bg_color != '' ) ? "background-color:{$sec_acc_bg_color};" : '';
            $output .= ( $sec_acc_color != '' ) ? "color:{$sec_acc_color};" : '';
        $output .= "}";

    }
    
    if( $acc_icon_color || $acc_icon_size ){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel .vc_tta-icon{";
            $output .= ( $acc_icon_color != '' ) ? "color:{$acc_icon_color} !important;" : "";
            $output .= ( $acc_icon_size != '' ) ? "font-size:{$acc_icon_size}px !important;" : ""; 
            $output .= ( $acc_icon_size != '' ) ? "vertical-align: middle;" : "";
        $output .= "}";
    }
    
    if( $act_acc_icon_color ){
        $output .= ".{$accid}.vc_tta.vc_general .vc_tta-panel.vc_active .vc_tta-icon{";
            $output .= ( $act_acc_icon_color != '' ) ? "color:{$act_acc_icon_color} !important;" : ""; 
        $output .= "}";
    }
    
    if( $font_size || $list_padd_lft || $list_padd_rit || $list_padd_top || $list_padd_bot ){
        $output .= ".{$accid} .vc_tta-tabs-list li a{";
            $output .= ( $font_size != '' ) ? "font-size:{$font_size}px !important;" : "";
            $output .= ( $list_padd_top != '' ) ? "padding-top:{$list_padd_top}px !important;" : "";
            $output .= ( $list_padd_bot != '' ) ? "padding-bottom:{$list_padd_bot}px !important;" : "";
            $output .= ( $list_padd_lft != '' ) ? "padding-left:{$list_padd_lft}px !important;" : "";
            $output .= ( $list_padd_rit != '' ) ? "padding-right:{$list_padd_rit}px !important;" : "";
        $output .= "}";
    }
    
    if( $block_icon ){
        $output .= ".{$accid} .vc_tta-tabs-list li a i{";
            $output .= "display: table !important;";
            $output .= "margin: 0 auto 15px !important;";
            $output .= "line-height: 1 !important;";
            $output .= "font-size: 170% !important;";
        $output .= "}";
    }
        
$output .= "</style>";


// It is required to be before tabs-list-top/left/bottom/right for tabs/tours
$prepareContent = $this->getTemplateVariable( 'content' );

$class_to_filter = $this->getTtaGeneralClasses();
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );
$class_to_filter .= ' '.$accid;
$class_to_filter .= ( $skew_acc != '' ) ? ' skew_acc' : '';
$class_to_filter .= ( $acc_t_bg_color || $acc_t_border_left || $acc_t_border_right || $act_acc_t_bg_color  ) ? ' with_pd' : '';
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$output .= '<div ' . $this->getWrapperAttributes() . '>';
    $output .= $this->getTemplateVariable( 'title' );
    $output .= '<div class="' . esc_attr( $css_class ) . '">';
        $output .= $this->getTemplateVariable( 'tabs-list-top' );
        $output .= $this->getTemplateVariable( 'tabs-list-left' );
        $output .= '<div class="vc_tta-panels-container">';
            $output .= $this->getTemplateVariable( 'pagination-top' );
            $output .= '<div class="vc_tta-panels">';
                $output .= $prepareContent;
            $output .= '</div>';
            $output .= $this->getTemplateVariable( 'pagination-bottom' );
        $output .= '</div>';
        $output .= $this->getTemplateVariable( 'tabs-list-bottom' );
        $output .= $this->getTemplateVariable( 'tabs-list-right' );
    $output .= '</div>';
$output .= '</div>';

echo $output;
