<?php 
function wst_twitter_shortcode($atts, $content=null){
    global $allowedposttags;
    extract(shortcode_atts( array(
        'el_class'      => '',
        'twit_user'     => '',
        'twit_height'   => '',
        'is_slider'     => '1',
        'v_slides'      => '1',
        'v_scroll'      => '1',
        'font_size'     => '',
        'font_color'    => '',
        'links_color'   => '',
        'font_weight'   => '',
        'hide_avatar'   => '',
        'font_family'   => '',
        'font_style'    => '',
        'line_height'   => '',
        'tw_num'        => '4'
    ), $atts));
    
    $custom_stle = $attrs = '';
        
    wp_enqueue_script( 'qonspt-twitter-widget', '//platform.twitter.com/widgets.js' );
    
    $twid = uniqid( 'twit_' );
    
    if( $twit_height != '' && $is_slider == '' ){
        $custom_stle .= ".{$twid}{";
            $custom_stle .= ($twit_height != '') ? "height: {$twit_height}px;" : "";
        $custom_stle .= "}";    
    }
    
    $custom_stle .= ".{$twid} p.timeline-Tweet-text{";
        $custom_stle .= ($font_color != '') ? "color: {$font_color};" : "";
        $custom_stle .= ($font_family != '') ? "font-family: {$font_family};" : "";
        $custom_stle .= ($font_size != '') ? "font-size: {$font_size}px;" : "";
        $custom_stle .= ($line_height != '') ? "line-height: {$line_height}px;" : "";
        $custom_stle .= ($font_weight != '') ? "font-weight: {$font_weight};" : "";
        $custom_stle .= ($font_style != '') ? "font-style: {$font_style};" : "";
    $custom_stle .= "}";
    
    $custom_stle .= ".{$twid} p.timeline-Tweet-text a{";
        $custom_stle .= ($font_size != '') ? "font-size: {$font_size}px;" : "";
    $custom_stle .= "}";
    
    $custom_stle .= ".{$twid} .timeline-Tweet a{";
        $custom_stle .= ($links_color != '') ? "color: {$links_color};" : "";
    $custom_stle .= "}";
    
    wst_inline_css( $custom_stle );
    shortCodeEnq($font_family);
    
    $attrs .= ( $v_slides !='' && $is_slider != '' ) ?  ' data-slidesnum= "'. esc_attr( $v_slides ) .'"' : '';
    $attrs .= ( $v_scroll !='' && $is_slider != '' ) ?  ' data-scamount= "'. esc_attr( $v_scroll ) .'"' : '';
    
    $class  = 'wst-twitter-shortcode';
    $class .= ( $is_slider != '' ) ? ' has-slider' : "";
    $class .= ( $el_class == '' ) ? ' '.$el_class : "";
    $class .= ( $hide_avatar != '' ) ? ' hide_av' : "";
    $class .= ' '.$twid;    
        
    $output = '<div class="twitter_wrap">';
        $output .= '<div class="'.$class.'"'.$attrs.'></div>';
        $output .= '<a class="twitter-timeline" href="//twitter.com/'.esc_attr( $twit_user ).'" data-tweet-limit="'.esc_attr( $tw_num ).'"></a>';
    $output .= '</div>';
    
    return $output;  
}
add_shortcode('wst_twitter', 'wst_twitter_shortcode');