<?php

/**
 * Search 
 *
 * @package bbPress
 * @subpackage Theme
 */
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );
?>

<form role="search" method="get" id="bbp-search-form" class="search-form top-srch-forum" action="<?php bbp_search_url(); ?>">
    <label class="screen-reader-text" for="bbp_search"><?php esc_html__( 'Search for:', 'qonspt' ); ?></label>
    <input type="hidden" name="action" value="bbp-search-request" />
    <input tabindex="<?php bbp_tab_index(); ?>" class="form-control" type="text" value="<?php echo esc_attr( bbp_get_search_terms() ); ?>" name="bbp_search" id="bbp_search" />
    <button tabindex="<?php bbp_tab_index(); ?>" type="submit" id="bbp_search_submit" class="btn main-color"><i class="fa fa-search"></i></button>
</form>
