<?php
/**
 *
 * Style Parser
 *
 * @version 1.0.0
 *
**/
 
function wst_custom_css() {
    
    ob_start ();
    
    $wst_css            = '';
    $darkest_percent    = -10;
    $m_main_color       = esc_html(get_post_meta( wst_page_id(), 'meta_body_main_color' , true));
    $hex_str            = ( $m_main_color != '' ) ?  $m_main_color : esc_html(wst_theme_option( "skin_color" ));
    $h_bg_color         = esc_html(get_post_meta( wst_page_id(), 'meta_header_bg_color' , true));
    $h_bor_top_color    = esc_html(get_post_meta( wst_page_id(), 'meta_header_bor_top_color' , true));
    $h_bor_bot_color    = esc_html(get_post_meta( wst_page_id(), 'meta_header_bor_bot_color' , true));
    $bar_bot_color      = esc_html(get_post_meta( wst_page_id(), 'meta_bar_bor_bot_color' , true));
    $h_bg_img           = esc_html(get_post_meta( wst_page_id(), 'meta_header_bg_img' , true));
    $h_bg_repeat        = esc_html(get_post_meta( wst_page_id(), 'meta_header_bg_repeat' , true));
    $h_bg_size          = esc_html(get_post_meta( wst_page_id(), 'meta_header_bg_size' , true));
    $h_color            = esc_html(get_post_meta( wst_page_id(), 'meta_header_font_color' , true)); 
    $hi_color           = esc_html(get_post_meta( wst_page_id(), 'meta_header_icon_color' , true));
    $h_hover_color      = esc_html(get_post_meta( wst_page_id(), 'meta_header_hover_color' , true));    
    $meta_header        = esc_html(get_post_meta( wst_page_id(), 'meta_header_style' , true));
    $meta_head_vis      = esc_html(get_post_meta( wst_page_id(), 'meta_header_invisible' , true));
    $meta_side_btn_col  = esc_html(get_post_meta( wst_page_id(), 'meta_side_btn_color' , true));
    $them_header        = esc_html(wst_theme_option('header_style'));
    $thm_submenu        = esc_html(wst_theme_option('sub_menu_color'));
    $thm_sub_bg_color   = esc_html(wst_theme_option('sub_menu_bg_color'));
    $thm_sub_color      = esc_html(wst_theme_option('sub_menu_font_color'));
    $thm_sub_bg         = esc_html(wst_theme_option('sub_menu_bg_color'));
    $sub_menu           = esc_html(get_post_meta( wst_page_id(), 'meta_sub_menu_color' , true));
    $m_sub_color        = esc_html(get_post_meta( wst_page_id(), 'meta_cust_sub_color' , true));
    $m_sub_bg           = esc_html(get_post_meta( wst_page_id(), 'meta_cust_sub_bg_color' , true));
    $m_h_pos            = esc_html(get_post_meta( wst_page_id() , 'meta_header_position' , true));
    $m_nav_bord_c       = esc_html(get_post_meta( wst_page_id() , 'meta_nav_border_color' , true));
    $m_nav_bord_w       = esc_html(get_post_meta( wst_page_id() , 'meta_nav_border_width' , true));
    $t_nav_bord_c       = esc_html(wst_theme_option('nav_border_color'));
    $t_nav_bord_w       = esc_html(wst_theme_option('nav_border_width'));
    $sbar_width         = ( wst_theme_option( 'sidebar_width' ) ) ? wst_theme_option( 'sidebar_width' ) : '25';
    $cont_padd          = esc_html(wst_theme_option( 'content_padding' ));
    $stick_tab          = esc_html(wst_theme_option('sticky_tablets'));
    $stick_mob          = esc_html(wst_theme_option('sticky_mobiles'));
    $top_color          = esc_html(wst_theme_option("topbar_color"));
    $meta_bar_color     = esc_html(get_post_meta(wst_page_id(),'meta_topbar_color',true));
    $meta_col           = esc_html(get_post_meta(wst_page_id(),'meta_bar_color',true));
    $meta_fcol          = esc_html(get_post_meta(wst_page_id(),'meta_bar_fcolor',true));
    $meta_hovcol        = esc_html(get_post_meta(wst_page_id(),'meta_bar_hovcolor',true));
    $meta_icol          = esc_html(get_post_meta(wst_page_id(),'meta_bar_icolor',true));
    $meta_menu_size     = esc_html(get_post_meta(wst_page_id(),'meta_menu_font_size',true));
    $meta_menu_spac     = get_post_meta(wst_page_id(),'meta_menu_spacing',true);
    $meta_menu_weight   = esc_html(get_post_meta(wst_page_id(),'meta_menu_weight',true));
    $meta_menu_letter   = esc_html(get_post_meta(wst_page_id(),'meta_menu_letter',true));
    $meta_menu_style    = esc_html(get_post_meta(wst_page_id(),'meta_menu_style',true));
    $thm_col            = esc_html(wst_theme_option('barbgcolor'));
    $thm_bg             = esc_url(wst_theme_option('bar_image'));
    $thm_rp             = esc_html(wst_theme_option('bar_img_repeat'));
    $thm_cov            = esc_html(wst_theme_option('bar_img_full_width'));
    $thm_fcol           = esc_html(wst_theme_option('barcolor'));
    $thm_hovcol         = esc_html(wst_theme_option('barhovercolor'));
    $thm_icol           = esc_html(wst_theme_option('bariconcolor'));
    $sl_padd            = esc_html(wst_theme_option( 'sliding_padding' ));
    $men_anim           = wst_theme_option( 'links-anim' );
    $srch_icn_col       = ( get_post_meta(wst_page_id(),'meta_srch_icon_color',true) == '' ) ? wst_theme_option( 'srch_icon_color' ) : get_post_meta(wst_page_id(),'meta_srch_icon_color',true);
    $srch_icn_hovcol    = ( get_post_meta(wst_page_id(),'meta_srch_icon_hovcolor',true) == '' ) ? wst_theme_option( 'srch_icon_hovcolor' ) : get_post_meta(wst_page_id(),'meta_srch_icon_hovcolor',true);
    $srch_icn_bgcol     = ( get_post_meta(wst_page_id(),'meta_srch_icon_bgcolor',true) == '' ) ? wst_theme_option( 'srch_icon_bgcolor' ) : get_post_meta(wst_page_id(),'meta_srch_icon_bgcolor',true);
    $srch_icn_bordcol   = ( get_post_meta(wst_page_id(),'meta_srch_icon_border_color',true) == '' ) ? wst_theme_option( 'srch_icon_border_color' ) : get_post_meta(wst_page_id(),'meta_srch_icon_border_color',true);
    $cart_icn_col       = ( get_post_meta(wst_page_id(),'meta_cart_icon_color',true) == '' ) ? wst_theme_option( 'cart_icon_color' ) : get_post_meta(wst_page_id(),'meta_cart_icon_color',true);
    $cart_icn_hovcol    = ( get_post_meta(wst_page_id(),'meta_cart_icon_hovcolor',true) == '' ) ? wst_theme_option( 'cart_icon_hovcolor' ) : get_post_meta(wst_page_id(),'meta_cart_icon_hovcolor',true);
    $cart_icn_bgcol     = ( get_post_meta(wst_page_id(),'meta_cart_icon_bgcolor',true) == '' ) ? wst_theme_option( 'cart_icon_bgcolor' ) : get_post_meta(wst_page_id(),'meta_cart_icon_bgcolor',true);
    $cart_icn_bordcol   = ( get_post_meta(wst_page_id(),'meta_cart_icon_border_color',true) == '' ) ? wst_theme_option( 'cart_icon_border_color' ) : get_post_meta(wst_page_id(),'meta_cart_icon_border_color',true);
    $slbr_icn_col       = ( get_post_meta(wst_page_id(),'meta_slbr_icon_color',true) == '' ) ? wst_theme_option( 'slbr_icon_color' ) : get_post_meta(wst_page_id(),'meta_slbr_icon_color',true);
    $slbr_icn_hovcol    = ( get_post_meta(wst_page_id(),'meta_slbr_icon_hovcolor',true) == '' ) ? wst_theme_option( 'slbr_icon_hovcolor' ) : get_post_meta(wst_page_id(),'meta_slbr_icon_hovcolor',true);
    $slbr_icn_bgcol     = ( get_post_meta(wst_page_id(),'meta_slbr_icon_bgcolor',true) == '' ) ? wst_theme_option( 'slbr_icon_bgcolor' ) : get_post_meta(wst_page_id(),'meta_slbr_icon_bgcolor',true);
    $slbr_icn_bordcol   = ( get_post_meta(wst_page_id(),'meta_slbr_icon_border_color',true) == '' ) ? wst_theme_option( 'slbr_icon_border_color' ) : get_post_meta(wst_page_id(),'meta_slbr_icon_border_color',true);
    $thm_dark_sub       = wst_colourCreator($thm_sub_bg, $darkest_percent);
    $m_dark_sub         = wst_colourCreator($m_sub_bg, $darkest_percent);
    $darkthm            = wst_colourCreator($hex_str, $darkest_percent);
    $rgbacolor          = wst_hex_to_rgb($hex_str, true, ',');
    $padd_top           = explode('|', $cont_padd);
    $padd_bottom        = substr($cont_padd, strpos($cont_padd, "|") + 1);
    $sl_pad_top         = explode('|', $sl_padd);
    $sl_pad_bottom      = substr($sl_padd, strpos($sl_padd, "|") + 1);
    $sb_width           = 100 - $sbar_width;
    $head_style         = ( $meta_header == '' ) ? $them_header : $meta_header;
    $langcode = '';
    if ( class_exists( 'SitePress' ) ) {
        $langcode = '-'.ICL_LANGUAGE_CODE;
    } else if( class_exists( 'Polylang' ) ){
        $langcode = '-'. pll_current_language();
    }
        
    // Body Styling...
    $m_body_color       = ( get_post_meta( wst_page_id(), 'meta_body_font_color' , true) == '' ) ? wst_theme_option('bodyfontcolor') : get_post_meta( wst_page_id(), 'meta_body_font_color' , true);
    $m_body_bg_col      = ( get_post_meta( wst_page_id(), 'meta_body_bg_color' , true) == '' ) ? wst_theme_option('bodybgcolor') : get_post_meta( wst_page_id(), 'meta_body_bg_color' , true);
    $m_body_link_col    = ( get_post_meta( wst_page_id(), 'meta_body_link_color' , true) == '' ) ? wst_theme_option('bodylinkscolor') : get_post_meta( wst_page_id(), 'meta_body_link_color' , true);
    $m_body_bg_img      = esc_html(get_post_meta( wst_page_id(), 'meta_body_bg_img' , true));
    $m_body_bg_rpt      = esc_html(get_post_meta( wst_page_id(), 'meta_body_bg_repeat' , true));
    $m_body_bg_siz      = esc_html(get_post_meta( wst_page_id(), 'meta_body_bg_size' , true));
    $m_body_bg_prx      = esc_html(get_post_meta( wst_page_id(), 'meta_body_parallax' , true));
    
    $custom_fonts       = esc_html(wst_theme_option( 'custom_fonts' ));
    for ( $i = 1; $i <= $custom_fonts ; $i++ ) {
        $fname  = wst_theme_option('custom_font_name_'.$i);
        $feot   = wst_theme_option('custom_font_eot_'.$i);
        $fwoff  = wst_theme_option('custom_font_woff_'.$i);
        $fttf   = wst_theme_option('custom_font_ttf_'.$i);
        $fsvg   = wst_theme_option('custom_font_svg_'.$i);
        $fcss   = wst_theme_option('custom_font_css_'.$i);
        
        $wst_css .= "
        @font-face {
            font-family: '{$fname}';
            src: url('{$feot}');
            src: url('{$feot}?#iefix') format('embedded-opentype'),
                 url('{$fwoff}') format('woff'),
                 url('{$fttf}') format('truetype'),
                 url('{$fsvg}#rieslingregular') format('svg');
            font-weight: normal;
            font-style: normal;
        }";
        $wst_css .= $fcss;
    }

    $wst_css .= "body{";
        
        $wst_css .= "font-family: ".wst_theme_option('body_font'.$langcode).", sans-serif;";
        $wst_css .= ( wst_theme_option('body_font_size'.$langcode) )    ? "font-size: ".wst_theme_option('body_font_size'.$langcode)."px;"          : "";
        $wst_css .= ( wst_theme_option('body_font_weight'.$langcode) )  ? "font-weight: ".wst_theme_option('body_font_weight'.$langcode).";"        : "";
        $wst_css .= ( wst_theme_option('body_lett_space'.$langcode) )   ? "letter-spacing: ".wst_theme_option('body_lett_space'.$langcode)."px;"    : "";
        $wst_css .= ( wst_theme_option('body_line_height'.$langcode) )  ? "line-height: ".wst_theme_option('body_line_height'.$langcode)."px;"      : "";
        $wst_css .= ( $m_body_color )                                   ? "color: ".$m_body_color.";"                                               : '';
                    
    if ( $m_body_bg_col || $m_body_bg_img || wst_theme_option('bodybgimage') ) {
                    
        $wst_css .= ( $m_body_bg_col ) ? "background-color: ".$m_body_bg_col.";" : '';
        if ( $m_body_bg_img ) {
            
            $bodm_id = preg_replace( '/[^\d]/', '', $m_body_bg_img );
            $bodm_src = wp_get_attachment_image_src( $bodm_id,'full' );
            $wst_css .= "background-image: url('".esc_url($bodm_src[0])."');";
            
            $wst_css .= ( $m_body_bg_rpt ) ? "background-repeat: ".$m_body_bg_rpt.";" : "";
            $wst_css .= ( $m_body_bg_siz ) ? "background-size: ".$m_body_bg_siz.";" : "";
            $wst_css .= ( $m_body_bg_prx != '' ) ? "background-attachment: fixed;" : "";
            
        } else if ( wst_theme_option('bodybgimage') ) {
            
            $bod_id = preg_replace( '/[^\d]/', '', wst_theme_option('bodybgimage') );
            $bod_src = wp_get_attachment_image_src( $bod_id,'full' );
            $wst_css .= "background-image: url('".$bod_src[0]."');";
            
            $wst_css .= ( wst_theme_option('body_bg_img_repeat') ) ? "background-repeat: ".wst_theme_option('body_bg_img_repeat').";" : "";
            $wst_css .= "background-size: ".wst_theme_option('body_bg_size').";";
            $wst_css .= ( wst_theme_option('body_bg_position') ) ? "background-position: ".wst_theme_option('body_bg_position').";" : "";
            $wst_css .= ( wst_theme_option('body_bg_img_parallax') == '1' ) ? "background-attachment: fixed;" : "";
            
        }
            
    }
    
    $wst_css .= "}";
    
    $wst_css .= ( $m_body_link_col != '' ) ? "a {color: ".$m_body_link_col.";}" : "";
    
    if ( wst_theme_option( 'main_width' ) != '1170' && wst_theme_option( 'main_width' ) != '' ) {
        $wst_css .= ".container,.pageWrapper.boxed,.pageWrapper.boxed .top-head.sticky-head,.pageWrapper.boxed .top-head.fixed-head{
            width: ".wst_theme_option( 'main_width' )."px;
        }";
    }

    // Particles Effect..
    $meta_particles_color   = get_post_meta( wst_page_id() , 'meta_page_particles_color' , true);
    $meta_part_dots_color   = get_post_meta( wst_page_id() , 'meta_page_particles_dots_color' , true);
    $particles_color        = ( $meta_particles_color == '' ) ? wst_theme_option( 'theme_particles_color' ) : $meta_particles_color;
    $part_dots_color        = ( $meta_part_dots_color == '' ) ? wst_theme_option( 'theme_particles_dots_color' ) : $meta_part_dots_color;

    if ( $particles_color != '' ) {
        $wst_css .= ".wst-grid-particles .wst-grid-line:after,.wst-grid-particles .wst-grid-line:last-child:before{
            background-color: ".$particles_color.";
        }";
    }

    if ( $part_dots_color != '' ) {
        $wst_css .= ".wst-grid-particles .wst-enlax:after{
            background-color: ".$part_dots_color.";
        }";
    }
    
    // Headings...
    $wst_css .= "h1,h2,h3,h4,h5,h6,.wpb-js-composer .vc_tta.vc_tta-tabs .vc_tta-tab>a,.slbar .widget_nav_menu .menu > li > a,.wst_logo a i.logo-txt,.nl-left-txt h4,.counter-number,.count_befAf{";        
        $wst_css .= "font-family: ".wst_theme_option('headings_font'.$langcode).", sans-serif;";
        $wst_css .= ( wst_theme_option('head_fontweight'.$langcode) != '' )        ? "font-weight: ".wst_theme_option('head_fontweight'.$langcode).";"        : "";
        $wst_css .= ( wst_theme_option('headings_lett_space'.$langcode) != '' )    ? "letter-spacing: ".wst_theme_option('headings_lett_space'.$langcode)."px;"    : "";
        $wst_css .= ( wst_theme_option('headings_text_style'.$langcode) != '' )    ? "text-transform: ".wst_theme_option('headings_text_style'.$langcode).";"      : "";
    $wst_css .= "}";
    
    // Content Padding...
    if( $padd_top[0] != '' || $padd_bottom != '' ){
        $wst_css .= ".wst-main-content,.site_content{";
            $wst_css .= ( $padd_top[0] != '' ) ? "padding-top: {$padd_top[0]}px;"     : "";
            $wst_css .= ( $padd_bottom != '' ) ? "padding-bottom: {$padd_bottom}px;"  : "";
        $wst_css .= "}";
    }
        
    if ( $sbar_width != '25' && $sbar_width != '' ) {
        $wst_css .= ".sidebar{
            flex: 0 0 {$sbar_width}%;
        }";
    }
    
    // Top Bar...
    if($meta_bar_color == 'custom'){
        $wst_css .= ( $meta_col != '' )     ? ".top-bar{background-color: ".$meta_col.";}"                  : "";
        $wst_css .= ( $meta_fcol != '' )    ? ".top-bar,.top-bar a, .top-bar span{color: ".$meta_fcol.";}"  : "";
        $wst_css .= ( $meta_hovcol != '' )  ? ".top-bar a:hover{color: ".$meta_hovcol.";}"                  : "";
        $wst_css .= ( $meta_icol != '' )    ? ".top-bar i,.top-bar .social-list a i{color: ".$meta_icol.";}": "";
        
    } else if ( $meta_bar_color == '' && $top_color == 'custom' ){
        $bar_id = preg_replace( '/[^\d]/', '', $thm_bg );
        $bar_src = wp_get_attachment_image_src( $bar_id,'full' );
        $wst_css .= "
        .top-bar{";
            $wst_css .= ($thm_col != '')    ? "background-color: ".$thm_col.";"                             : "";
            $wst_css .= ($thm_bg != '')     ? "background-image: url('".$bar_src[0]."');"                   : "";
            $wst_css .= ($thm_rp != '')     ? "background-repeat: ".$thm_rp.";"                             : "";
            $wst_css .= ($thm_bg != '')     ? "background-size: ".wst_theme_option('bar_bg_size').";"       : ""; 
        $wst_css .= "}";
        
        $wst_css .= ($thm_fcol != '')       ? ".top-bar,.top-bar a, .top-bar span{color: ".$thm_fcol.";}"   : "";
        $wst_css .= ($thm_hovcol != '')     ? ".top-bar a:hover{color: ".$thm_hovcol.";}"                   : "";
        $wst_css .= ($thm_icol != '')       ? ".top-bar i,.top-bar .social-list a i{color: ".$thm_icol.";}" : "";
    }
    
    // Menu Styling...
    $mfont = wst_theme_option('menu_font'.$langcode);
    $msize = ( $meta_menu_size != '' )      ? $meta_menu_size : wst_theme_option('menu_font_size'.$langcode);
    $mwegt = ( $meta_menu_weight != '' )    ? $meta_menu_weight : wst_theme_option('mnu_fontweight'.$langcode);
    $mstle = ( $meta_menu_style != '' )     ? $meta_menu_style : wst_theme_option('menu_text_style'.$langcode);
    $mlett = ( $meta_menu_letter != '' )    ? $meta_menu_letter : wst_theme_option('menu_lett_space'.$langcode);
    $mspac = ( $meta_menu_spac != '' )      ? $meta_menu_spac : wst_theme_option('menu-spacing'.$langcode);    

    if( wst_theme_option('menu-width') != '' ){
        $wst_css .= ".top-head .wst-main-nav ul ul {";
            $wst_css .= "min-width: ".wst_theme_option('menu-width')."px;";
        $wst_css .= "}";
    }

    if( $mspac != '36' && $mspac != '' ) {
        $newsp = $mspac / 2;
        $wst_css .= ".top-head .wst-main-nav > ul > li > a{";
            $wst_css .= "padding-left: ".$newsp."px;";
            $wst_css .= "padding-right: ".$newsp."px;";
        $wst_css .= "}";
    }
    
    if( $mfont != '' || $msize != '' || $mwegt != '' || $mstle != '' || $mlett != '' ){
        $wst_css .= ".top-head .wst-main-nav > ul > li > a,.side-head .wst-main-nav > ul > li > a{";
            $wst_css .= ( $mfont != '' ) ? "font-family: ".$mfont.", sans-serif;" : "";
            $wst_css .= ( $msize != '' ) ? "font-size: ".$msize."px;" : "";
            $wst_css .= ( $mwegt != '' ) ? "font-weight: ".$mwegt.";" : "";
            $wst_css .= ( $mstle != '' ) ? "text-transform: ".$mstle.";" : "";
            $wst_css .= ( $mlett != '' ) ? "letter-spacing: ".$mlett."px;" : "";
        $wst_css .= "}";    
    }
    
    // SubMenu Styling...
    $smfont = wst_theme_option('submenu_font'.$langcode);
    $smsize = wst_theme_option('submenu_font_size'.$langcode);
    $smwegt = wst_theme_option('submnu_fontweight'.$langcode);
    $smstle = wst_theme_option('submenu_text_style'.$langcode);
    $smlett = wst_theme_option('submenu_lett_space'.$langcode);
    
    if( $smfont != '' || $smsize != '' || $smwegt != '' || $smstle != '' || $smlett != '' ){
        $wst_css .= ".top-head .wst-main-nav ul ul a,.side-head .wst-main-nav ul ul a{";
            $wst_css .= ( $smfont != '' ) ? "font-family: ".$smfont.", sans-serif;" : "";
            $wst_css .= ( $smsize != '' ) ? "font-size: ".$smsize."px;" : "";
            $wst_css .= ( $smwegt != '' ) ? "font-weight: ".$smwegt.";" : "";
            $wst_css .= ( $smstle != '' ) ? "text-transform: ".$smstle.";" : "";
            $wst_css .= ( $smlett != '' ) ? "letter-spacing: ".$smlett."px;" : "";
        $wst_css .= "}";    
    }
    
    // header Height..
    $headheight       = ( get_post_meta( wst_page_id() , 'meta_header_height' , true) == '' ) ? wst_theme_option( 'header_height' ) : get_post_meta( wst_page_id() , 'meta_header_height' , true);
    if ( $headheight != '' && $headheight != '100' ) {
        $wst_css .= ".top-head .wst-head-wrap{";
            $wst_css .= "height: {$headheight}px;";
            $wst_css .= "line-height: {$headheight}px;";
        $wst_css .= "}";
    }
    
    $meta_hd_pad        = esc_html(get_post_meta(wst_page_id(),'meta_head_padding',true));
    $headPadd           = ( $meta_hd_pad == '' || $meta_hd_pad == '|' ) ? wst_theme_option( 'header_padding' ) : $meta_hd_pad;
    $hd_pad_left        = explode('|', $headPadd);
    $hd_pad_right       = substr($headPadd, strpos($headPadd, "|") + 1);
    
    if( $hd_pad_left[0] != '' || $hd_pad_right != '' ){
            
        if( $head_style == 'side' ){
            
            $wst_css .= ".side-head{";
                $wst_css .= ( $hd_pad_left[0] != '' )   ? "padding-left: {$hd_pad_left[0]}px;"  : "";
                $wst_css .= ( $hd_pad_right != '' )     ? "padding-right: {$hd_pad_right}px;"   : "";
            $wst_css .= "}"; 
               
        } else {
            
            $wst_css .= ".wst-head-wrap{";
                $wst_css .= ( $hd_pad_left[0] != '' )   ? "padding-left: {$hd_pad_left[0]}px;"  : "";
                $wst_css .= ( $hd_pad_right != '' )     ? "padding-right: {$hd_pad_right}px;"   : "";
            $wst_css .= "}";
                
        }
    } 

    // header bg color..
    if($h_bg_img != ''){
        $hedm_id = preg_replace( '/[^\d]/', '', $h_bg_img );
        $hedm_src = wp_get_attachment_image_src( $hedm_id,'full' );
        $wst_css .= "
        .top-head:not(.sticky-head),.side-head:not(.invis_head){
            background-image: url(".esc_url($hedm_src[0]).") !important;";
            if($h_bg_repeat != ''){
                $wst_css .= "background-repeat: ".$h_bg_repeat.";";    
            }
            if($h_bg_size != ''){
                $wst_css .= "background-size: ".$h_bg_size.";";    
            }
        $wst_css .= "}";
        $wst_css .= ".top-head:not(.sticky-head), .top-head:not(.sticky-head) .mod-container{
            background-color: transparent !important;";
        $wst_css .= "}";        
        
    } else if ( wst_theme_option('nav_bg_color') || wst_theme_option('nav_image') ) {
        $wst_css .= "
        .top-head:not(.sticky-head),.side-head:not(.invis_head){";
            if ( wst_theme_option('nav_bg_color') ) {
                $wst_css .= "background-color: ".wst_theme_option('nav_bg_color').";";
            }
            $nv_id = preg_replace( '/[^\d]/', '', wst_theme_option('nav_image') );
            $nv_src = wp_get_attachment_image_src( $nv_id,'full' );
            if ( wst_theme_option('nav_image') ) {
                $wst_css .= "background-image: url('".esc_url($nv_src[0])."');";
                if ( wst_theme_option('nav_img_repeat') ) {
                    $wst_css .= "background-repeat: ".wst_theme_option('nav_img_repeat').";";
                }
                if ( wst_theme_option('nav_img_full_width') == '1' ) {
                    $wst_css .= "background-size:cover;";
                }
            }
        $wst_css .= "}";  
    }
    
    if( $h_bg_color != '' ){
        $wst_css .= ".top-head:not(.sticky-head),.side-head:not(.invis_head){
            background-color: {$h_bg_color} !important;
        }
        ";
    }
    
    if($h_bor_top_color != ''){
        $wst_css .= ".top-head.classic:not(.sticky-head){
            border-top: 1px {$h_bor_top_color} solid !important;
        }";
        $wst_css .= ".top-head.classic:not(.sticky-head) .bottom-head{
            border-top: 1px {$h_bor_top_color} solid !important;
        }";
    } else if ( wst_theme_option('nav_bor_top_color') ) {
        $wst_css .= ".top-head.classic:not(.sticky-head){";
            $wst_css .= "border-top: 1px ".wst_theme_option('nav_bor_top_color')." solid;";
        $wst_css .= "}";
        $wst_css .= ".top-head.classic:not(.sticky-head) .bottom-head{
            border-top: 1px ".wst_theme_option('nav_bor_top_color')." solid;
        }";
    }
    
    if($h_bor_bot_color != ''){
        $wst_css .= ".top-head.classic:not(.sticky-head){
            border-bottom: 1px {$h_bor_bot_color} solid !important;
        }";
    } else if ( wst_theme_option('nav_bor_bot_color') ) {
        $wst_css .= ".top-head.classic:not(.sticky-head){";
            $wst_css .= "border-bottom: 1px ".wst_theme_option('nav_bor_bot_color')." solid;";
        $wst_css .= "}";
    }
    

    $lnkcol = ( $h_color != '' ) ? $h_color : wst_theme_option('nav_text_color');
    $hovcol = ( $h_hover_color != '' ) ? $h_hover_color : wst_theme_option('nav_hover_color');
    
    if($lnkcol != ''){
        
        if ( $head_style == 'side' ) {
            $wst_css .= ".side-head .wst-main-nav > ul > li > a,.side-head .side-bot-block a,.side-head .side-bot-block {
                color: {$lnkcol};
            }";    
        } else {
            $wst_css .= ".top-head:not(.sticky-head) .wst-main-nav > ul > li > a,.top-head:not(.sticky-head) .menu-message {
                color: {$lnkcol};
            }";    
        }
        
    }
    
    if( $hovcol != '' ){
                    
        if ( $head_style == 'side' ) {
            $wst_css .= ".side-head .wst-main-nav > ul > li:hover > a,.side-head .wst-main-nav > ul > li.current-menu-parent > a,.side-head .wst-main-nav > ul > li.current-menu-ancestor > a,.side-head .wst-main-nav > ul > li > a.active,
            .side-head .wst-main-nav > ul > li.current-menu-item > a,.top-head:not(.sticky-head) .wst-main-nav:not(.links_line) > ul > li:hover > a > span {
                color: {$hovcol} !important;
            }";    
        } else {
            $wst_css .= ".top-head:not(.sticky-head) .wst-main-nav > ul > li:hover > a,.top-head:not(.sticky-head) .wst-main-nav > ul > li.current-menu-parent > a,.top-head:not(.sticky-head) .wst-main-nav > ul > li.current-menu-ancestor > a,
            .top-head:not(.sticky-head)  .wst-main-nav > ul > li > a.active,.top-head:not(.sticky-head) .wst-main-nav > ul > li.current-menu-item > a,.top-head:not(.sticky-head) .wst-main-nav:not(.links_line) > ul > li:hover > a > span {
                color: {$hovcol} !important;
            }";
        }

        if( $men_anim == 'links_line' ){
            
            $wst_css .= ".top-head:not(.sticky-head) .wst-main-nav.links_line > ul > li > a span::before{
                background-color: {$hovcol};
            }";
            
        } else if ( $men_anim == 'links_up' ) {
            
            $wst_css .= ".top-head:not(.sticky-head) .wst-main-nav.links_up > ul > li > a span span:before{
                color: {$hovcol};
            }";
            
        }
        
    }
    
    if($hi_color != ''){
        
        $wst_css .= ".top-head:not(.sticky-head) .wst-main-nav > ul > li i{
            color: {$hi_color};
        }";
        
    } else if ( wst_theme_option('nav_icon_color') ) {
        
        $wst_css .= ".top-head:not(.sticky-head) .wst-main-nav > ul > li i{
            color: ".wst_theme_option('nav_icon_color').";
        }";
        
    }
    
    if( $srch_icn_col != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.open_search{";
            $wst_css .= "color: {$srch_icn_col};";
        $wst_css .= "}";    
    }
    
    if( $srch_icn_hovcol != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.open_search:hover{";
            $wst_css .= "color: {$srch_icn_hovcol};";
        $wst_css .= "}";    
    }
    
    if( $srch_icn_bgcol != '' || $srch_icn_bordcol != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.open_search:after{";
            ( $srch_icn_bgcol != '' ) ? $wst_css .= "background-color: {$srch_icn_bgcol};" : "";
            ( $srch_icn_bordcol != '' ) ? $wst_css .= "border-color: {$srch_icn_bordcol} !important;" : "";
        $wst_css .= "}";    
    }
    
    if( $cart_icn_col != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.cart-btn{";
            $wst_css .= "color: {$cart_icn_col};";
        $wst_css .= "}";    
    }
    
    if( $cart_icn_hovcol != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.cart-btn:hover{";
            $wst_css .= "color: {$cart_icn_hovcol};";
        $wst_css .= "}";    
    }
    
    if( $cart_icn_bgcol != '' || $cart_icn_bordcol != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.cart-btn:after{";
            ( $cart_icn_bgcol != '' ) ? $wst_css .= "background-color: {$cart_icn_bgcol};" : "";
            ( $cart_icn_bordcol != '' ) ? $wst_css .= "border-color: {$cart_icn_bordcol} !important;" : "";
        $wst_css .= "}";    
    }
    
    if( $slbr_icn_col != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.slbar_btn{";
            $wst_css .= "color: {$slbr_icn_col};";
        $wst_css .= "}";    
    }
    
    if( $slbr_icn_hovcol != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.slbar_btn:hover{";
            $wst_css .= "color: {$slbr_icn_hovcol};";
        $wst_css .= "}";    
    }
    
    if( $slbr_icn_bgcol != '' || $slbr_icn_bordcol != '' ) {
        $wst_css .= ".top-head:not(.sticky-head) .head-btn > a.slbar_btn:after{";
            ( $slbr_icn_bgcol != '' ) ? $wst_css .= "background-color: {$slbr_icn_bgcol};" : "";
            ( $slbr_icn_bordcol != '' ) ? $wst_css .= "border-color: {$slbr_icn_bordcol} !important;" : "";
        $wst_css .= "}";    
    }
    
    if($bar_bot_color != ''){
        
        $wst_css .= ".top-bar.bord{
            border-bottom-color: {$bar_bot_color};
        }";
        $wst_css .= ".top-bar.bord .top-socials.topbar-box{
            border-left-color: {$bar_bot_color};
            border-right-color: {$bar_bot_color};
        }";
        
    } else if ( wst_theme_option('topbar_border_color') ) {
        
        $wst_css .= ".top-bar.bord{";
            $wst_css .= "border-bottom-color: ".wst_theme_option('topbar_border_color').";";
        $wst_css .= "}";
        
        $wst_css .= ".top-bar.bord .top-socials.topbar-box{
            border-left-color: ".wst_theme_option('topbar_border_color').";
            border-right-color: ".wst_theme_option('topbar_border_color').";
        }";
        
    }
       
    if( ( $meta_header == 'side' ) && $meta_head_vis == '1' && $h_bg_color != '' ) {
        
        $wst_css .= ".side-head{
            background-color:".$h_bg_color.";
        }";
            
    } else if( ( $them_header == 'side' ) && wst_theme_option('nav_bg_color') != '' ) {
        
        $wst_css .= ".side-head{
            background-color:".wst_theme_option('nav_bg_color').";
        }";
            
    }
    
    if( ( $meta_header == 'side' ) && $meta_head_vis == '1' && $meta_side_btn_col != '' ) {
        
        $wst_css .= ".wst-head-btn i{
            background-color: " . $meta_side_btn_col . ";
        }";
            
    } else if( ( $them_header == 'side' ) && wst_theme_option('head_visible') == '1' && wst_theme_option('side_btn_color') != '' ) {
        
        $wst_css .= ".wst-head-btn i{
            background-color: " . wst_theme_option('side_btn_color') . ";
        }";
            
    }
    
    if(wst_theme_option('sbar_btn_bg_color')){
        
        $wst_css .= ".top-head:not(.sticky-head) a.slbar_btn span i,.side-head a.slbar_btn span i{
            background-color:".wst_theme_option('sbar_btn_bg_color').";
        }";
            
    }

    if ( wst_theme_option('sticky_bg_color') ) {
        
        $wst_css .= ".top-head.sticky-head{
            background-color: ".wst_theme_option('sticky_bg_color').";
        }";
        
    }

    if ( wst_theme_option('sticky_text_color') ) {
        
        $wst_css .= ".top-head.sticky-head a,.top-head.sticky-head .wst-main-nav > ul > li:not(.current-menu-ancestor) > a{
            color: ".wst_theme_option('sticky_text_color').";
        }";
        
        $wst_css .= ".top-head.sticky-head a.slbar_btn span i,.side-head a.slbar_btn span i{
            background-color: ".wst_theme_option('sticky_text_color')." !important;
        }";
        
    }
    
    if ( wst_theme_option('sticky_hover_color') ) {
        
        if( $men_anim != '' ){

            $wst_css .= ".top-head.sticky-head .wst-main-nav.links_line > ul > li > a span span:before {
                color: ".wst_theme_option('sticky_hover_color').";
            }";    
            
        } else {

            $wst_css .= ".top-head.sticky-head .wst-main-nav > ul > li > a:hover {
                color: ".wst_theme_option('sticky_hover_color').";
            }";
            
        }
        
    }
    
    if ( wst_theme_option('loader_bg') ) {

        $wst_css .= ".page-loader {
            background-color: ".wst_theme_option('loader_bg').";
        }";
                    
    }
    
    // LOGO Text...
    if ( wst_theme_option( 'logo_type' ) == 'text' ){
        
        $wst_css .= ".wst_logo a i.logo-txt{";
            $wst_css .= ( wst_theme_option('logo_font_color') != '' ) ? "color: ".wst_theme_option('logo_font_color').";" : "";
            $wst_css .= ( wst_theme_option('logo_font_size'.$langcode) != '' ) ? "font-size: ".wst_theme_option('logo_font_size'.$langcode)."px;" : "";
        $wst_css .= "}";
        
        $wst_css .= ".wst_logo a span.tagline{";
            $wst_css .= ( wst_theme_option('slogan_font_color') != '' ) ? "color: ".wst_theme_option('slogan_font_color').";" : "";
            $wst_css .= ( wst_theme_option('slogan_font_size'.$langcode) != '' ) ? "font-size: ".wst_theme_option('slogan_font_size'.$langcode)."px;" : "";
        $wst_css .= "}";

    }
    
    // Page Title Styling ...
    $meta_titl_type     = get_post_meta(wst_page_id(), 'meta_title_bg_type',true);
    $meta_title_style   = get_post_meta(wst_page_id(), 'meta_title_style',true);
    $meta_titl_dis_bg   = get_post_meta(wst_page_id(), 'meta_title_disable_bg',true);
    $meta_titl_img      = get_post_meta(wst_page_id(), 'meta_title_bg_img',true);
    $meta_titl_col      = get_post_meta(wst_page_id(), 'meta_title_bg_color',true);
    $meta_titl_grd      = get_post_meta(wst_page_id(), 'meta_title_bg_grad',true);
    $meta_titl_size     = ( $meta_titl_img ) ? get_post_meta(wst_page_id(), 'meta_title_bg_size',true) : '';
    $meta_titl_rpt      = ( $meta_titl_img ) ? get_post_meta(wst_page_id(), 'meta_title_bg_repeat',true) : '';
    $meta_titl_atch     = ( $meta_titl_img ) ? get_post_meta(wst_page_id(), 'meta_title_bg_position',true) : '';
    
    $titl_style         = ( $meta_title_style == '' ) ? wst_theme_option( 'page_title_style' )       : $meta_title_style;
    $titl_type          = ( $meta_titl_type == '' )   ? wst_theme_option( 'page_title_bg_type' )     : $meta_titl_type;
    $titl_grad          = ( $meta_titl_grd == '' )    ? wst_theme_option( 'page_title_bg_grad' )     : $meta_titl_grd;
    $titl_color         = ( $meta_titl_col == '' )    ? wst_theme_option( 'page_title_bgcolor' )     : $meta_titl_col;
    $title_bg_img       = ( $meta_titl_img == '' )    ? wst_theme_option( 'page_title_bg' )          : $meta_titl_img;
    $title_bg_size      = ( $meta_titl_size == '' )   ? wst_theme_option( 'page_title_bg_size' )     : $meta_titl_size;
    $title_bg_repeat    = ( $meta_titl_rpt == '' )    ? wst_theme_option( 'page_title_bg_repeat' )   : $meta_titl_rpt;
    $title_bg_pos       = ( $meta_titl_atch == '' )   ? wst_theme_option( 'page_title_bg_position' ) : $meta_titl_atch;
    
    if( $meta_titl_type == '' ){
        $titl_grad  = ( wst_theme_option( 'page_title_bg_grad' ) != '' ) ? wst_theme_option( 'page_title_bg_grad' ) : '';
    } else {
        $titl_grad  = ( $meta_titl_grd != '' ) ? $meta_titl_grd : '';
    } 
       
    $titlm_id           = preg_replace( '/[^\d]/', '', $title_bg_img );
    $titlm_src          = wp_get_attachment_image_src( $titlm_id,'full' );
       
    if( $titl_style == 'normal' ){
        if ( $titl_type == 'color' && $titl_color != '' ) {
            $wst_css .= ".page-title{";
                $wst_css .= " background-color: {$titl_color};";  
            $wst_css .= "}";
        } else if ( $titl_type == 'gradient' && $titl_grad != '' ) {
            $wst_css .= ".page-title{";
                $wst_css .= "background: {$titl_grad};";  
            $wst_css .= "}";
        }    
    } else {
        if ( $titl_type == 'color' && $titl_color != '' ) {
            $wst_css .= ".page-title .slurve-svg{";
                $wst_css .= " fill:{$titl_color};";  
            $wst_css .= "}";
        } else if ( $titl_type == 'gradient' && $titl_grad != '' ) {
            $wst_css .= ".page-title .slurve-svg{";
                $wst_css .= "fill: url(#pgt_grad);";  
            $wst_css .= "}";
        }
    }
    
    if ( $title_bg_img != '' ) {
        $wst_css .= ".page-title .title_bg {";
            ( $titlm_src[0] != '' )     ? $wst_css .= "background-image: url('".esc_url($titlm_src[0])."');"    : "";
            ( $title_bg_repeat != '' )  ? $wst_css .= "background-repeat: {$title_bg_repeat};"                  : "";
            ( $title_bg_size != '' )    ? $wst_css .= "background-size: {$title_bg_size};"                      : "";
            ( $title_bg_pos != '' )     ? $wst_css .= "background-position: {$title_bg_pos};"                   : "";
        $wst_css .= "}";
    }
    
    if( $meta_titl_dis_bg != '' ){
        $wst_css .= ".page-title .title_bg {";
            $wst_css .= "background-image: none !important;";
        $wst_css .= "}";    
    }

    $title_fam  = wst_theme_option( 'page_title_font'.$langcode);
    $title_wet  = wst_theme_option( 'page_title_fontweight'.$langcode);
    $title_col  = ( get_post_meta(wst_page_id(), 'meta_title_color',true) == '' )     ? wst_theme_option('page_title_fontcolor')  : get_post_meta(wst_page_id(), 'meta_title_color',true);
    $title_size = ( get_post_meta(wst_page_id(), 'meta_title_fontsize',true) == '' )  ? wst_theme_option('page_title_fontsize')   : get_post_meta(wst_page_id(), 'meta_title_fontsize',true);
    
    if( $title_fam != '' || $title_wet != '' || $title_col != '' || $title_size != '' ){
        $wst_css .= ".page-title h1 {";
            $wst_css .= ( $title_fam != '' ) ? "font-family: '". $title_fam ."', sans-serif;" : "";
            $wst_css .= ( $title_wet != '' ) ? "font-weight: ". $title_wet .";" : "";
            $wst_css .= ( $title_col != '' ) ? "color: {$title_col};" : "";
            $wst_css .= ( $title_size != '' ) ? "font-size: {$title_size}px;" : ""; 
        $wst_css .= "}";    
    }
    
    
    $subtitle_col  = ( get_post_meta(wst_page_id(), 'meta_subtitle_color',true) == '' )     ? wst_theme_option('page_title_subcolor')       : get_post_meta(wst_page_id(), 'meta_subtitle_color',true);
    $subtitle_size = ( get_post_meta(wst_page_id(), 'meta_subtitle_fontsize',true) == '' )  ? wst_theme_option('page_title_sub_fontsize')   : get_post_meta(wst_page_id(), 'meta_subtitle_fontsize',true);
    
    if( $subtitle_col != '' || $subtitle_size != '' ){
        $wst_css .= ".page-title h3 {";
            $wst_css .= ( $subtitle_col != '' ) ? "color: {$subtitle_col};" : "";
            $wst_css .= ( $subtitle_size != '' ) ? "font-size: {$subtitle_size}px;" : ""; 
        $wst_css .= "}";    
    }    
    
    // page title icon color..
    if ( wst_theme_option('page_title_iconbgcolor') != '' || wst_theme_option('page_title_iconcolor') != '' || wst_theme_option('page_title_iconsize') != '' ){
        $wst_css .= ".page-title .title-icon {";
            ( wst_theme_option('page_title_iconcolor') ) ? $wst_css .= "color: ".wst_theme_option('page_title_iconcolor').";" : "";
            ( wst_theme_option('page_title_iconbgcolor') ) ? $wst_css .= "background-color: ".wst_theme_option('page_title_iconbgcolor').";" : "";
            ( wst_theme_option('page_title_iconsize') ) ? $wst_css .= "font-size: ".wst_theme_option('page_title_iconsize')."px;" : ""; 
        $wst_css .= "}";
    }
    
    // page title overlay..
    $title_overlay = ( get_post_meta(wst_page_id(), 'meta_title_bg_overlay',true) == '' ) ? wst_theme_option('page_title_overlay') : get_post_meta(wst_page_id(), 'meta_title_bg_overlay',true);        
    if ( $title_overlay != '' ) {
        $wst_css .= ".page-title .video-overlay{
            background-color: {$title_overlay} !important;
        }";
    }
    
    // title text background color...
    $m_txt_color        = ( get_post_meta( wst_page_id(), 'meta_title_text_bg_color' , true) == '' ) ? wst_theme_option('page_title_textcolor') : get_post_meta( wst_page_id(), 'meta_title_text_bg_color' , true);
    if ( $m_txt_color != '' ){
        $wst_css .= ".page-title .titl_txt_bg{
            background-color: {$m_txt_color};
        }";
    }
    
    // page title height..
    $title_height = ( get_post_meta(wst_page_id(), 'meta_title_height',true) == '' ) ? wst_theme_option('page_title_height') : get_post_meta(wst_page_id(), 'meta_title_height',true);
    if ( $title_height != '' ){
        $wst_css .= ".page-title .in-page-title{
            height: {$title_height}px;
        }";
    }
    
    // breadcrumbs..
    $bread_col      = ( get_post_meta(wst_page_id(), 'meta_breadcrumbs_color',true) == '' ) ? wst_theme_option('page_title_breadcrumbs_color') : get_post_meta(wst_page_id(), 'meta_breadcrumbs_color',true);
    $bread_bgcol    = ( get_post_meta(wst_page_id(), 'meta_breadcrumbs__bgcolor',true) == '' ) ? wst_theme_option('page_title_breadcrumbs_bgcolor') : get_post_meta(wst_page_id(), 'meta_breadcrumbs__bgcolor',true);
    if ( $bread_col != '' ) {
        $wst_css .= ".breadcrumb a, .breadcrumb, .breadcrumb span{";
            ( $bread_col != '' ) ? $wst_css .= "color: {$bread_col};" : "";
        $wst_css .= "}";
    }
    if ( $bread_bgcol != '' ) {
        $wst_css .= ".breadcrumb{";
            ( $bread_bgcol != '' ) ? $wst_css .= "background-color: {$bread_bgcol};" : "";
        $wst_css .= "}";
    }
    
    // Footer Styling..
    $pg_foot_style      = get_post_meta( wst_page_id(), 'meta_footer_style' , true);
    $thm_foot_style     = wst_theme_option('footer_style');
    $foot_style         = ( $pg_foot_style != '' )                                          ? $pg_foot_style                      : $thm_foot_style;    
    $foot_type          = ( get_post_meta(wst_page_id(), 'meta_foot_bg_type',true) == '' )  ? wst_theme_option('footer_bg_type')  : get_post_meta(wst_page_id() , 'meta_foot_bg_type',true);
    $foot_col           = ( get_post_meta(wst_page_id(), 'meta_foot_bg_color',true) == '' ) ? wst_theme_option('footer_bg_color') : get_post_meta(wst_page_id() , 'meta_foot_bg_color',true);
    $foot_grad          = ( get_post_meta(wst_page_id(), 'meta_foot_bg_grad',true) == '' )  ? wst_theme_option('footer_bg_grad')  : get_post_meta(wst_page_id() , 'meta_foot_bg_grad',true);
    $foot_pad_top       = ( get_post_meta(wst_page_id(), 'meta_foot_pad_top',true) == '' )  ? wst_theme_option('footer_pad_top')  : get_post_meta(wst_page_id() , 'meta_foot_pad_top',true);
    $foot_pad_bot       = ( get_post_meta(wst_page_id(), 'meta_foot_pad_bot',true) == '' )  ? wst_theme_option('footer_pad_bot')  : get_post_meta(wst_page_id() , 'meta_foot_pad_bot',true);
    
    if( get_post_meta(wst_page_id(), 'meta_foot_bg_type',true) == '' && wst_theme_option('footer_bg_type') == 'gradient' ){
        $foot_grad = wst_theme_option('footer_bg_grad');    
    }
    
    if( $foot_pad_top != '' || $foot_pad_bot != '' ){
        $wst_css .= ".wst-footer .footer_bg{";
            $wst_css .= ( $foot_pad_top != '' ) ? "padding-top: ".$foot_pad_top."px;" : "";
            $wst_css .= ( $foot_pad_bot != '' ) ? "padding-bottom: ".$foot_pad_bot."px;" : "";
        $wst_css .= "}";
    }
    
    // top footer
    $foot_tp_col     = ( get_post_meta(wst_page_id(), 'meta_foot_top_color',true) == '' )      ? wst_theme_option('foot_top_text_color')  : get_post_meta(wst_page_id() , 'meta_foot_top_color',true);
    $foot_tp_bg_col  = ( get_post_meta(wst_page_id(), 'meta_foot_top_bg_color',true) == '' )   ? wst_theme_option('foot_top_bg_color')    : get_post_meta(wst_page_id() , 'meta_foot_top_bg_color',true);
    $foot_tp_bor_col = ( get_post_meta(wst_page_id(), 'meta_foot_top_bord_color',true) == '' ) ? wst_theme_option('foot_top_bord_color')  : get_post_meta(wst_page_id() , 'meta_foot_top_bord_color',true);
    
    if ( $foot_tp_col ) {
        $wst_css .= ".wst-footer .foot-top > .container{";
            $wst_css .= "color: ".$foot_tp_col.";";
        $wst_css .= "}";
    }
    
    if ( $foot_style == '1' && $foot_tp_bg_col ) {
        $wst_css .= ".wst-footer .foot-top > .container svg{";
            $wst_css .= "fill: ".$foot_tp_bg_col.";";
        $wst_css .= "}";
    }
    
    if ( $foot_style == '1' && $foot_tp_bor_col ) {
        $wst_css .= ".wst-footer .foot-top .dashed-border svg,.wst-footer .foot-top .dashed-border svg path{";
            $wst_css .= "stroke: ".$foot_tp_bor_col.";";
        $wst_css .= "}";
    }
    
    if ( $foot_style == '2' && ( $foot_tp_bg_col || $foot_tp_bor_col ) ) {
        $wst_css .= ".wst-footer .foot-top{";
            $wst_css .= "background-color: ".$foot_tp_bg_col.";";
            $wst_css .= "border: 1px solid ".$foot_tp_bor_col.";";
        $wst_css .= "}";
    }
    
    if ( $foot_style == '3' && ( $foot_tp_bg_col || $foot_tp_col || $foot_tp_bor_col ) ) {
        $wst_css .= ".wst-footer .foot-top > .container{";
            $wst_css .= ( $foot_tp_bg_col != '' ) ? "background-color: ".$foot_tp_bg_col." !important;" : "";
            $wst_css .= ( $foot_tp_bor_col != '' ) ? "border: 1px solid ".$foot_tp_bor_col.";" : "";
            $wst_css .= ( $foot_tp_col != '' ) ? "color: ".$foot_tp_col.";" : "";
        $wst_css .= "}";
    }
    
    // middle footer
    $foot_md_col     = ( get_post_meta(wst_page_id(), 'meta_foot_text_color',true) == '' )      ? wst_theme_option('footer_text_color')    : get_post_meta(wst_page_id() , 'meta_foot_text_color',true);
    $foot_md_lnk_col = ( get_post_meta(wst_page_id(), 'meta_foot_link_color',true) == '' )      ? wst_theme_option('footer_link_color')    : get_post_meta(wst_page_id() , 'meta_foot_link_color',true);
    $foot_md_hed_col = ( get_post_meta(wst_page_id(), 'meta_foot_head_color',true) == '' )      ? wst_theme_option('footer_head_color')    : get_post_meta(wst_page_id() , 'meta_foot_head_color',true);
    
    if ( $foot_md_col != '' ) {
        $wst_css .= ".wst-footer .footer-middle,.wst-footer .footer-middle a,.wst-footer .footer-middle .search-form .btn{";
            $wst_css .= "color: ".$foot_md_col." !important;";
        $wst_css .= "}";
        $bord_col_fot = wst_hex_to_rgb($foot_md_col, true, ',');
        $wst_css .= ".footer-middle input[type='text'],.footer-middle input[type='search'],.footer-middle input[type='number'],.footer-middle select,.footer-middle .tagcloud a,.footer-middle td {";
            $wst_css .= "border-color: rgba(".$bord_col_fot.",0.25) !important;";
        $wst_css .= "}";
    }
    
    if ( $foot_md_lnk_col != '' ) {
        $wst_css .= ".wst-footer .footer-middle a,.wst-footer .footer-middle a:hover{";
            $wst_css .= "color: ".$foot_md_lnk_col." !important;";
        $wst_css .= "}";
        $wst_css .= ".wst-footer .footer-middle .widget li a:after{";
            $wst_css .= "background-color: ".$foot_md_lnk_col." !important;";
        $wst_css .= "}";
    }
    
    if ( $foot_md_hed_col != '' ) {
        $wst_css .= ".wst-footer .footer-middle .widget h2.widgettitle{";
            $wst_css .= "color: ".$foot_md_hed_col.";";
        $wst_css .= "}";
    }
    
    if ( $foot_style != '2' && ( $foot_col != '' || $foot_grad != '' ) ) {
        $wst_css .= ".foot-slrv{";
            $wst_css .= ( $foot_col != '' ) ? "fill: ".$foot_col.";" : "";
            $wst_css .= ( $foot_type == 'gradient' && $foot_grad != '' ) ? "fill: url(#foot_grad);" : '';
        $wst_css .= "}";
    }
    
    if ( $foot_style == '2' ) {
        $wst_css .= ".wst-footer .footer_bg{";
            $wst_css .= ( $foot_type == 'color' && $foot_col != '' ) ? "background-color: ".$foot_col.";" : "";
            $wst_css .= ( $foot_type == 'gradient' && $foot_grad != '' ) ? "background: ".$foot_grad.";" : '';
        $wst_css .= "}";
    }
    
    $foot_bg        = ( get_post_meta(wst_page_id(), 'meta_foot_bg_img',true) == '' )       ? wst_theme_option('footer_bg_img')     : get_post_meta(wst_page_id() , 'meta_foot_bg_img',true);
    $foot_bg_rpt    = ( get_post_meta(wst_page_id(), 'meta_foot_bg_repeat',true) == '' )    ? wst_theme_option('footer_bg_repeat')  : get_post_meta(wst_page_id() , 'meta_foot_bg_repeat',true);
    $foot_bg_pos    = ( get_post_meta(wst_page_id(), 'meta_foot_bg_position',true) == '' )  ? wst_theme_option('footer_bg_position'): get_post_meta(wst_page_id() , 'meta_foot_bg_position',true);
    $foot_bg_siz    = ( get_post_meta(wst_page_id(), 'meta_foot_bg_size',true) == '' )      ? wst_theme_option('footer_bg_size')    : get_post_meta(wst_page_id() , 'meta_foot_bg_size',true);
    
    if ( $foot_bg != '' ) {
        $ft_id = preg_replace( '/[^\d]/', '', $foot_bg );
        $ft_src = wp_get_attachment_image_src( $ft_id,'full' );
        $wst_css .= ".wst-footer .footer_bg:before{
            background-image: url('".esc_url($ft_src[0])."');
            background-repeat: ".$foot_bg_rpt.";
            background-position: ".$foot_bg_pos.";
            background-size: ".$foot_bg_siz.";
        }";
    }
    
    // bottom footer...
    $foot_bot_col  = ( get_post_meta(wst_page_id(), 'meta_foot_bot_color',true) == '' )      ? wst_theme_option('footer_bottom_color')      : get_post_meta(wst_page_id() , 'meta_foot_bot_color',true);
    $foot_bot_link = ( get_post_meta(wst_page_id(), 'meta_foot_bot_link_color',true) == '' ) ? wst_theme_option('footer_bottom_link_color') : get_post_meta(wst_page_id() , 'meta_foot_bot_link_color',true);
    $foot_bot_bg   = ( get_post_meta(wst_page_id(), 'meta_foot_bot_bg_color',true) == '' )   ? wst_theme_option('footer_bottom_bg')         : get_post_meta(wst_page_id() , 'meta_foot_bot_bg_color',true);
    
        
    if ( $foot_style != '3' && ( $foot_bot_col || $foot_bot_bg ) ) {
        $wst_css .= ".wst-footer .footer-bottom{";
            $wst_css .= ( $foot_bot_col  ) ? "color: ".$foot_bot_col.";" : "";
            $wst_css .= ( $foot_bot_bg ) ? "background-color: ".$foot_bot_bg.";" : '';
        $wst_css .= "}";
    }
    
    if ( $foot_style == '3' && ( $foot_bot_bg || $foot_bot_col ) ) {
        $wst_css .= ".wst-footer .footer-bottom > .container{";
            $wst_css .= ( $foot_bot_col  ) ? "color: ".$foot_bot_col.";" : "";
            $wst_css .= ( $foot_bot_bg ) ? "background-color: ".$foot_bot_bg." !important;" : '';
        $wst_css .= "}";
    }

    if ( $foot_bot_col ) {
        $bord_col_bot = wst_hex_to_rgb($foot_bot_col, true, ',');
        $wst_css .= ".footer-bottom input[type='text'],.footer-bottom input[type='search'],.footer-bottom input[type='number'],.footer-bottom select,.footer-bottom .tagcloud a,.footer-bottom td {";
            $wst_css .= "border-color: rgba(".$bord_col_bot.",0.25) !important;";
        $wst_css .= "}";
    }

    if ( $foot_bot_link ) {
        $wst_css .= ".wst-footer .footer-bottom a,.wst-footer .footer-bottom .search-form .btn{";
            $wst_css .= "color: ".$foot_bot_link." !important;";
        $wst_css .= "}";
        $wst_css .= ".wst-footer .footer-bottom a:after{";
            $wst_css .= "background-color: ".$foot_bot_link." !important;";
        $wst_css .= "}";
    } 
    
    // Sliding Bar...
    $t_slbar_on     = wst_theme_option( 'show_sliding_bar' );
    $m_slbar_on     = get_post_meta( wst_page_id(), 'meta_hide_slbar' , true);
    $slbar_on       = ( $m_slbar_on == '' ) ? $t_slbar_on : $m_slbar_on;
    
    if( $slbar_on == '1' ){
        
        $wst_css .= ".sl_bar_content{
            padding-top:{$sl_pad_top[0]}px;
            padding-bottom:{$sl_pad_bottom}px;
        }";
        
        $consize = wst_theme_option('sliding_bar_content_font_size') ? wst_theme_option('sliding_bar_content_font_size') : '';
        
        if( $consize != '' || wst_theme_option('sliding_bar_font_color') != '' ){
            $wst_css .= ".sl_bar_content{";
                $wst_css .= ( $consize != '' ) ? "font-size: {$consize}px;" : "";
                $wst_css .= ( wst_theme_option('sliding_bar_font_color') != '' ) ? "color: ".wst_theme_option('sliding_bar_font_color').";" : "";
            $wst_css .= "}";    
        }

        if( wst_theme_option('sliding_bar_font_color') != '' ){
            $wst_css .= ".sl_bar_content a,.sl_bar_content a:hover,.slbar .widget_nav_menu .menu > li > a:before,.sl_bar_content .widget_nav_menu ul li.current-menu-ancestor > a, .sl_bar_content .widget_nav_menu ul li.current-menu-item > a{";
                $wst_css .= "color: ".wst_theme_option('sliding_bar_font_color').";";
            $wst_css .= "}";
            $wst_css .= ".slbar .widget_nav_menu .menu > li > a:after{";
                $wst_css .= "background-color: ".wst_theme_option('sliding_bar_font_color').";";
            $wst_css .= "}";
        }
        
        $headsize = wst_theme_option('sliding_bar_heading_font_size') ? wst_theme_option('sliding_bar_heading_font_size') : '';
        
        $wst_css .= ".sl_bar_content h2{
            font-size:{$headsize}px !important;
            color:".wst_theme_option('sliding_bar_headings_color')." !important;
        }";       
            
    }
    
    // 404 settings..
    if( is_404() ){
        if( wst_theme_option('bg_404_color') ){
            $wst_css .= "body.error404{";
                $wst_css .= "background-color: ".wst_theme_option('bg_404_color').";";
            $wst_css .= "}";    
        }
        
        if ( wst_theme_option('bgimage404') != '' ) {
            $bg404_id = preg_replace( '/[^\d]/', '', wst_theme_option('bgimage404') );
            $bg404_src = wp_get_attachment_image_src( $bg404_id,'full' );
            $wst_css .= "body.error404{
                background-image: url('".esc_url($bg404_src[0])."');
                background-repeat: ".wst_theme_option('bg_img_404_repeat').";
                background-position: ".wst_theme_option('bg_404_position').";
                background-size: ".wst_theme_option('bg_404_size').";
            }";
        }
        
        if ( wst_theme_option('bg_404_disable') == '1' ) {
            $wst_css .= "body.error404{
                background-image: none !important;
            }";
        }
        
        if ( wst_theme_option('head_404_bgcolor') ) {

            $wst_css .= "body.error404 .top-head:not(.sticky-head), body.error404 .side-head:not(.invis_head) {
                background-color: ".wst_theme_option('head_404_bgcolor').";
            }";    
            
        }
        
        if ( wst_theme_option('head_404_color') ) {
            $wst_css .= "body.error404 .top-head:not(.sticky-head) .wst-main-nav > ul > li > a {
                color: ".wst_theme_option('head_404_color').";
            }";
        }
                
        if ( wst_theme_option('head_404_icons_color') ) {
            $wst_css .= "body.error404 .top-head:not(.sticky-head) .head-btn a,body.error404 .top-head:not(.sticky-head) .wst-main-nav > ul > li i {
                color: ".wst_theme_option('head_404_icons_color').";
            }";
            $wst_css .= "body.error404 .top-head:not(.sticky-head) .head-btn > a:before,body.error404 .top-head:not(.sticky-head) .head-btn > a:after {
                border-color: rgba(" . wst_hex_to_rgb(wst_theme_option('head_404_icons_color'), true, ',') . " ,0.2) !important;
            }";
        }
        
        if ( wst_theme_option('head_404_hover_color') ) {
            
            if( $men_anim == 'links_line' ){
                
                $wst_css .= "body.error404 .top-head:not(.sticky-head) .wst-main-nav.links_line > ul > li > a span::before{
                    background-color: ".wst_theme_option('head_404_hover_color').";
                }";
                
            } else if ( $men_anim == 'links_up' ) {
                
                $wst_css .= "body.error404 .top-head:not(.sticky-head) .wst-main-nav.links_up > ul > li > a span span:before{
                    color: ".wst_theme_option('head_404_hover_color').";
                }";
                
            } else {
                $wst_css .= "body.error404 .top-head:not(.sticky-head) .wst-main-nav > ul > li > a span span:before,body.error404 .top-head:not(.sticky-head) .head-btn > a i.btn_back{
                    color: ".wst_theme_option('head_404_hover_color').";
                }";
            }
            
        }    
    }    
    
    // responsive styles..
    $mob_sbar = wst_theme_option('sliding_bar_on_mobile');
    
    $wst_css .= "@media only screen and (max-width: 768px) {
        header.top-head .logo a i.logo-txt{
            font-size: ".wst_theme_option('mobile_logo_size')."px;
        }";
    
    if( $mob_sbar == '' ){    
        $wst_css .= ".slbar_btn,.top-slbar{
            display:none !important;    
        }";
    }
        
    $wst_css .= "}";
    
    if( wst_theme_option('sticky_devices') != '1' ){
        $wst_css .= "@media (max-width: 992px) {
                header.top-head.sticky-head{
                position: absolute;
            }";
        $wst_css .= "}";    
    }
    
    if( wst_theme_option('topbar_devices') != '1' ){
        $wst_css .= "@media (max-width: 992px) {
            .top-bar{
                display: none;
            }";
        $wst_css .= "}";    
    }

    if ( wst_theme_option('mob_menu_bg_color') != '' || wst_theme_option('mob_menu_font_color') != '' ) {
        
        if ( wst_theme_option('mob_menu_bg_color') != ''){
            $wst_css .= "@media (max-width: 768px){";
                $wst_css .= ".wst-main-nav { background-color: ".wst_theme_option('mob_menu_bg_color')."; }";
            $wst_css .= "}";
        }

        if ( wst_theme_option('mob_menu_font_color') != ''){
            $wst_css .= "@media (max-width: 768px){";
                $wst_css .= ".wst-main-nav ul li a { color: ".wst_theme_option('mob_menu_font_color')." !important; }";
            $wst_css .= "}";
        }
        
    }
    
    
    // Skin color styles..
    $wst_css .= "
    .main-bg,.form-submit input.submit,ul.page-numbers li.current:before,.tagcloud a:hover,.cp-text.loading-bar .cd-words-wrapper::after,.post-tags a:hover:after,#pp-nav li .active span, .pp-slidesNav .active span,
    .sidebar .mc4wp-form input[type='submit'],.vc_progress_bar .vc_single_bar .vc_bar,.cp-img-compare-handle i,.comment-list li article .reply a,.sub-pager > span:not(.page-links-title):before, ul.page-numbers li.current span:before,
    .wst-main-nav.colored li.mega-menu .mega-content,.page-loader .line_with_Dots .circlesload i,.page-loader .large_dots:before,.page-loader .large_dots:after,.page-loader .large_dots > div:before,#to-top:before,#to-top:after,
    .page-loader .circles .circlesload:after,thead th,.page-loader .cp-balls:after,.page-loader .spin_Square,.page-loader .cp-bubble:before,.page-loader .cp-bubble:after,.page-loader .cp-bubble,.wst-single-tags a:hover,
    .page-loader .cp-eclipse,.page-loader .circles .circlesload:before,.page-loader .large_dots > div:after,#raysgrid_related.raysgrid.kara .portfolio-item:hover .port-captions:after,.filter-by.style1 li.selected a,
    .wpb-js-composer .vc_tta.vc_general.vc_tta-style-classic .vc_tta-tab.vc_active>a,.wpb-js-composer .vc_tta.vc_tta-tabs.vc_tta-style-with_shadow .vc_tta-tab.vc_active>a,.wst-heading.main:before,
    .vc_toggle_title:after,.vc_grid-filter-item.vc_active>span,.vc_gitem-post-data-source-post_title h4:after,.social-list a i:last-child,.jssocials-share:hover {
        background-color: {$hex_str};
        color: #fff;
    }";
        
    $wst_css .= ".wst-main-nav.colored ul ul,.wpb-js-composer .vc_tta-tabs.vc_tta-style-classic:not(.vc_tta-o-no-fill) .vc_tta-panel.vc_active .vc_tta-panel-body,.main-bg-import{
        background-color: {$hex_str} !important
    }
    
    a:hover,.main-color,.main-color > a,.top-head nav > ul > li > a > span::before,.breadcrumb a, .price_label span,ul.post-meta li:after,.bottom-head.bot-menu-bg .wst-main-nav > ul > li:hover > a,.wst-blog-single .post-categories li a,
    .vc_toggle_active .vc_toggle_title,.meta .comment-reply-link,.meta .comment-edit-link,.widget_nav_menu ul li.current-menu-ancestor > a,.widget_nav_menu ul li.current-menu-item > a,.search-wrapper .search-form .btn,
    .widget_nav_menu ul li.current-menu-parent > a,.widget_nav_menu ul li.current-menu-ancestor li.current-menu-item.current_page_item > a,.wst-main-nav ul li li a:hover,.HotspotPlugin_Hotspot .Hotspot_Title,
    .widget_nav_menu ul li.current-menu-parent li.current-menu-item.current_page_item > a,.top-bar-menu ul.sub-menu li:hover > a > span,.top-head .wst-main-nav:not(.links_line) > ul > li:hover > a > span,.nav-single > div .meta-nav i,
    .wpb-js-composer .vc_tta.vc_general.vc_tta-style-creative .vc_tta-tab.vc_active>a,.vc_toggle .vc_toggle_icon:after,.vc_progress_bar.prog1 .vc_label_units,.wst_logout a,.wst-heading.style2:before,.wst-heading.style2:after {
        color: {$hex_str};
    }
    
    .wst-more-btn:hover:after,.wst-more-btn:hover:before,.post-tags a:hover:before,.wst-main-nav li:not(.mega-menu) ul,.wst-main-nav li.mega-menu .mega-content,.wst-border-form .wpcf7-form-control.wpcf7-text:focus,.wst-border-form .wpcf7-form-control.wpcf7-textarea:focus,
    .sidebar .widget h2.widgettitle,.slbar .widget h2.widgettitle,.wpb_widgetised_column .widget h2.widgettitle{
        border-color: {$hex_str};
    }
    .vc_gitem_row .vc_btn3-container .vc_btn3:before,.vc_gitem_row .vc_btn3-container .vc_btn3:after{
        border-color: {$hex_str} !important;
    }"; 
    
    if ( class_exists( 'WooCommerce' ) ) {
        
        $wst_css .= "b.cart-num{";
            $wst_css .= "font-family: ".wst_theme_option('body_font'.$langcode).", sans-serif;";
        $wst_css .= "}";
        
        $wst_css .= "
        .woocommerce .widget_price_filter .ui-slider .ui-slider-range,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,
        .shop-item .wst-quick-view,.woocommerce-MyAccount-navigation ul li.is-active a{
            background-color: {$hex_str} !important;
            color: #fff;
        }
        .woocommerce .widget_price_filter .ui-slider .ui-slider-handle,.up-sells > h2,.cross-sells > h2,.cart_totals > h2,header.title h3,.woocommerce-billing-fields > h3,.woocommerce-shipping-fields > h3,
        .woocommerce-additional-fields > h3,.woocommerce-column__title,#order_review_heading,.wc-bacs-bank-details-heading, body.woocommerce-checkout .wst-main-content .woocommerce h2,.woocommerce-tabs h2,.related.products > h2{
            border-color: {$hex_str};
        }
        .woocommerce div.product .woocommerce-tabs ul.tabs li.active a:before,.woocommerce div.product .summary .product_meta > span:before,.woocommerce div.product div.summary .yith-wcwl-add-button > a i,
        .yith-wcwl-wishlistaddedbrowse a,.yith-wcwl-wishlistexistsbrowse a,.woocommerce-product-search button[type='submit'],.woocommerce div.product p.price, .woocommerce div.product span.price{
            color: {$hex_str} !important;
        }
        .oc-woo .woocommerce-result-count{
            border-bottom-color: {$hex_str} !important;
        }";    
    }
    
    if( function_exists('is_bbpress') && is_bbpress() ) {
        $wst_css .= ".forum-titles li, .bbp-header > div {
            border-bottom-color: {$hex_str};
        }";    
    }
    
    $wst_css .= "
    .page-loader .cp-round:after{
        border-top-color: {$hex_str};
    }
    .page-loader .cp-eclipse:before{
        border-right-color: {$hex_str};
    }
    .page-loader .cp-eclipse:after{
        border-left-color: {$hex_str};
    }"; 
    
    // sub menu color..
    if ($sub_menu == 'custom') {
        if($m_sub_bg != ''){
            $wst_css .= "
            .wst-main-nav.custom ul ul,.wst-main-nav.custom li.mega-menu .mega-content{
                background-color: {$m_sub_bg} !important;
            }";
        }
        if($m_sub_color != ''){
            $wst_css .= "
            .wst-main-nav.custom ul ul li a{
                color: {$m_sub_color} !important;
            }
            .wst-main-nav.custom > ul > li:not(.mega-menu) ul li.hasChildren:before, .wst-main-nav.custom > ul > li:not(.mega-menu) ul li.hasChildren:after,
            .side-head .wst-main-nav.custom > ul > li ul li.hasChildren:before, .side-head .wst-main-nav.custom > ul > li ul li.hasChildren:after {
                background-color: {$m_sub_color};
            }";
        }    
    } else if ( $thm_submenu == 'custom' ) {
        
        if($thm_sub_bg_color != ''){
            $wst_css .= "
            .wst-main-nav.custom ul ul,.wst-main-nav.custom li.mega-menu .mega-content{
                background-color: {$thm_sub_bg_color} !important
            }";    
        }
        
        if ($thm_sub_color != ''){
            $wst_css .= "
            .wst-main-nav.custom ul ul li a{
                color: {$thm_sub_color} !important;
            }
            .wst-main-nav.custom > ul > li:not(.mega-menu) ul li.hasChildren:before, .wst-main-nav.custom > ul > li:not(.mega-menu) ul li.hasChildren:after,
            .side-head .wst-main-nav.custom > ul > li ul li.hasChildren:before, .side-head .wst-main-nav.custom > ul > li ul li.hasChildren:after {
                background-color: {$thm_sub_color};
            }";
        }                
    }
    
    $wst_css = str_replace(': ', ':', str_replace(';}', '}', str_replace('; ',';',str_replace(' }','}',str_replace(' {', '{', str_replace('{ ','{',str_replace(array("\r\n","\r","\n","\t",'  ','    ','    '),"",preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!','',$wst_css))))))));
    
    return $wst_css;
      
}

if ( ! function_exists( 'wst_add_menu_bg' ) ) {
    
    function wst_add_menu_bg ( $cust_menu ) {
        
        $cust_menu = str_replace(': ', ':', str_replace(';}', '}', str_replace('; ',';',str_replace(' }','}',str_replace(' {', '{', str_replace('{ ','{',str_replace(array("\r\n","\r","\n","\t",'  ','    ','    '),"",
        preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!','',$cust_menu))))))));
        wp_enqueue_style( 'wst-menu-style', wst_thm_uri . '/assets/css/vendor/menu.css', array( 'wst-main-style' ) );
        wp_add_inline_style ('wst-menu-style', $cust_menu);
        
    }
    
}

