<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );
global $post;
$wst_tags = wp_get_post_tags($post->ID);

if ($wst_tags) {
    
    $wst_tag_ids = array();
    
    foreach( $wst_tags as $wst_individual_tag ) $wst_tag_ids[] = $wst_individual_tag->term_id;
    
    $args = array(
        'tag__in'               => $wst_tag_ids,
        'post__not_in'          => array($post->ID),
        'showposts'             => 3,
        'ignore_sticky_posts'   => 1
    );
    
    $wst_related_query = new wp_query($args);
    
    if( $wst_related_query->have_posts() ) {
        echo '<div class="wst-related-posts">';
        echo '<h3 class="wst-inner-heading">'.esc_html__('You may', 'qonspt').' <span class="main-color">'.esc_html__('also like', 'qonspt').'</span></h3>';
            echo '<div class="row">';
                while ($wst_related_query->have_posts()) {
                    $wst_related_query->the_post();
                    echo '<div class="col-md-4">';
                        echo '<div class="wst-rel-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">' . get_the_post_thumbnail($post->ID, 'large', '') . '</a></div>';
                        echo '<h5 class="wst-rel-link">' . '<a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_title().'</a>' . '</h5>';
                        echo '<div class="wst-rel-date">' . get_the_date() . '</div>';
                    echo '</div>';
                }
            echo '</div>';
        echo '</div>';
    }
    
    wp_reset_postdata();
        
}