<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );
 
get_header();
 
$meta_lay   = get_post_meta(wst_page_id(),'meta_page_layout',true);
$lay        = ($meta_lay != '')     ? $meta_lay : wst_theme_option('blog_single_sidebar');
$cell       = 'row flxrow';
$cell      .= ( $lay == "left" )    ? ' rit-cell' : ' nobar';
$cell      .= ( $lay == "right" )   ? ' lft-cell' : ' nobar';
$cell      .= ( (class_exists( 'qonspt_Core' ) && wst_theme_option('singlesocial_on') == "1") || ( wst_theme_option('singlecomment_on') == "1" && comments_open() ) || (class_exists( 'qonspt_Core' ) && wst_theme_option('singlelike_on') ) == "1" ) ? ' with_socials' : '';
$flud       = ( $lay == "wide" ) ? '-fluid' : '';

// page title function.
wst_title_style();

?>
 
<div class="container<?php echo esc_attr($flud); ?>">
    <div class="<?php echo esc_attr($cell) ?>">
        <div class="wst-main-content wst-content-column">
            <div class="wst-blog-single">
			    <article class="wst-post-content">
                        <?php 
                        while ( have_posts() ) { 
                            
                            the_post();
				            get_template_part( 'layout/blog/content', 'all' );
                            
                            if ( class_exists( 'qonspt_Core' ) ){
                                qonspt_set_post_views(get_the_ID());
                                qonspt_get_post_views(get_the_ID());    
                            }
                            
                            if ( wst_theme_option('singlerelated_on') == "1" ){
                                require get_parent_theme_file_path( 'layout/blog/related-posts.php');
                            }
                            
                            if ( wst_theme_option( 'singlecomment_on' ) ) {
                                comments_template();
                            }
			            } 
                        ?>
                </article>
            </div>
        </div>
        
        <?php if ( $lay == 'right' || $lay == 'sidebar-right' || $lay == 'left' || $lay == 'sidebar-left' ) { get_sidebar(); } ?>
        
    </div>
</div>

<?php get_footer(); ?>