<?php
return array(
    "name"          => esc_html__("Breaking News", "qonspt"),
    "base"          => "wst_breaking_news",
    'category'      => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'description'   => esc_html__( 'Add breaking news to page', 'qonspt' ),
    'icon'          => 'no-bg stline-newspaper-read-man',
    "params"        => array(
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Title",'qonspt'),
            "param_name"    => "wst_title",
            "description"   => esc_html__("type the title.",'qonspt')
         ),array(
            "type"          => "wst_multiselect",
            "heading"       => esc_html__("Category",'qonspt'),
            "param_name"    => "wst_cat",
            "value"         => wst_dropdown_cats(),
            "description"   => esc_html__("type the item category.",'qonspt')
         ),array(
            "type"          => "numberfield",
            "heading"       => esc_html__("Number of Posts", "qonspt"),
            "param_name"    => "posts_num",
            'value'         => '10',
            "description"   => esc_html__("Enter the max number of posts to be shown.", "qonspt"),
        ),array(
            "type"          => "textfield",
            "heading"       => esc_html__("Extra class name", "qonspt"),
            "param_name"    => "el_class",
            "description"   => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )  
    ),
);
    