<?php
return array(
    "name"                      => esc_html__("Image Hotspot", 'qonspt'),
    "base"                      => "wst_hotspot",
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'icon'                      => 'no-bg stline-maps-pin-2',
    "content_element"           => true,
    "description"               => "Display Multiple markers on an image.",
    "show_settings_on_create"   => true,
    "params"                    => array(
        array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Image",'qonspt'),
            "param_name"        => "image",
         ),array(
            'type'              => 'img_map_mark',
            'heading'           => '',
            'param_name'        => 'img_marker',
        ),
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Interactivity', 'qonspt' ),
            'param_name'        => 'interactivity',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'value'             => array(
                esc_html__( 'Hover' , 'qonspt' )     => 'hover',
                esc_html__( 'Click' , 'qonspt' )     => 'click',
                esc_html__( 'None' , 'qonspt' )      => 'none',
            ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),
    )
);
    
