<?php
return array(
    "name"          => esc_html__("Popular Posts", "qonspt"),
    "base"          => "wst_popular_posts",
    'category'      => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'icon'          => 'no-bg fa fa-heart-o',
    'description'   => esc_html__( 'Display most popular posts', 'qonspt' ),
    "params"        => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Style",'qonspt'),
            "param_name"        => "pp_style",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "value"             => array(
                esc_html__( 'Large Image First' , 'qonspt' )  => '1',
                esc_html__( 'Normal Links' , 'qonspt' )       => '2',
            ),
            "description"       => esc_html__("select the populat posts style.",'qonspt')
         ),array(
            "type"              => "wst_multiselect",
            "heading"           => esc_html__("Category",'qonspt'),
            "param_name"        => "wst_cat",
            "value"             => wst_dropdown_cats(),
            "description"       => esc_html__("type the item category.",'qonspt')
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Image Size",'qonspt'),
            "param_name"        => "img_size",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "value"             => array(
                esc_html__( 'Thumbnail - 150x150' , 'qonspt' )         => 'thumbnail',
                esc_html__( 'Medium - 400x380' , 'qonspt' )            => 'blog-small-image',
                esc_html__( 'Large - 1024x1024' , 'qonspt' )           => 'large',
                esc_html__( 'Blog Large Image - 1170x470' , 'qonspt' ) => 'blog-large-image',
                esc_html__( 'Original Size' , 'qonspt' )               => 'full'
            ),                           
            "description"       => esc_html__("select the pager type.",'qonspt'),
            "std"               => 'large'
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Number Of Posts", "qonspt"),
            "param_name"        => "pp_max_posts",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'value'             => '3',
            "description"       => esc_html__("Max. Number of Posts.", "qonspt"),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )  
    )
);
    