<?php
return array(
    "name"                      => esc_html__("Steps", "qonspt"),
    "base"                      => "wst_steps",
    "as_parent"                 => array('only' => 'wst_step'),
    'icon'                      => 'no-bg stline-common-file-stack',
    "show_settings_on_create"   => true,
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    "content_element"           => true,
    'description'               => esc_html__( 'Add Steps Container', 'qonspt' ),
    "params"                    => array(
        array(
           'type'               => 'dropdown',
            'heading'           => esc_html__( 'Style', 'qonspt' ),
            'param_name'        => 'steps_style',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'description'       => esc_html__( 'Select Steps Style.', 'qonspt' ),
            'value'             => array(
                esc_html__( 'Horizontal Steps' , 'qonspt' )  => 'horiz_steps',
                esc_html__( 'Vertical Steps' , 'qonspt' )    => 'vert_steps',
            ),
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Alternate Items', 'qonspt' ),
            'param_name'        => 'alt_items',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'value'             => array(
                '' => '1',
            ),
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )
    ),
    "js_view" => 'VcColumnView'
); 
    
