<?php

if( ! function_exists( 'hoverbox_atts' ) ){
    function hoverbox_atts() {
        return array (
            array(
                "type"              => "dropdown",
                "heading"           => esc_html__("Direction", "qonspt"),
                "param_name"        => "main_dir",
                'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
                "weight"            => 9,
                "value"             => array(
                    esc_html__( "Horizontal (to left)" , 'qonspt' )      => "",
                    esc_html__( "Horizontal (to right)" , 'qonspt' )     => "horizontal",
                    esc_html__( "Vertical (to bottom)" , 'qonspt' )      => "vertical",
                    esc_html__( "Vertical (to top)" , 'qonspt' )         => "vertical2",
                    
                ),
            )               
        );    
    }    
}



vc_remove_param( 'vc_hoverbox',      "hover_add_button" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_title" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_link" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_style" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_gradient_color_1" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_gradient_color_2" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_gradient_custom_color_1" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_gradient_custom_color_2" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_gradient_text_color" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_custom_background" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_custom_text" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_outline_custom_color" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_outline_custom_hover_background" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_outline_custom_hover_text" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_shape" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_size" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_align" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_button_block" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_add_icon" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_align" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_type" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_fontawesome" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_openiconic" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_typicons" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_entypo" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_linecons" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_monosocial" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_material" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_i_icon_pixelicons" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_css_animation" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_color" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_el_id" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_el_class" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_custom_onclick" );
vc_remove_param( 'vc_hoverbox',      "hover_btn_custom_onclick_code" );

vc_add_params( 'vc_hoverbox',        hoverbox_atts() );
vc_map_update( 'vc_hoverbox',        hoverbox_atts() );