<?php

if( ! function_exists( 'tour_atts' ) ){
    function tour_atts() {
        return array (
            array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Style', 'qonspt' ),
                'param_name'        => 'style',
                'edit_field_class'  => 'select_bxs vc_column vc_col-xs-4',
                'weight'            => 5,
                'value'             => array(
                    esc_html__( 'Default' , 'qonspt' )       => 'classic vc_tour',
                    esc_html__( 'With Shadow' , 'qonspt' )   => 'with_shadow vc_tour',
                ),
            )                
        );    
    }    
}

$tour_shp_param = WPBMap::getParam( 'vc_tta_tour', 'shape' );
$tour_shp_param['edit_field_class'] = 'select_bxs vc_column vc_col-xs-5';
vc_update_shortcode_param( 'vc_tta_tour', $tour_shp_param );

$tour_pos_param = WPBMap::getParam( 'vc_tta_tour', 'tab_position' );
$tour_pos_param['edit_field_class'] = 'select_bxs vc_column vc_col-xs-4';
vc_update_shortcode_param( 'vc_tta_tour', $tour_pos_param );

$tour_fll_param = WPBMap::getParam( 'vc_tta_tour', 'no_fill_content_area' );
$tour_fll_param['edit_field_class'] = 'select_bxs vc_column vc_col-xs-3';
vc_update_shortcode_param( 'vc_tta_tour', $tour_fll_param );

$tour_al_param = WPBMap::getParam( 'vc_tta_tour', 'alignment' );
$tour_al_param['edit_field_class'] = 'select_bxs vc_column vc_col-xs-8';
vc_update_shortcode_param( 'vc_tta_tour', $tour_al_param );

$tour_cs_param = WPBMap::getParam( 'vc_tta_tour', 'controls_size' );
$tour_cs_param['edit_field_class'] = 'select_bxs vc_column vc_col-xs-12';
vc_update_shortcode_param( 'vc_tta_tour', $tour_cs_param );

$tour_aut_param = WPBMap::getParam( 'vc_tta_tour', 'autoplay' );
$tour_aut_param['edit_field_class'] = 'vc_column vc_col-xs-3';
vc_update_shortcode_param( 'vc_tta_tour', $tour_aut_param );

$tour_act_param = WPBMap::getParam( 'vc_tta_tour', 'active_section' );
$tour_act_param['edit_field_class'] = 'vc_column vc_col-xs-4';
vc_update_shortcode_param( 'vc_tta_tour', $tour_act_param );

$tour_pg_param = WPBMap::getParam( 'vc_tta_tour', 'pagination_style' );
$tour_pg_param['edit_field_class'] = 'vc_column vc_col-xs-5';
vc_update_shortcode_param( 'vc_tta_tour', $tour_pg_param );

vc_remove_param( 'vc_tta_tour',         "style" );
vc_remove_param( 'vc_tta_tour',         "title" );
vc_remove_param( 'vc_tta_tour',         "gap" );
vc_remove_param( 'vc_tta_tour',         "color" );
vc_remove_param( 'vc_tta_tour',         "spacing" );
vc_add_params( 'vc_tta_tour',           tour_atts() );
vc_map_update( 'vc_tta_tour',           tour_atts() );