<?php

if( ! function_exists( 'video_atts' ) ){
    function video_atts() {
        return array (
            array(
                'type'          => 'checkbox',
                'heading'       => esc_html__( 'Use Self Hosted Video', 'qonspt' ),
                'param_name'    => 'up_video',
                'value'         => array(
                    '' => '1',
                )
            ),
            array(
                'type'          => 'attach_image',
                'heading'       => esc_html__( 'Video Poster', 'qonspt' ),
                'param_name'    => 'vc_video_poster',
                'group'         => esc_html__( 'Upload Video' , 'qonspt' ),
                'dependency'    => array(
                    'element' => 'up_video',
                    'value' => '1',
                ),
            ),array(
                'type'          => 'wst_video_bg',
                'heading'       => esc_html__( 'video/mp4', 'qonspt' ),
                'param_name'    => 'vc_video_mp4',
                'group'         => esc_html__( 'Upload Video' , 'qonspt' ),
                'dependency'    => array(
                    'element' => 'up_video',
                    'value' => '1',
                ),
            ),array(
                'type'          => 'wst_video_bg',
                'heading'       => esc_html__( 'video/webm', 'qonspt' ),
                'param_name'    => 'vc_video_webm',
                'group'         => esc_html__( 'Upload Video' , 'qonspt' ),
                'dependency'    => array(
                    'element' => 'up_video',
                    'value' => '1',
                ),
            ),array(
                'type'          => 'wst_video_bg',
                'heading'       => esc_html__( 'video/ogv', 'qonspt' ),
                'param_name'    => 'vc_video_ogv',
                'group'         => esc_html__( 'Upload Video' , 'qonspt' ),
                'dependency'    => array(
                    'element' => 'up_video',
                    'value' => '1',
                ),
            ),
            array(
                'type'          => 'textfield',
                'heading'       => esc_html__( 'Extra class name', 'qonspt' ),
                'param_name'    => 'el_class',
                'description'   => esc_html__( 'Add an extra class name to this element.', 'qonspt' )
            )                
        );    
    }    
}

vc_remove_param( "vc_video",         "el_class" );
vc_add_params( 'vc_video',           video_atts() );
vc_map_update( 'vc_video',           video_atts() );