<?php 

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    
    class WPBakeryShortCode_wst_testimonials extends WPBakeryShortCodesContainer {
        protected function content($atts, $content = null) {
            global $block_style;
            global $block_arrange;
            global $grid_cols;
            global $block_type;
            extract(shortcode_atts(array(
                'el_class'              => '',
                'block_style'           => '1',
                'block_arrange'         => '1',
                'block_type'            => 'normal',
                'grid_cols'             => '12',
                'v_type'                => 'horizontal',
                'v_cursor'              => '',
                'v_slides'              => '1',
                'v_scroll'              => '1',
                'v_fade'                => '',
                'v_speed'               => '500',
                'v_arrows'              => '',
                'v_dots'                => '',
                'gap'                   => '0',
                'v_mode'                => '',
                'v_auto'                => '',
                'arrow_pos'             => '',
                'arrow_color'           => '',
                'arrow_bg_color'        => '',
                'arrow_bord_color'      => '',
                'arrow_bord_width'      => '',
                'arrow_hover_color'     => '',
                'arrow_hover_bg_color'  => '',
                'arrow_hover_bord_color'=> '',
                'next_icon'             => 'fa fa-chevron-right',
                'prev_icon'             => 'fa fa-chevron-left',
                'arrow_shape'           => 'circle',
                'bullet_color'          => '',
                'act_bullet_color'      => '',
                'bullet_style'          => '1',
                'bullet_align'          => 'center_bulls',
                
                'bg_color'              => '',
                'border_color'          => '',
                'border_width'          => '',
                'hover_bg_color'        => '',
                'hover_border_color'    => '',
                
                'padd_top'              => '',
                'padd_right'            => '',
                'padd_bottom'           => '',
                'padd_left'             => '',
                'margin_top'            => '',
                'margin_right'          => '',
                'margin_bottom'         => '',
                'margin_left'           => '',
            ), $atts));
                        
            $output = $class = $custom_stle = $st = $style = '';
            
            $t2_slides      = ($v_slides !='')              ? " data-slidesnum='$v_slides'"             : "";
            $t2_type        = ($v_type !='')                ? " data-type='$v_type'"                    : "";
            $t2_scrolls     = ($v_scroll !='')              ? " data-scamount='$v_scroll'"              : "";
            $t2_fade        = ($v_fade !='')                ? " data-fade='$v_fade'"                    : "";               
            $t2_speed       = ($v_speed !='')               ? " data-speed='$v_speed'"                  : "";
            $t2_arrows      = ($v_arrows !='')              ? " data-arrows='$v_arrows'"                : "";
            $t2_dots        = ($v_dots !='')                ? " data-dots='$v_dots'"                    : "";
            $t2_auto        = ($v_auto !='')                ? " data-auto='$v_auto'"                    : "";
            $t2_mode        = ($v_mode !='')                ? " data-center-mode='$v_mode'"             : "";
            $nx_ic          = ($next_icon !='')             ? " data-next-icon='$next_icon'"            : "";
            $pv_ic          = ($prev_icon !='')             ? " data-prev-icon='$prev_icon'"            : "";
            $ar_shape       = ($arrow_shape !='')           ? " data-arrow-shape='$arrow_shape'"        : "";
                
            $testid = uniqid('testi-', '');
            
            if( $bg_color != '' || $border_color != '' || $padd_top != '' || $padd_right != '' || $padd_bottom != '' || $padd_left != '' || $margin_top != '' || $margin_right != '' || $margin_bottom != '' || $margin_left != '' ){
                $custom_stle .= ".{$testid}{";
                    $custom_stle .= ($bg_color != '') ? "background-color: {$bg_color};" : "";
                    $custom_stle .= ($border_color != '' && $border_width != '') ? "border: {$border_width}px {$border_color} solid;" : "";
                    $custom_stle .= ($padd_top != '') ? "padding-top: {$padd_top}px;" : "";
                    $custom_stle .= ($padd_right != '') ? "padding-right: {$padd_right}px;" : "";
                    $custom_stle .= ($padd_bottom != '') ? "padding-bottom: {$padd_bottom}px;" : "";
                    $custom_stle .= ($padd_left != '') ? "padding-left: {$padd_left}px;" : "";
                    $custom_stle .= ($margin_top != '') ? "margin-top: {$margin_top}px;" : "";
                    $custom_stle .= ($margin_right != '') ? "margin-right: {$margin_right}px;" : "";
                    $custom_stle .= ($margin_bottom != '') ? "margin-bottom: {$margin_bottom}px;" : "";
                    $custom_stle .= ($margin_left != '') ? "margin-left: {$margin_left}px;" : "";
                $custom_stle .= "}";
            }
            
            if( $hover_bg_color != '' || $hover_border_color != ''){
                $custom_stle .= ".{$testid}:hover{";
                    $custom_stle .= ($hover_bg_color != '') ? "background-color: {$hover_bg_color};" : "";
                    $custom_stle .= ($hover_border_color != '') ? "border-color: {$hover_border_color};" : "";
                $custom_stle .= "}";    
            }
            
            if( $gap != ''){
                $custom_stle .= ".{$testid}.wst-carousel-slider .slick-slide {";
                    $custom_stle .= ($gap != '') ? "margin: {$gap}" : "";
                $custom_stle .= "}";    
            }
   
            if( $arrow_color != '' ){
                $custom_stle .= ".{$testid}.wst-carousel-slider .slick-arrow {";
                    $custom_stle .= ($arrow_color != '') ? "color: {$arrow_color};" : "";
                $custom_stle .= "}";
            }
            
            if( $arrow_bg_color != '' || $arrow_bord_color != '' ){
                $custom_stle .= ".{$testid}.wst-carousel-slider .slick-arrow:before {";
                    $custom_stle .= ($arrow_bg_color != '') ? "background-color: {$arrow_bg_color};" : "";
                    $custom_stle .= ($arrow_bord_color != '') ? "border: {$arrow_bord_width}px {$arrow_bord_color} solid;" : "";
                $custom_stle .= "}";
            }
            
            if( $arrow_hover_color != '' ){
                $custom_stle .= ".{$testid}.wst-carousel-slider .slick-arrow:hover {";
                    $custom_stle .= ($arrow_hover_color != '') ? "color: {$arrow_hover_color};" : "";
                $custom_stle .= "}";    
            }
            
            if( $arrow_hover_bg_color != '' || $arrow_hover_bord_color != ''){
                $custom_stle .= ".{$testid}.wst-carousel-slider .slick-arrow:after {";
                    $custom_stle .= ($arrow_hover_bg_color != '') ? "background-color: {$arrow_hover_bg_color};" : "";
                    $custom_stle .= ($arrow_hover_bord_color != '') ? "border: {$arrow_bord_width}px {$arrow_hover_bord_color} solid;" : "";
                $custom_stle .= "}";    
            }
            
            if( $bullet_color != '' ){
                
                $custom_stle .= ".{$testid}.wst-carousel-slider .slick-dots li button {";
                    $custom_stle .= ($bullet_color != '') ? "border-color: {$bullet_color} !important;" : "";
                $custom_stle .= "}";
                
                if ( $bullet_style == '3' || $bullet_style == '4' ) {
                    $custom_stle .= ".{$testid}.wst-carousel-slider .slick-dots li button {";
                        $custom_stle .= ($bullet_color != '') ? "background-color: {$bullet_color} !important;" : "";
                    $custom_stle .= "}";
                }                
            }
            
            if( $act_bullet_color != '' ){
                
                $custom_stle .= ".{$testid}.wst-carousel-slider .slick-dots li.slick-active button {";
                    $custom_stle .= ($act_bullet_color != '') ? "background-color: {$act_bullet_color} !important;" : "";
                    $custom_stle .= ($act_bullet_color != '') ? "border-color: {$act_bullet_color} !important;" : "";
                $custom_stle .= "}";
                
            }
            
            wst_inline_css( $custom_stle );
            
            $attrs = ( $block_type == 'carousel' ) ? $t2_type.$t2_slides.$t2_scrolls.$t2_fade.$t2_speed.$t2_arrows.$t2_dots.$t2_auto.$ar_shape.$nx_ic.$pv_ic : '';
                        
            $class = 'wst-testimonials';
            $class .= ' ' . $testid;
            $class .= ' wst-testimonial-' . $block_style;
            $class .= ( $el_class != '' ) ? ' ' . $el_class : '';
            $class .= ( $block_type == 'normal' ) ? ' normal-test' : '';
            $class .= ( $bullet_align != '' ) ? ' '.$bullet_align : '';
            $class .= ( $block_type == 'grid' ) ? ' grid-test' : '';
            $class .= ( $block_type == 'carousel' ) ? ' wst-carousel-slider' : '';
            $class .= ( $block_type == 'carousel' ) ? ' bullets-' . $bullet_style : '';
            $class .= ( $block_type == 'carousel' && $v_slides > 1 ) ? ' multi-slides' : '';
            $class .= ( $block_type == 'carousel' && $arrow_pos != '' ) ? ' arrows-'.$arrow_pos : '';
            $class .= ( $block_type == 'carousel' &&  $v_cursor == 'grab' ) ? ' grb' : '';
            $class .= ( $block_type == 'carousel' && $next_icon != '' ) ? ' cust_nxt' : '';
            $class .= ( $block_type == 'carousel' && $prev_icon != '' ) ? ' cust_prv' : '';

            $output .= "<div class='{$class}'{$attrs}>";
                
                $output .= do_shortcode( $content );
            
            $output .= "</div>";           
            
            return $output;
        }
    }
    
    class WPBakeryShortCode_wst_carousel extends WPBakeryShortCodesContainer {
        protected function content($atts, $content = null) {
            global $v_type;
            global $gap;
            extract(shortcode_atts(array(
                'el_class'              => '',
                'v_type'                => 'horizontal',
                'v_cursor'              => '',
                'v_slides'              => '1',
                'v_scroll'              => '1',
                'v_fade'                => '',
                'v_speed'               => '500',
                'v_arrows'              => '',
                'v_dots'                => '',
                'gap'                   => '0',
                'v_mode'                => '',
                'v_auto'                => '',
                'arrow_pos'             => '',
                'arrow_color'           => '',
                'arrow_bg_color'        => '',
                'arrow_bord_color'      => '',
                'arrow_bord_width'      => '',
                'arrow_hover_color'     => '',
                'arrow_hover_bg_color'  => '',
                'arrow_hover_bord_color'=> '',
                'next_icon'             => 'fa fa-chevron-right',
                'prev_icon'             => 'fa fa-chevron-left',
                'arrow_shape'           => 'circle',
                'bullet_color'          => '',
                'act_bullet_color'      => '',
                'bullet_style'          => '1',
            ), $atts));
            
            $output = $custom_stle = $t2_slides = $t2_scrolls = $t2_fade = $t2_speed = $t2_arrows = $t2_dots = $t2_auto = $t2_mode = $ar_col = $nx_ic = $pv_ic = '';
            
            $t2_slides      = ($v_slides !='')              ? " data-slidesnum='$v_slides'"             : "";
            $t2_type        = ($v_type !='')                ? " data-type='$v_type'"                    : "";
            $t2_scrolls     = ($v_scroll !='')              ? " data-scamount='$v_scroll'"              : "";
            $t2_fade        = ($v_fade !='')                ? " data-fade='$v_fade'"                    : "";               
            $t2_speed       = ($v_speed !='')               ? " data-speed='$v_speed'"                  : "";
            $t2_arrows      = ($v_arrows !='')              ? " data-arrows='$v_arrows'"                : "";
            $t2_dots        = ($v_dots !='')                ? " data-dots='$v_dots'"                    : "";
            $t2_auto        = ($v_auto !='')                ? " data-auto='$v_auto'"                    : "";
            $t2_mode        = ($v_mode !='')                ? " data-center-mode='$v_mode'"             : "";
            $nx_ic          = ($next_icon !='')             ? " data-next-icon='$next_icon'"            : "";
            $pv_ic          = ($prev_icon !='')             ? " data-prev-icon='$prev_icon'"            : "";
            $ar_shape       = ($arrow_shape !='')           ? " data-arrow-shape='$arrow_shape'"        : "";
                
            $carid = uniqid( 'caros_' );
            
            if( $gap != ''){
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-slide > div {";
                    $custom_stle .= ($gap != '') ? "margin: {$gap}" : "";
                $custom_stle .= "}";
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-list {";
                    //$custom_stle .= ($gap != '') ? "margin: 0 0 0 -{$gap}" : "";
                $custom_stle .= "}";
            }
            
            if( $v_cursor != '' ){
                $custom_stle .= "#{$carid}.wst-carousel-slider {";
                    $custom_stle .= ($v_cursor != '') ? "cursor: {$v_cursor};" : "";
                $custom_stle .= "}";
            }
            
            if( $arrow_color != '' ){
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-arrow {";
                    $custom_stle .= ($arrow_color != '') ? "color: {$arrow_color};" : "";
                $custom_stle .= "}";
            }
            
            if( $arrow_bg_color != '' || $arrow_bord_color != '' ){
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-arrow:before {";
                    $custom_stle .= ($arrow_bg_color != '') ? "background-color: {$arrow_bg_color};" : "";
                    $custom_stle .= ($arrow_bord_color != '') ? "border: {$arrow_bord_width}px {$arrow_bord_color} solid;" : "";
                $custom_stle .= "}";
            }
            
            if( $arrow_hover_color != '' ){
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-arrow:hover {";
                    $custom_stle .= ($arrow_hover_color != '') ? "color: {$arrow_hover_color};" : "";
                $custom_stle .= "}";    
            }
            
            if( $arrow_hover_bg_color != '' || $arrow_hover_bord_color != ''){
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-arrow:after {";
                    $custom_stle .= ($arrow_hover_bg_color != '') ? "background-color: {$arrow_hover_bg_color};" : "";
                    $custom_stle .= ($arrow_hover_bord_color != '') ? "border: {$arrow_bord_width}px {$arrow_hover_bord_color} solid;" : "";
                $custom_stle .= "}";    
            }
            
            if( $bullet_color != '' ){
                
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-dots li button {";
                    $custom_stle .= ($bullet_color != '') ? "border-color: {$bullet_color} !important;" : "";
                $custom_stle .= "}";
                
                if ( $bullet_style == '3' ) {
                    $custom_stle .= "#{$carid}.wst-carousel-slider .slick-dots li button {";
                        $custom_stle .= ($bullet_color != '') ? "background-color: {$bullet_color} !important;" : "";
                    $custom_stle .= "}";
                }
                                
            }
            
            if( $act_bullet_color != '' ){
                
                $custom_stle .= "#{$carid}.wst-carousel-slider .slick-dots li.slick-active button {";
                    $custom_stle .= ($act_bullet_color != '') ? "background-color: {$act_bullet_color} !important;" : "";
                    $custom_stle .= ($act_bullet_color != '') ? "border-color: {$act_bullet_color} !important;" : "";
                $custom_stle .= "}";
                
            }
            
            wst_inline_css( $custom_stle );
                            
            $attrs2 = $t2_type.$t2_slides.$t2_scrolls.$t2_fade.$t2_speed.$t2_arrows.$t2_dots.$t2_auto.$ar_shape.$nx_ic.$pv_ic;
            
            $class  = 'wst-carousel-slider';
            $class .= ( $v_slides > 1 ) ? ' multi-slides' : '';
            $class .= ( $arrow_pos != '' ) ? ' arrows-'.$arrow_pos : '';
            $class .= ( $el_class != '' ) ? ' '.$el_class : '';
            $class .= ' bullets-' . $bullet_style;
            $class .= ( $v_cursor == 'grab' ) ? ' grb' : '';
            
            $output .= "<div id='{$carid}' class='{$class}'{$attrs2}>";
                $output .= do_shortcode( $content );
            $output .= "</div>";

            return $output;
        }
    }
    
    class WPBakeryShortCode_wst_steps extends WPBakeryShortCodesContainer {
        protected function content($atts, $content = null) {
            global $steps_style;
            extract(shortcode_atts(array(
                'el_class'          => '',
                'steps_style'       => 'horiz_steps',
                'alt_items'         => ''
            ), $atts));
            
            $class  = 'steps_wrap';
            $class .= ' '.$steps_style;
            $class .= ( $alt_items == '1' ) ? ' alt_steps' : '';
            $class .= ( $el_class != '' ) ? ' ' . $el_class : '';
            
            $output = '<div class="'.$class.'">';
                $output .= do_shortcode( $content );
            $output .= '</div>';
            
            return $output;
        }
    }
    
    class WPBakeryShortCode_wst_list extends WPBakeryShortCodesContainer {
        protected function content($atts, $content = null) {
            global $cust_list_align;
            global $list_border_width;
            global $list_border_color;
            global $list_border_style;
            extract(shortcode_atts(array(
                'el_class'              => '',
                'list_font_size'        => '',
                'list_padd_top'         => '10',
                'list_padd_bottom'      => '10',
                'list_border_width'     => '',
                'list_border_color'     => '',
                'list_border_style'     => '',
                'cust_list_align'       => '',
                'wst_animation'          => '',
                'delay'                 => '',
                'duration'              => '',
            ), $atts));

            $custom_stle = '';
            $listid = uniqid( 'wst-list-' );

            if( $list_font_size != '' || $list_padd_top != '' || $list_padd_bottom != '' ){
                
                $custom_stle .= ".{$listid} li {";
                    $custom_stle .= ($list_font_size != '') ? "font-size: {$list_font_size}px;" : "";
                    $custom_stle .= ($list_padd_top != '') ? "padding-top: {$list_padd_top}px;" : "";
                    $custom_stle .= ($list_padd_bottom != '') ? "padding-bottom: {$list_padd_bottom}px;" : "";
                $custom_stle .= "}";
                
            }
            
            wst_inline_css( $custom_stle );
            
            $class = 'wst_list';
            $class .= ( $list_font_size != '' || $list_padd_top != '' || $list_padd_bottom != '' ) ? ' '.$listid : "";
            $class .= ($cust_list_align != '') ? ' '.$cust_list_align : "";
            $class .= ($el_class != '') ? ' '.$el_class : "";
            $class .= ($wst_animation != '') ? ' fx' : "";    
            
            // animation styling...
            $data_anim = ($wst_animation != '') ? ' data-animate="'.esc_js($wst_animation).'"' : '';
            $data_dur = ($duration != '') ? ' data-animation-duration="'.esc_js($duration).'"' : '';
            $data_del = ($delay != '') ? ' data-animation-delay="'.esc_js($delay).'"' : '';
            $animation = $data_anim.$data_del.$data_dur;
            
            $output = "<ul class='{$class}' {$animation}>";
                $output .= do_shortcode( $content );
            $output .= '</ul>';
            
            return $output;
        }
    }
    
    class WPBakeryShortCode_wst_modal extends WPBakeryShortCodesContainer {
        protected function content($atts, $content = null) {
            extract(shortcode_atts(array(
                'icon_param'                => '',
                'el_class'                  => '',
                'button_style'              => 'n-button',
                'mod_btn_text'              => 'BUTTON TEXT',
                'mod_btn_color'             => '',
                'mod_btn_font_size'         => '',
                'mod_btn_bg_color'          => '',
                'mod_btn_border_color'      => '',
                'mod_btn_bord_top'          => '',
                'mod_btn_bord_right'        => '',
                'mod_btn_bord_bottom'       => '',
                'mod_btn_bord_left'         => '',
                'mod_btn_hov_color'         => '',
                'mod_btn_hov_bg_color'      => '',
                'mod_btn_hov_border_color'  => '',
                'mod_stroke_width'          => '',
                'mod_btn_shape'             => 'square',
                'mod_btn_size'              => 'btn-md', 
                'mod_idl_shad'              => '',
                'mod_hover_shad'            => '',
                'mod_btn_add_icon'          => '',
                'mod_btn_align'             => 'left',
                'mod_btn_class'             => '',
                'modal_anim'                => 'md-effect-1',
                'modal_element'             => 'button',
                'conent_padd_top'           => '',
                'conent_padd_right'         => '',
                'conent_padd_bottom'        => '',
                'conent_padd_left'          => '',
                'content_background'        => '',
                'image'                     => '',
                'img_size'                  => 'thumbnail',
                'block_btn'                 => '',
                'use_icon'                  => '1',
                'icon_color'                => '',
                'icon_bg_color'             => '',
                'icon_border_color'         => '',
                'icon_border_width'         => '',
                'icon_hover_color'          => '',
                'icon_bg_hover_color'       => '',
                'icon_border_hover_color'   => '',
                'icon_font_size'            => '',
                'icon_align'                => 'left',
                'icon_shape'                => 'square',
                'icon_size'                 => 'box-md-icon',
                'hover_anim'                => '',
                'wst_animation'              => '',
                'delay'                     => '',
                'duration'                  => '',
            ), $atts));
            
            $mstyl = $custom_stle = $modid = '';
            if( $img_size == '40x40' || $img_size == '55x55' || $img_size == '70x70' ){
                $size = 'thumbnail';
            }else{
                $size = $img_size;
            }
            
            $modid = uniqid( 'cp_mod_' );
            $mod_id = uniqid( 'wp_modal_' );
                        
            if(($mod_btn_bg_color != '')){
                $drk_main =  colorCreator($mod_btn_bg_color, '-4');    
            } else if($mod_btn_border_color != ''){
                $drk_main =  colorCreator($mod_btn_border_color, '-4');
            }
            
            $custom_stle .= "#{$modid} .btn{";
                $custom_stle .= ($mod_btn_color != '') ? "color: {$mod_btn_color};" : "";
                $custom_stle .= ($mod_btn_bg_color != '') ? "background-color: {$mod_btn_bg_color};" : "";
                $custom_stle .= ($mod_btn_font_size != '') ? "font-size: {$mod_btn_font_size}px;" : "";
                $custom_stle .= ($mod_btn_border_color != '') ? "border-color: {$mod_btn_border_color};" : "";
                $custom_stle .= ($mod_btn_bord_top != '') ? "border-top-width: {$mod_btn_bord_top}px;" : "";
                $custom_stle .= ($mod_btn_bord_right != '') ? "border-right-width: {$mod_btn_bord_right}px;" : "";
                $custom_stle .= ($mod_btn_bord_bottom != '') ? "border-bottom-width: {$mod_btn_bord_bottom}px;" : "";
                $custom_stle .= ($mod_btn_bord_left != '') ? "border-left-width: {$mod_btn_bord_left}px;" : "";
                $custom_stle .= ($mod_btn_border_color != '') ? "border-style: solid;" : "";
            $custom_stle .= "}";
            
            $custom_stle .= "#{$modid} .btn:hover{";
                $custom_stle .= ($mod_btn_hov_color != '') ? "color: {$mod_btn_hov_color};" : "";
                $custom_stle .= ($mod_btn_hov_bg_color != '') ? "background-color: {$mod_btn_hov_bg_color};" : "";
                $custom_stle .= ($mod_btn_hov_border_color != '') ? "border-color: {$mod_btn_hov_border_color};" : "";        
            $custom_stle .= "}";
            
            if( $icon_color != '' || $icon_font_size == '' ){
                $custom_stle .= "#{$modid} .modal-icon{";
                    $custom_stle .= ( $icon_color != '' ) ? "color: {$icon_color};" : "";
                    $custom_stle .= ( $icon_font_size != '' ) ? "font-size: {$icon_font_size}px;" : "";  
                $custom_stle .= "}";
            }
            
            if( $icon_color != '' || $icon_bg_color != '' || $icon_border_color != '' || $icon_font_size == '' || $icon_border_width != '' ){
                $custom_stle .= "#{$modid} .modal-icon:before{";
                    $custom_stle .= ( $icon_color != '' ) ? "color: {$icon_color};" : "";
                    $custom_stle .= ( $icon_font_size != '' ) ? "font-size: {$icon_font_size}px;" : "";  
                    $custom_stle .= ( $icon_bg_color != '' ) ? "background:{$icon_bg_color};" : "";    
                    $custom_stle .= ( $icon_border_color != '' ) ? "border-color: {$icon_border_color};" : "";
                    $custom_stle .= ( $icon_border_width != '' ) ? "border-width: {$icon_border_width}px;" : "";
                    $custom_stle .= ( $icon_border_width != '' ) ? "border-style: solid;" : "";
                $custom_stle .= "}";
            }
            
            if( $icon_color != '' || $icon_bg_color != '' || $icon_border_color != '' || $icon_font_size == '' || $icon_border_width != '' ){
                $custom_stle .= "#{$modid} .modal-icon:after{";
                    $custom_stle .= ( $icon_border_color != '' ) ? "border-color: {$icon_border_color};" : "";
                    $custom_stle .= ( $icon_border_width != '' ) ? "border-width: {$icon_border_width}px;" : "";
                    $custom_stle .= ( $icon_border_width != '' ) ? "border-style: solid;" : "";
                $custom_stle .= "}";
            }
            
            if( $icon_hover_color != '' ){
                $custom_stle .= "#{$modid} .modal-icon:hover{";
                    $custom_stle .= ( $icon_hover_color != '' ) ? "color: {$icon_hover_color};" : "";
                $custom_stle .= "}";
            }
            
            if( $icon_border_color != '' ){
                $custom_stle .= "#{$modid} .modal-icon:after{";
                    $custom_stle .= ( $icon_border_color != '' ) ? "border-color: {$icon_border_color};" : "";
                $custom_stle .= "}";
            }
            
            if( $icon_bg_hover_color != '' || $icon_border_hover_color != '' ){
                $custom_stle .= "#{$modid} .modal-icon:hover:before{";
                    $custom_stle .= ( $icon_bg_hover_color != '' ) ? "background:{$icon_bg_hover_color};" : "";    
                    $custom_stle .= ( $icon_border_hover_color != '' ) ? "border-color: {$icon_border_hover_color};" : "";
                    $custom_stle .= ( $icon_border_width != '' ) ? "border-width: {$icon_border_width}px;" : "";
                    $custom_stle .= ( $icon_border_width != '' ) ? "border-style: solid;" : "";
                $custom_stle .= "}";
            }
            
            if( $icon_border_hover_color != '' ){
                $custom_stle .= "#{$modid} .modal-icon:hover:after{";
                    $custom_stle .= ( $icon_border_hover_color != '' ) ? "border-color: {$icon_border_hover_color};" : "";
                $custom_stle .= "}";
            }
            
            if ( $conent_padd_top || $conent_padd_right || $conent_padd_bottom || $conent_padd_left || $content_background ) {
                $custom_stle .= ".{$mod_id} .md-content{";
                    $custom_stle .= ( $conent_padd_top != '' ) ? "padding-top: {$conent_padd_top}px;" : "";
                    $custom_stle .= ( $conent_padd_right != '' ) ? "padding-right: {$conent_padd_right}px;" : "";
                    $custom_stle .= ( $conent_padd_bottom != '' ) ? "padding-bottom: {$conent_padd_bottom}px;" : "";
                    $custom_stle .= ( $conent_padd_left != '' ) ? "padding-left: {$conent_padd_left}px;" : "";
                    $custom_stle .= ( $content_background != '' ) ? "background-color: {$content_background};" : "";
                $custom_stle .= "}";
            }
            
            wst_inline_css( $custom_stle );
            
            $iconClass = $icon_param;
            $mainClass = 'wst-modal-element';
            $mainClass .= ( $icon_align != 'left' ) ? ' '.$icon_align : "";
            $mod_class = ( $conent_padd_top || $conent_padd_right || $conent_padd_bottom || $conent_padd_left || $content_background ) ? $mod_id : '';
            $mod_class .= ' ' . $modal_anim;
            $mod_class .= ' md-modal';
            
            $mainClass .= ( $wst_animation != '' ) ? ' fx' : "";
            $mainClass .= ( $el_class != '' ) ? ' '.$el_class : "";
            
            $bxiconClass = 'md-trigger anim_btn to-right modal-icon';
            $bxiconClass .= ( $icon_size != '' ) ? ' '.$icon_size : "";
            $bxiconClass .= ( $icon_shape != '' ) ? ' '.$icon_shape : "";
    
            $img_id = preg_replace( '/[^\d]/', '', $image );
            $thumb =   wp_get_attachment_image_src( $img_id,$size );
            
            $btn_clss = 'md-trigger btn';
            $btn_clss .= ' btn-align-'.$mod_btn_align;
            $btn_clss .= ( $mod_btn_class != '' ) ? ' '.$mod_btn_class : "";
            
            // animation styling...
            $data_anim  = ($wst_animation != '') ? ' data-animate="'.esc_js($wst_animation).'"' : '';
            $data_dur   = ($duration != '') ? ' data-animation-duration="'.esc_js($duration).'"' : '';
            $data_del   = ($delay != '') ? ' data-animation-delay="'.esc_js($delay).'"' : '';
            $animation  = $data_anim.$data_del.$data_dur;
            
            $output = "<div id='{$modid}' class='{$mainClass}'{$animation}>";
                
                if( $modal_element == 'button' ){
                    if($button_style == 'n-button'){            
                        $output .= '<button class="'.$btn_clss.'" data-modal="'.$mod_id.'"><span>'.$mod_btn_text.'</span></button>';
                    }else{
                        $output .= '<a href="#" class="md-trigger" data-modal="'.$mod_id.'"><span>'.$mod_btn_text.'</span></a>';
                    }    
                } else if ( $modal_element == 'icon' ) {
                    if($use_icon == '1'){
                        $output .= "<a href='#' class='{$bxiconClass}' data-modal='{$mod_id}'>";
                            $output .= ( $hover_anim == 'anim1' || $hover_anim == 'anim2' || $hover_anim == 'anim3' || $hover_anim == 'anim4' ) ? '<span class="anim_wrap">' : "";
                                $output .= "<span><i class='{$iconClass}'></i><i class='btn_back {$iconClass}'></i></span>";
                            $output .= ( $hover_anim == 'anim1' || $hover_anim == 'anim2' || $hover_anim == 'anim3' || $hover_anim == 'anim4' ) ? '</span>' : "";
                        $output .= '</a>';
                    }     
                } else {
                    $output .= '<div class="mod_img"><a class="md-trigger" href="#" data-modal="'.$mod_id.'"><img alt="" src="'.$thumb[0].'"></a></div>';
                }

                $output .= '<div class="'.$mod_class.'" id="'.$mod_id.'">';
                    $output .= '<div class="md-content">';
                        $output .= wpb_js_remove_wpautop( $content );
                        $output .= '<a class="md-close" href="#"><i class="stline-close"></i></a>';
                    $output .= '</div>';
                $output .= '</div>';
                            
            $output .= '</div>'; 
            
            wp_enqueue_style ( 'wst_modal' );
            wp_enqueue_script ( 'wst-classie' );
            wp_enqueue_script ( 'wst-modalEffects' );
              
            return $output;
                         
        }
    }
    
    if ( ! function_exists( 'wst_modal_div' ) ) {
        function wst_modal_div (){
           echo '<div class="md-overlay"></div>'; 
        }
        add_action( 'wp_footer', 'wst_modal_div' );    
    }
    
}