<?php

if ( ! function_exists( 'icon_pop' ) ) {
    function icon_pop( $settings, $value ) {
        
        $html = '<i class="ico"></i>';
        
        $html .= '<a class="button btn_icon" href="#"><i class="stline-add"></i>'.esc_html__('Add Icon', 'qonspt').'</a>';
        
        $html .= '<input class="icon_cust regular-text wpb_vc_param_value wpb-textinput ' . esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" 
        name="' . esc_attr( $settings['param_name'] ) . '" type="hidden" value="' . esc_attr( $value ) . '" />';
        
        $html .= '<a class="button icon-remove" title="'.esc_attr(esc_html__('Remove Icon', 'qonspt')).'"><i class="stline-close"></i></a>';    
        
        return $html;
        
    }
}
vc_add_shortcode_param('wst_icon_pop', 'icon_pop');