<?php 
function wst_btn_shortcode($atts, $content=null){
    global $allowedposttags; 
    extract(shortcode_atts( array(
        
        'icon_param'             => '',
        
        'bg_main'                => 'color',
        'bg_color'               => '#f20c53',
        'bg_grad'                => '',
        'border_color'           => '',
        'bord_top'               => '',
        'bord_right'             => '',
        'bord_bottom'            => '',
        'bord_left'              => '',
        'bord_style'             => '',
        'size'                   => '',
        'letter_spacing'         => '',
        'font_weight'            => '',
        'padd_top'               => '',
        'padd_right'             => '',
        'padd_bottom'            => '',
        'padd_left'              => '',
        'skew_btn'               => '',
        
        'hover_bg_main'          => 'color',
        'hover_color'            => '',
        'hover_bg_color'         => '',
        'hover_bg_grad'          => '',
        'hover_border_color'     => '',
        'hover_bord_top'         => '',
        'hover_bord_right'       => '',
        'hover_bord_bottom'      => '',
        'hover_bord_left'        => '',
        'hover_bord_style'       => '',
        'y_pos'                  => '',
        
        'btn_shape'              => '', 
        'btn_size'               => 'btn-md',
        'btn_anim'               => '',
        
        'idl_shad'               => '',
        'idl_shad1'              => '',
        'idl_shad2'              => '',
        'idl_shad3'              => '',
        'idl_shad4'              => '',
        'shd_color'              => '',
        
        'hover_shad'             => '',
        'hover_shd1'             => '',
        'hover_shd2'             => '',
        'hover_shd3'             => '',
        'hover_shd4'             => '',
        'hover_shd_color'        => '',
        
        'link'                   => '',
        'hover_anim'             => 'default',
        'wst_animation'           => '',
        'delay'                  => '',
        'duration'               => '',
                
        'use_icon'               => '',
        'icon_align'             => '',
        'icon_color'             => '',
        'icon_bg_color'          => '',
        'icon_color_hover'       => '',
        'icon_bg_hover'          => '',
        'icon_size'              => '',
        'icon_padd'              => '',
        'icon_border_color'      => '',
        'icon_border_hover'      => '',
        'icon_radius'            => '',
        
        'el_class'               => ''
        
    ), $atts));
    
    $output = $border_width = $custom_stle = $rel = $iconClass = '';
        
    $icid   = uniqid( 'btn_' );
    $grd    = "background:".esc_textarea($bg_grad).";";
    $hovgrd = "background:".esc_textarea($hover_bg_grad).";";
    
    if( $bord_top || $bord_right || $bord_bottom || $bord_left || $padd_top || $padd_right || $padd_bottom || $padd_left || $size || $letter_spacing || $font_weight || $border_color || $bord_style || $bg_color || $bg_grad || $idl_shad ){
        
        $custom_stle .= ".{$icid}{";

            $custom_stle .= ( $bord_top != '' ) ? "border-top-width: {$bord_top}px;" : "";
            $custom_stle .= ( $bord_right != '' ) ? "border-right-width: {$bord_right}px;" : "";
            $custom_stle .= ( $bord_bottom != '' ) ? "border-bottom-width: {$bord_bottom}px;" : "";
            $custom_stle .= ( $bord_left != '' ) ? "border-left-width: {$bord_left}px;" : "";
            $custom_stle .= ( $btn_size == 'custom' && $padd_top !== '' ) ? "padding-top: {$padd_top}px;" : "";
            $custom_stle .= ( $btn_size == 'custom' && $padd_right !== '' ) ? "padding-right: {$padd_right}px;" : "";
            $custom_stle .= ( $btn_size == 'custom' && $padd_bottom !== '' ) ? "padding-bottom: {$padd_bottom}px;" : "";
            $custom_stle .= ( $btn_size == 'custom' && $padd_left !== '' ) ? "padding-left: {$padd_left}px;" : "";
            $custom_stle .= ( $border_color != '' ) ? "border-color: {$border_color};" : "";
            $custom_stle .= ( $bord_style != '' ) ? "border-style: ".$bord_style.";" : "";  
            $custom_stle .= ( $btn_size == 'custom' && $letter_spacing != '' ) ? "letter-spacing: {$letter_spacing}px;" : "";
            $custom_stle .= ( $btn_size == 'custom' && $size != '' ) ? "font-size: {$size}px;" : "";
            $custom_stle .= ( $font_weight != '' ) ? "font-weight: {$font_weight};" : "";          
            $custom_stle .= ( $bg_color != '' && $btn_anim == '' ) ? "background-color: {$bg_color};" : "";
            $custom_stle .= ( $bg_grad != '' && $bg_main == 'gradient' && $btn_anim == '' ) ? $grd : "";
            
            if( $idl_shad != '' ){
                $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "-webkit-box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";
                $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";    
            }

        $custom_stle .= "}";
    }
    
    if( $btn_anim != '' && ( $bg_color || $bg_grad ) ){
        $custom_stle .= ".{$icid}:before{";
            $custom_stle .= ($bg_color != '') ? "background-color: {$bg_color};" : "";
            $custom_stle .= ($bg_grad != '' && $bg_main == 'gradient') ? $grd : "";
        $custom_stle .= "}";
    }
    
    if( $hover_color || $hover_bg_color || $hover_bg_grad || $hover_bord_top || $hover_bord_right || $hover_bord_bottom || $hover_bord_left || $hover_border_color || $hover_bord_style || $hover_shad || $y_pos != '' ){    
        $custom_stle .= ".{$icid}:hover{";
            $custom_stle .= ($hover_color != '') ? "color: {$hover_color};" : "";
            $custom_stle .= ($hover_bg_color != '' && $btn_anim == '') ? "background-color: {$hover_bg_color};" : "";
            $custom_stle .= ($hover_bg_grad != '' && $hover_bg_main == 'gradient' && $btn_anim == '') ? $hovgrd : "";
            $custom_stle .= ($hover_bord_top != '') ? "border-top-width: {$hover_bord_top}px;" : "";
            $custom_stle .= ($hover_bord_right != '') ? "border-right-width: {$hover_bord_right}px;" : "";
            $custom_stle .= ($hover_bord_bottom != '') ? "border-bottom-width: {$hover_bord_bottom}px;" : "";
            $custom_stle .= ($hover_bord_left != '') ? "border-left-width: {$hover_bord_left}px;" : "";
            $custom_stle .= ($hover_border_color != '') ? "border-color: {$hover_border_color};" : ""; 
            $custom_stle .= ($hover_bord_style != '') ? "border-style: ".$hover_bord_style.";" : "";
            $custom_stle .= ($y_pos != '') ? "transform: translateY(".$y_pos."px) !important;-webkit-transform: translateY(".$y_pos."px) !important;" : "";
            $custom_stle .= ($skew_btn != '' && $y_pos != '') ? "transform: skew(-20deg) translateY(".$y_pos."px) !important;-webkit-transform: skew(-20deg) translateY(".$y_pos."px) !important;" : "";
            $custom_stle .= ($skew_btn != '' && $y_pos == '') ? "transform: skew(-20deg) translateY(-4px) !important;-webkit-transform: skew(-20deg) translateY(-4px) !important;" : "";
            
            if( $hover_shad != '' ){
                $custom_stle .= ($hover_shd1 != '' && $hover_shd2 != '' && $hover_shd3 != '' && $hover_shd_color != '') ? "-webkit-box-shadow: ".$hover_shd1."px ".$hover_shd2."px ".$hover_shd3."px ".$hover_shd4."px ".$hover_shd_color.";" : "";
                $custom_stle .= ($hover_shd1 != '' && $hover_shd2 != '' && $hover_shd3 != '' && $hover_shd_color != '') ? "box-shadow: ".$hover_shd1."px ".$hover_shd2."px ".$hover_shd3."px ".$hover_shd4."px ".$hover_shd_color.";" : "";    
            }
            
        $custom_stle .= "}";
    }
    
    if( $btn_anim != '' && $btn_anim != 'animate1' && $btn_anim != 'animate2' && ( $hover_bg_color || $hover_bg_grad ) ){
        $custom_stle .= ".{$icid}:after{";
            $custom_stle .= ($hover_bg_color != '' && $hover_bg_main == 'color') ? "background-color: {$hover_bg_color};" : "";
            $custom_stle .= ($hover_bg_grad != '' && $hover_bg_main == 'gradient') ? $hovgrd : "";
        $custom_stle .= "}";
    }

    if( $btn_anim == 'animate1' && ( $hover_bg_color || $hover_bg_grad ) ){
        $custom_stle .= ".{$icid}:hover:before{";
            $custom_stle .= ($hover_bg_color != '' && $hover_bg_main == 'color') ? "background-color: {$hover_bg_color};" : "";
            $custom_stle .= ($hover_bg_grad != '' && $hover_bg_main == 'gradient') ? $hovgrd : "";
        $custom_stle .= "}";
    }

    if( $btn_anim == 'animate2' && ( $hover_bg_color || $hover_bg_grad ) ){
        $custom_stle .= ".{$icid}:hover:before{";
            $custom_stle .= ($hover_bg_color != '' && $hover_bg_main == 'color') ? "background-color: {$hover_bg_color};" : "";
            $custom_stle .= ($hover_bg_grad != '' && $hover_bg_main == 'gradient') ? $hovgrd : "";
        $custom_stle .= "}";
    }
    
    if( $hover_color ){
        $custom_stle .= ".{$icid}:hover *{";
            $custom_stle .= ($hover_color != '') ? "color: {$hover_color} !important;" : "";
        $custom_stle .= "}";    
    }
        
    if( $icon_color || $icon_size || $icon_padd || $icon_bg_color || $icon_radius ){
        $custom_stle .= ".{$icid} i{";
            $custom_stle .= ($icon_color != '') ? "color: {$icon_color};" : "";
            $custom_stle .= ($icon_size != '') ? "font-size: {$icon_size}px;" : "";
            $custom_stle .= ($icon_padd != '') ? "padding: {$icon_padd}px;" : "";
            $custom_stle .= ($icon_bg_color != '') ? "background-color: {$icon_bg_color};" : "";
            $custom_stle .= ($icon_border_color != '') ? "border: 1px {$icon_border_color} solid;" : "";
            $custom_stle .= ($icon_radius != '') ? "border-radius: {$icon_radius}px;" : "";
        $custom_stle .= "}";    
    }
    
    if( $icon_bg_hover || $icon_color_hover ){
        $custom_stle .= ".{$icid}:hover i{";
            $custom_stle .= ($icon_color_hover != '') ? "color: {$icon_color_hover} !important;" : "";
            $custom_stle .= ($icon_bg_hover != '') ? "background-color: {$icon_bg_hover};" : "";
            $custom_stle .= ($icon_border_hover != '') ? "border: 1px {$icon_border_hover} solid;" : "";
        $custom_stle .= "}";    
    }
    
    wst_inline_css( $custom_stle );
    
    // animation styling...
    $data_anim = ($wst_animation != '') ?    ' data-animate="'.esc_js($wst_animation).'"' : '';
    $data_dur = ($duration != '') ?         ' data-animation-duration="'.esc_js($duration).'"' : '';
    $data_del = ($delay != '') ?            ' data-animation-delay="'.esc_js($delay).'"' : '';
    $animation = $data_anim.$data_del.$data_dur;
        
    $class = 'btn';
    $class .= ' '.$icid;
    $class .= ( $wst_animation != '' )       ? ' fx'                     : '';
    $class .= ( $btn_size != 'btn-md' )     ? ' ' . $btn_size           : '';
    $class .= ( $btn_shape != '' )          ? ' ' . $btn_shape          : '';
    $class .= ( $btn_anim != '' )           ? ' btn-anim ' . $btn_anim  : '';
    $class .= ( $skew_btn != '' )           ? ' skew_btn'               : '';
    $class .= ( $el_class != '' )           ? ' ' . $el_class           : '';
    $class .= ( $idl_shad != '' )           ? ' btn-shad'               : '';
    $class .= ( $hover_shad != '' )         ? ' btn-hover-shad'         : '';
    $class .= ( $use_icon == '1' )          ? ' btn-icon'               : '';
    $class .= ( $use_icon == '1' && $icon_align == 'right' )     ? ' icon-right' : '';
    
    $content = wp_kses($content,$allowedposttags,null);
    $content = preg_replace("/<p[^>]*?>/", "", $content);
    $content = str_replace("</p>", "<br />", $content);
    
    $url = vc_build_link( $link );
    if ( ! empty( $url['rel'] ) ) {
        $rel = ' rel="' . esc_attr( $url['rel'] ) . '"';
    }
               
    $icon = ( $use_icon == '1' ) ? '<i class="'.$icon_param.'"></i>' : "";
    
    if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
        $output .= '<a class="'.$class.'" href="' . esc_attr( $url['url'] ) . '" ' . $rel . ' title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '"'.$animation.'>';    
    } else {
        $output .= '<button id="'.$icid.'" class="'.$class.'"'.$animation.'>';
    }
                        
        $output .= ( $use_icon == '1' && ( $icon_align == '' ) ) ? $icon : '';
        $output .= "<span>". $content ."</span>";
        $output .= ( $use_icon == '1' && $icon_align == 'right' ) ? $icon : '';
         
    if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
        $output .= '</a>';
    } else {
        $output .= '</button>';
    }
        
    return $output;
  
}                                               
add_shortcode('wst_btn', 'wst_btn_shortcode');
