<?php
function wst_features_shortcode($atts, $content=null){
    global $allowedposttags;
    extract(shortcode_atts( array(
        'feature_title'             => 'Featured Box Heading',
        'feature_subtitle'          => '',
        'feature_link'              => '',
        'feature_style'             => 'style1',
        'feature_image'             => '',
        'feature_link'              => '',
        'show_more'                 => '',
        'more_text'                 => '',
        'img_size'                  => 'large',
        'el_class'                  => '',
        'align'                     => '',
        'img_shape'                 => '',
        'bg_color'                  => '',
        'hover_bg_color'            => '',
        'title_color'               => '',
        'subtitle_color'            => '',
        'title_size'                => '',
        'subtitle_size'             => '',
        'padd_top'                  => '',
        'padd_right'                => '',
        'padd_bottom'               => '',
        'padd_left'                 => '',
        'margin_top'                => '',
        'margin_right'              => '',
        'margin_bottom'             => '',
        'margin_left'               => '',
        'hover_title_color'         => '',
        'hover_subtitle_color'      => '',
        'hover_content_color'       => '',        
        'hover_padd_top'            => '',
        'hover_padd_right'          => '',
        'hover_padd_bottom'         => '',
        'hover_padd_left'           => '',
        'hover_margin_top'          => '',
        'hover_margin_right'        => '',
        'hover_margin_bottom'       => '',
        'hover_margin_left'         => '',
        'border_color'              => '',
        'bord_top'                  => '',
        'bord_right'                => '',
        'bord_bottom'               => '',
        'bord_left'                 => '',
        'bord_style'                => '',
        'hover_border_color'        => '',
        'hover_bord_top'            => '',
        'hover_bord_right'          => '',
        'hover_bord_bottom'         => '',
        'hover_bord_left'           => '',
        'hover_bord_style'          => '',
        'idl_shad'                  => '',
        'idl_shad1'                 => '',
        'idl_shad2'                 => '',
        'idl_shad3'                 => '',
        'idl_shad4'                 => '',
        'shd_color'                 => '',
        'hover_shad'                => '',
        'hover_shad1'               => '',
        'hover_shad2'               => '',
        'hover_shad3'               => '',
        'hover_shad4'               => '',
        'hover_shd_color'           => '',
        'show_more'                 => '',
        'more_text'                 => 'Read More',
        'more_align'                => 'centered',
        'more_color'                => '',
        'more_hover_color'          => '',
        'more_icon_color'           => '',
        'more_icon_hover_color'     => '',
        'more_bg_color'             => '',
        'more_hover_bg_color'       => '',
        'more_bord_color'           => '',
        'more_hover_bord_color'     => '',
        'more_font_size'            => '',
        'more_letter_spacing'       => '',
        'more_font_weight'          => '',
        'shad'                      => '',
        'box_shape'                 => '',
        'over_color'                => ''
    ), $atts));
           
    $boxid = uniqid( 'febx_' );
    
    $output = $rel = $ats = $custom_stle = $icbx_more = $class = $bxClass = '';
    
    $img_id = preg_replace( '/[^\d]/', '', $feature_image );
    $img = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size ) );
    $img_output = $img['thumbnail'];
    
    $custom_stle .= "#{$boxid}{";
        $custom_stle .= ($bg_color != '') ? "background-color: {$bg_color};" : "";
        $custom_stle .= ($padd_top != '' ) ? "padding-top: {$padd_top}px;" : "";
        $custom_stle .= ($padd_right != '') ? "padding-right: {$padd_right}px;" : "";
        $custom_stle .= ($padd_bottom != '' ) ? "padding-bottom: {$padd_bottom}px;" : "";
        $custom_stle .= ($padd_left != '') ? "padding-left: {$padd_left}px;" : "";
        $custom_stle .= ($margin_top != '') ? "margin-top: {$margin_top}px;" : "";
        $custom_stle .= ($margin_right != '') ? "margin-right: {$margin_right}px;" : "";
        $custom_stle .= ($margin_bottom != '') ? "margin-bottom: {$margin_bottom}px;" : "";
        $custom_stle .= ($margin_left != '') ? "margin-left: {$margin_left}px;" : "";
        $custom_stle .= ($bord_top != '') ? "border-top-width: {$bord_top}px;" : "";
        $custom_stle .= ($bord_right != '') ? "border-right-width: {$bord_right}px;" : "";
        $custom_stle .= ($bord_bottom != '') ? "border-bottom-width: {$bord_bottom}px;" : "";
        $custom_stle .= ($bord_left != '') ? "border-left-width: {$bord_left}px;" : "";
        $custom_stle .= ($bord_top != '') ? "border-top-style: {$bord_style};" : "";
        $custom_stle .= ($bord_right != '') ? "border-right-style: {$bord_style};" : "";
        $custom_stle .= ($bord_bottom != '') ? "border-bottom-style: {$bord_style};" : "";
        $custom_stle .= ($bord_left != '') ? "border-left-style: {$bord_style};" : "";
        $custom_stle .= ($border_color != '') ? "border-color: {$border_color};" : "";
        if( $idl_shad != '' ){
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "-webkit-box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";    
        }
    $custom_stle .= "}";
    
    $custom_stle .= "#{$boxid}:hover{";
        $custom_stle .= ($hover_bg_color != '') ? "background-color: {$hover_bg_color};" : "";
        $custom_stle .= ($hover_padd_top != '') ? "padding-top: {$hover_padd_top}px;" : "";
        $custom_stle .= ($hover_padd_right != '') ? "padding-right: {$hover_padd_right}px;" : "";
        $custom_stle .= ($hover_padd_bottom != '') ? "padding-bottom: {$hover_padd_bottom}px;" : "";
        $custom_stle .= ($hover_padd_left != '') ? "padding-left: {$hover_padd_left}px;" : "";
        $custom_stle .= ($hover_margin_top != '') ? "margin-top: {$hover_margin_top}px;" : "";
        $custom_stle .= ($hover_margin_right != '') ? "margin-right: {$hover_margin_right}px;" : "";
        $custom_stle .= ($hover_margin_bottom != '') ? "margin-bottom: {$hover_margin_bottom}px;" : "";
        $custom_stle .= ($hover_margin_left != '') ? "margin-left: {$hover_margin_left}px;" : "";
        $custom_stle .= ($hover_border_color != '') ? "border-color: {$hover_border_color};" : "";
        $custom_stle .= ($hover_bord_top != '') ? "border-top-width: {$hover_bord_top}px;" : "";
        $custom_stle .= ($hover_bord_right != '') ? "border-right-width: {$hover_bord_right}px;" : "";
        $custom_stle .= ($hover_bord_bottom != '') ? "border-bottom-width: {$hover_bord_bottom}px;" : "";
        $custom_stle .= ($hover_bord_left != '') ? "border-left-width: {$hover_bord_left}px;" : ""; 
        
        $custom_stle .= ($hover_bord_top != '') ? "border-top-style: {$hover_bord_style};" : "";
        $custom_stle .= ($hover_bord_right != '') ? "border-right-style: {$hover_bord_style};" : "";
        $custom_stle .= ($hover_bord_bottom != '') ? "border-bottom-style: {$hover_bord_style};" : "";
        $custom_stle .= ($hover_bord_left != '') ? "border-left-style: {$hover_bord_style};" : "";
        
        if( $hover_shad != '' ){
            $custom_stle .= ($hover_shad1 != '' && $hover_shad2 != '' && $hover_shad3 != '' && $hover_shad4 != '' && $hover_shd_color != '') ? "-webkit-box-shadow: ".$hover_shad1."px ".$hover_shad2."px ".$hover_shad3."px ".$hover_shad4."px ".$hover_shd_color.";" : "";
            $custom_stle .= ($hover_shad1 != '' && $hover_shad2 != '' && $hover_shad3 != '' && $hover_shad4 != '' && $hover_shd_color != '') ? "box-shadow: ".$hover_shad1."px ".$hover_shad2."px ".$hover_shad3."px ".$hover_shad4."px ".$hover_shd_color.";" : "";    
        }
        
    $custom_stle .= "}";
        
    if($title_color != '' || $title_size != ''){
        $custom_stle .= "#{$boxid} .feature_title,#{$boxid} .feature_title a{";
            $custom_stle .= ($title_color != '') ? "color: {$title_color};" : "";
            $custom_stle .= ($title_size != '') ? "font-size: {$title_size}px;" : "";
        $custom_stle .= "}";
    }
    
    if($hover_title_color != '' ){
        $custom_stle .= "#{$boxid}:hover .feature_title,#{$boxid}:hover .feature_title a{";
            $custom_stle .= ($hover_title_color != '') ? "color: {$hover_title_color};" : "";
        $custom_stle .= "}";
    }
    
    if($hover_subtitle_color != '' ){
        $custom_stle .= "#{$boxid}:hover .feature_sub{";
            $custom_stle .= ($hover_subtitle_color != '') ? "color: {$hover_subtitle_color};" : "";
        $custom_stle .= "}";
    }
    
    if($hover_content_color != '' ){
        $custom_stle .= "#{$boxid}:hover .feature_content,#{$boxid}:hover .feature_content *{";
            $custom_stle .= ($hover_content_color != '') ? "color: {$hover_content_color} !important;" : "";
        $custom_stle .= "}";
    }
    
    if($subtitle_color != '' || $subtitle_size != ''){
        $custom_stle .= "#{$boxid} .feature_sub{";
            $custom_stle .= ($subtitle_color != '') ? "color: {$subtitle_color};" : "";
            $custom_stle .= ($subtitle_size != '') ? "font-size: {$subtitle_size}px;" : "";
        $custom_stle .= "}";
    }
    
    if( $more_color || $more_hover_color || $more_letter_spacing || $more_font_size || $more_font_weight ){
        $custom_stle .= "#{$boxid} .wst-more-btn{";
            $custom_stle .= ($more_color != '') ? "color: {$more_color};" : "";
            $custom_stle .= ($more_font_size != '') ? "font-size: {$more_font_size}px;" : "";
            $custom_stle .= ($more_letter_spacing != '') ? "letter-spacing: {$more_letter_spacing}px;" : "";
            $custom_stle .= ($more_font_weight != '') ? "font-weight: {$more_font_weight};" : "";
        $custom_stle .= "}";
        $custom_stle .= "#{$boxid} .wst-more-btn:hover{";
            $custom_stle .= ($more_hover_color != '') ? "color: {$more_hover_color};" : "";
        $custom_stle .= "}";        
    }

    if( $more_bg_color != '' || $more_bord_color ){
        $custom_stle .= "#{$boxid} .wst-more-btn:before{";
            $custom_stle .= ( $more_bg_color != '' ) ? "background-color: {$more_bg_color};" : '';
            $custom_stle .= ( $more_bord_color != '' ) ? "border: {$more_bord_color} 1px solid;" : '';
        $custom_stle .= "}";
    }

    if( $more_hover_bg_color != '' || $more_hover_bord_color != '' ){
        $custom_stle .= "#{$boxid} .wst-more-btn:hover:before{";
            $custom_stle .= ( $more_hover_bg_color != '' ) ? "background-color: {$more_hover_bg_color};" : '';
            $custom_stle .= ( $more_hover_bord_color != '' ) ? "border: {$more_hover_bord_color} 1px solid;" : '';
        $custom_stle .= "}";
    }

    if($more_icon_color != ''){
        $custom_stle .= "#{$boxid} .wst-more-btn:after{";
            $custom_stle .= "color: {$more_icon_color};";
        $custom_stle .= "}";
    }

    if($more_icon_hover_color != ''){
        $custom_stle .= "#{$boxid} .wst-more-btn:hover:after{";
            $custom_stle .= "color: {$more_icon_hover_color};";
        $custom_stle .= "}";
    }
    
    if($over_color != '' && ( $feature_style == 'style4' || $feature_style == 'style5' ) ){
        $custom_stle .= "#{$boxid}.style4:before,#{$boxid}.style5:before{";
            $custom_stle .= ($over_color != '') ? "background-color: {$over_color};" : "";
        $custom_stle .= "}";
    }
    
    wst_inline_css( $custom_stle );
    
    $link = $feature_link;
    $moreoutput = $titleoutput = $subtitleoutput = $contentoutput = $imgoutput = '';
    $url = vc_build_link( $link );
    if ( ! empty( $url['rel'] ) ) {
        $rel = ' rel="' . esc_attr( $url['rel'] ) . '"';
    }
    if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
        $f_title = '<a href="' . esc_attr( $url['url'] ) . '" ' . $rel . ' title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">'.esc_html($feature_title).'</a>';
    }else{
        $f_title = esc_html($feature_title);
    }
    
    if ( $show_more == '1' ) {
        $more = " href='" . esc_attr( $url['url'] ) . $rel . "' title='" . esc_attr( $url['title'] ) . "' target='" . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . "'";
        $mtxt = esc_attr( $more_text );
        $moreoutput .= "<a class='wst-more-btn {$more_align}'{$more} data-text='{$mtxt}'><span>{$mtxt}</span></a>";
    }
    
    $titleoutput .= ($feature_title != '') ? '<h4 class="feature_title">'.$f_title.'</h4>' : "";
    $subtitleoutput .= ($feature_subtitle != '') ? '<h6 class="feature_sub main-color">'.esc_html($feature_subtitle).'</h6>' : "";
    $imgoutput .= ($img_output != '') ? '<figure class="feature-img '.$img_shape.'">' .$img_output. '</figure>' : ""; 
    $contentoutput .= ( $content != '' ) ? '<div class="feature_content">'.wp_kses($content,$allowedposttags,null).'</div>' : "";
    
    $class = 'wst-feature';
    $class .= ($el_class != '') ? ' '.$el_class : "";
    $class .= ($align != '') ? ' '.$align : "";
    $class .= ($feature_style != '') ? ' '.$feature_style : "";
    $class .= ( $shad != '' ) ? ' shad' : '';
    $class .= ( $box_shape != '' ) ? ' '.$box_shape : '';
    $class .= ( $idl_shad != '' ) ? ' btn-shad' : "";
    $class .= ( $hover_shad != '' ) ? ' btn-hover-shad' : "";    
            
    $output .= "<div id='{$boxid}' class='{$class}'>";
        
        if( $feature_style == 'style1' ){
            $output .= $imgoutput;
            $output .= $titleoutput;
            $output .= $subtitleoutput;
            $output .= $contentoutput;
            $output .= $moreoutput;        
        } else if ( $feature_style == 'style2' ) {
            $output .= $titleoutput;
            $output .= $subtitleoutput;
            $output .= $imgoutput;
            $output .= $contentoutput;
            $output .= $moreoutput;
        } else if ( $feature_style == 'style3' ) {
            $output .= $titleoutput;
            $output .= $subtitleoutput;
            $output .= $contentoutput;
            $output .= $imgoutput;
            $output .= $moreoutput;
        }
    
    $output .= '</div>';

    return $output; 
 
}
add_shortcode('wst_feature', 'wst_features_shortcode');





