<?php 
function wst_hotspot_shortcode($atts, $content=null){
    global $cl_style;
    extract(shortcode_atts( array(
        'image'             => '',
        'img_size'          => 'full', 
        'img_marker'        => '',
        'interactivity'     => 'hover',
        'mark_style'        => 'default',
        'mark_bg'           => '',
        'mark_border'       => '',
        'title_bg'          => '',
        'title_color'       => '',
        'content_bg'        => '',
        'content_color'     => '',
        'mark_img'          => '',
        'title_size'        => '',
        'title_weight'      => '',
        'title_spacing'     => '',
        'title_lin_height'  => '',
        'title_italic'      => '',
        'title_underline'   => '',
        'content_size'      => '',
        'content_weight'    => '',
        'content_spacing'   => '',
        'content_lin_height'=> '',
        'content_italic'    => '',
        'content_underline' => '',
        'wst_animation'      => '',
        'delay'             => '',
        'duration'          => '',
        'el_class'          => ''
    ), $atts));
    
    $img_id = preg_replace( '/[^\d]/', '', $image );
    $img = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size ) );
    $img_output = $img['thumbnail'];
    
    $slid = uniqid( 'imginp_' );
    
    $class = 'cp-img-map';
    $class .= ( $el_class != '' ) ? ' '.$el_class : "";
    $class .= ( $wst_animation != '' ) ? ' fx' : '';
    
    // animation styling...
    $data_anim = ($wst_animation != '') ? ' data-animate="'.esc_js($wst_animation).'"' : '';
    $data_dur = ($duration != '') ? ' data-animation-duration="'.esc_js($duration).'"' : '';
    $data_del = ($delay != '') ? ' data-animation-delay="'.esc_js($delay).'"' : '';
    $animation = $data_anim.$data_del.$data_dur;
    
    $output = '<div class="'.$class.'"'.$animation.' data-action="'.$interactivity.'">';
        $output .= '<div class="cp-img-map-wrapper">';
            $output .= $img_output;
        $output .= '</div>';
        $output .= '<input type="hidden" class="cp_map_marker" id="'.esc_attr($slid).'" value="'.$img_marker.'" />';
    $output .= '</div>'; 
    
    wp_enqueue_script ( 'wst-hotspot' );
    wp_enqueue_style ( 'wst-hotspot' );
              
    return $output; 
 
}

add_shortcode('wst_hotspot', 'wst_hotspot_shortcode');