<?php 
function wst_letters_shortcode($atts, $content=null){
    extract(shortcode_atts( array(
        'in_anims'              => 'fx1',
        'letters_txts'          => '',
        'letters_txt'           => '',
        'lett_color'            => '',
        'let_align'             => '',
        'wst_animation'          => '',
        'delay'                 => '',
        'duration'              => '',
        'el_class'              => '',
        'tag'                   => 'h3',
        'family'                => '',
        'size'                  => '',
        'weight'                => '',
        'lett_spacing'          => '',
        'let_lin_height'        => '',
        'let_italic'            => '',
        'let_underline'         => '',
    ), $atts));
    
    $letid = uniqid( 'letters_' );
    
    $custom_stle = $output = '';
    $class = 'cp-letters-wrap';
    $class .= ( $el_class != '' ) ? ' '.$el_class : "";
    
    $custom_stle .= "#{$letid} .cp-title{";
        $custom_stle .= ($let_align == 'center') ? "display: table;margin: auto;" : "";
        $custom_stle .= ($let_align == 'right') ? "display: table;margin: 0 0 0 auto;" : "";
        $custom_stle .= ($family != '') ? "font-family: {$family};" : "";
        $custom_stle .= ($size != '') ? "font-size: {$size}px;" : "";
        $custom_stle .= ($weight != '') ? "font-weight: {$weight};" : "";
        $custom_stle .= ($let_italic != '') ? "font-style: italic;" : "";
        $custom_stle .= ($lett_spacing != '') ? "letter-spacing: {$lett_spacing}px;" : "";
        $custom_stle .= ($let_lin_height != '') ? "line-height: {$let_lin_height}px;" : "";
        $custom_stle .= ($let_underline != '') ? "text-decoration: underline;" : "";
    $custom_stle .= "}";
    
    $custom_stle .= "#{$letid} .cp-title span{";
        $custom_stle .= ($let_underline != '') ? "text-decoration: underline;" : "";
    $custom_stle .= "}";
    
    wst_inline_css( $custom_stle );
    
    if (function_exists('vc_param_group_parse_atts')) {
        $letters_txts = (array) vc_param_group_parse_atts($letters_txts);
    }
              
    if ( is_array($letters_txts) ) {
        $output .= '<div class="'.$class.'" id="'.$letid.'">';
            if (is_array($letters_txts)) {
                $output .= '<div class="cp-letters-slideshow anim_letters" data-effect="'.$in_anims.'">';
                    foreach ($letters_txts as $feat) {
                        $txt = isset( $feat['letters_txt']) ? $feat['letters_txt'] : "";
                        $col = isset( $feat['lett_color']) ? ' style="color:'.$feat['lett_color'].'"' : "";
                        $output .= "<div class='cp-slide'><{$tag} class='cp-title'".$col.">". $txt ."</{$tag}></div>";
                    }
                $output .= '</div>';
            }
        $output .= '</div>';
    }  
    
    wp_enqueue_script ( 'animated.letters', Qonspt_THM_URI . 'assets/front/js/vendor/jquery.animated.letters.js', null, null, true );  
       
    return $output; 
 
}
add_shortcode('wst_letters', 'wst_letters_shortcode');