<?php
function wst_member_shortcode($atts, $content=null){
    global $allowedposttags;
    extract(shortcode_atts( array(
        'member_name'       => '',
        'member_position'   => '',
        'member_style'      => '1',
        'member_fb'         => '',
        'member_tw'         => '',
        'member_ln'         => '',
        'member_go'         => '',
        'member_sk'         => '',
        'image'             => '',
        'alt_image'         => '',
        'img_size'          => 'full',
        'align'             => '',
        'el_class'          => '',
        'bg_color'          => '',
        'img_shape'         => '',
        'img_align'         => '',
        'img_bg_color'      => '',
        'img_border_radius' => '',
        'hover_over_color'  => '',
        'name_size'         => '',
        'name_color'        => '',
        'name_tag'          => 'h4',
        'position_color'    => '',
        'position_size'     => '',
        'position_tag'      => 'h6',
        'soc_color'         => '',
        'soc_bg_color'      => '',
        'soc_hover_color'   => '',
        'soc_bg_hover_color'=> '',
        'soc_border_radius' => '',
        'wst_bg_img'         => '',
        'bg_image_repeat'   => '',
        'bg_image_attachment' => '',
        'bg_image_position' => '',
        'bg_cover'          => '',
        'border_radius'     => '',
        'wst_animation'      => '',
        'delay'             => '',
        'duration'          => '',
    ), $atts));
    
    $det = $custom_stle = '';
    
    $img_id = preg_replace( '/[^\d]/', '', $wst_bg_img );
    $img_src = wp_get_attachment_image_src( $img_id,'full' );
    
    $boxid = uniqid( 'teambx_' );
    
    if( ( $bg_color != '' || $border_radius != '' ) && $member_style != '1'){
        $custom_stle .= "#{$boxid}{";
            $custom_stle .= ($bg_color != '') ? "background-color: {$bg_color};" : "";
            $custom_stle .= ($border_radius != '') ? "border-radius: {$border_radius}px;" : "";
        $custom_stle .= "}";
    }
    
    if( ( $border_radius || $wst_bg_img ) && $member_style == '1'){
        $custom_stle .= "#{$boxid} .team_inner_img:before{";
            $custom_stle .= ($border_radius != '') ? "border-radius: {$border_radius}px;" : "";
            $custom_stle .= ($wst_bg_img != '') ? "background-image: url({$img_src[0]});" : "";
            $custom_stle .= ($bg_image_repeat != '') ? "background-repeat: {$bg_image_repeat};" : "";
            $custom_stle .= ($bg_cover != '') ? "background-size: {$bg_cover};" : "";
            $custom_stle .= ($bg_image_attachment != '') ? "background-attachment: {$bg_image_attachment};" : "";
            $custom_stle .= ($bg_image_position != '') ? "background-position: {$bg_image_position};" : "";
            
        $custom_stle .= "}";
    }
    
    if( ($img_bg_color || $img_border_radius)  && $member_style != '1' ){
        $custom_stle .= "#{$boxid} .team_inner_img{";
            $custom_stle .= ($img_bg_color != '') ? "background-color: {$img_bg_color};" : "";
            $custom_stle .= ($img_border_radius != '') ? "border-radius: {$img_border_radius}px;" : "";
            $custom_stle .= ($img_border_radius != '') ? "display: table;overflow: hidden;margin-left: auto;margin-right: auto;" : "";
        $custom_stle .= "}";
    }
    
    if( $img_bg_color  && $member_style == '1' ){
        $custom_stle .= "#{$boxid}.team-box.team-1 .team_inner_img:before{";
            $custom_stle .= ($img_bg_color != '') ? "background-color: {$img_bg_color};" : "";
        $custom_stle .= "}";
    }
    
    if($wst_bg_img != '' && $member_style != '1'){
        $custom_stle .= "#{$boxid}{";
            $custom_stle .= ($wst_bg_img != '') ? "background-image: url({$img_src[0]});" : "";
            $custom_stle .= ($bg_image_repeat != '') ? "background-repeat: {$bg_image_repeat};" : "";
            $custom_stle .= ($bg_cover != '') ? "background-size: {$bg_cover};" : "";
            $custom_stle .= ($bg_image_attachment != '') ? "background-attachment: {$bg_image_attachment};" : "";
            $custom_stle .= ($bg_image_position != '') ? "background-position: {$bg_image_position};" : "";
        $custom_stle .= "}";    
    }
    
    if($name_size != ''){
        $custom_stle .= "#{$boxid} .member_name{";
            $custom_stle .= ($name_size != '') ? "font-size: {$name_size}px;" : "";
        $custom_stle .= "}";
    }
    
    if($name_color != ''){
        $custom_stle .= "#{$boxid} .member_name{";
            $custom_stle .= ($name_color != '') ? "color: {$name_color};" : "";
        $custom_stle .= "}";
    }
    
    if($position_color != ''){
        $custom_stle .= "#{$boxid} .member_position{";
            $custom_stle .= ($position_color != '') ? "color: {$position_color};" : "";
        $custom_stle .= "}";
    }
    
    if($position_size != ''){
        $custom_stle .= "#{$boxid} .member_position{";
            $custom_stle .= ($position_size != '') ? "font-size: {$position_size}px;" : "";
        $custom_stle .= "}";
    }
    
    if($soc_color != ''){
        $custom_stle .= "#{$boxid} .member_socials .social-list a i{";
            $custom_stle .= "color: {$soc_color};";
        $custom_stle .= "}";
    }
    
    if($soc_hover_color != ''){
        $custom_stle .= "#{$boxid} .member_socials .social-list a:hover{";
            $custom_stle .= "color: {$soc_hover_color};";
        $custom_stle .= "}";
    }
    
    if($soc_bg_color != ''){
        $custom_stle .= "#{$boxid} .member_socials .social-list a i{";
            $custom_stle .= "background-color: {$soc_bg_color};";
        $custom_stle .= "}";
    }
    
    if($soc_border_radius != ''){
        $custom_stle .= "#{$boxid} .member_socials .social-list a{";
            $custom_stle .= "border-radius: {$soc_border_radius}px;";
        $custom_stle .= "}";
    }
    
    if($soc_bg_hover_color != ''){
        $custom_stle .= "#{$boxid} .member_socials .social-list a i:last-child{";
            $custom_stle .= "background-color: {$soc_bg_hover_color};";
        $custom_stle .= "}";
    }
    
    if($hover_over_color != ''){
        $custom_stle .= "#{$boxid}.team-box.team-4 .team_inner_img:before{";
            $custom_stle .= "background-color: {$hover_over_color};";
        $custom_stle .= "}";
    }
    
    wst_inline_css( $custom_stle );
        
    $urlfb              = vc_build_link( $member_fb );
    $relfb              = ( ! empty( $urlfb['rel'] ) ) ? ' rel="' . esc_attr( $urlfb['rel'] ) . '"' : "";
    $urltw              = vc_build_link( $member_tw );
    $reltw              = ( ! empty( $urltw['rel'] ) ) ? ' rel="' . esc_attr( $urltw['rel'] ) . '"' : "";
    $urlln              = vc_build_link( $member_ln );
    $relln              = ( ! empty( $urlln['rel'] ) ) ? ' rel="' . esc_attr( $urlln['rel'] ) . '"' : "";
    $urlgo              = vc_build_link( $member_go );
    $relgo              = ( ! empty( $urlgo['rel'] ) ) ? ' rel="' . esc_attr( $urlgo['rel'] ) . '"' : "";
    $urlsk              = vc_build_link( $member_sk );
    $relsk              = ( ! empty( $urlsk['rel'] ) ) ? ' rel="' . esc_attr( $urlsk['rel'] ) . '"' : ""; 
    $img_id             = preg_replace( '/[^\d]/', '', $image );
    $img                = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size ) );
    $img_output         = $img['thumbnail'];
    $img_id2            = preg_replace( '/[^\d]/', '', $alt_image );
    $img2               = wpb_getImageBySize( array( 'attach_id' => $img_id2, 'thumb_size' => $img_size ) );
    $img_output2        = $img2['thumbnail'];
    $member_details     = str_replace("<p></p>","",$content);
    $im_al              = ( $img_align !='' ) ? ' '.$img_align : "";
    $im_sh              = ( $img_shape !='' ) ? ' '.$img_shape : "";
    $data_anim          = ( $wst_animation != '' ) ? ' data-animate="'.esc_js($wst_animation).'"' : '';
    $data_dur           = ( $duration != '' ) ? ' data-animation-duration="'.esc_js($duration).'"' : '';
    $data_del           = ( $delay != '' ) ? ' data-animation-delay="'.esc_js($delay).'"' : '';
    $animation          = $data_anim.$data_del.$data_dur;
    $alt                = ( $img_output2 != '' ) ? '<div class="alt_team">'.$img_output2.'</div>' : "";
    $class              = 'team-box';                               
    $class             .= ( $el_class != '' ) ? ' '.$el_class : "";
    $class             .= ( $wst_animation != '' ) ? ' fx' : "";
    $class             .= ( $align != '' ) ? ' '.$align : "";
    $class             .= ( $member_style != '' ) ? ' team-'.$member_style : "";
    $class             .= ( $img_output2 != '' ) ? ' has_alt' : "";
    
    $output = $smIc = $linkCode = '';
    
    $smIc .= ' lg-icon';
        
    if ( strlen( $urlfb['url'] ) > 0 || strlen( $urltw['url'] ) > 0 || strlen( $urlln['url'] ) > 0 || strlen( $urlgo['url'] ) > 0 || strlen( $urlsk['url'] ) > 0 ) {
        $linkCode .= '<div class="member_socials"><div class="social-list">';
            if ( strlen( $member_fb ) > 0 && strlen( $urlfb['url'] ) > 0 ) {
                $linkCode .= '<a href="' . esc_attr( $urlfb['url'] ) . '" ' . $relfb . ' target="' . ( strlen( $urlfb['target'] ) > 0 ? esc_attr( $urlfb['target'] ) : '_self' ) . '">';
                    $linkCode .= '<i class="fa fa-facebook'.$smIc.'"></i><i class="fa fa-facebook'.$smIc.'"></i>';
                $linkCode .= '</a>';
            }
            if ( strlen( $member_tw ) > 0 && strlen( $urltw['url'] ) > 0 ) {
                $linkCode .= '<a href="' . esc_attr( $urltw['url'] ) . '" ' . $reltw . ' target="' . ( strlen( $urltw['target'] ) > 0 ? esc_attr( $urltw['target'] ) : '_self' ) . '">';
                    $linkCode .= '<i class="fa fa-twitter'.$smIc.'"></i><i class="fa fa-twitter'.$smIc.'"></i>';
                $linkCode .= '</a>';
            }
            if ( strlen( $member_ln ) > 0 && strlen( $urlln['url'] ) > 0 ) {
                $linkCode .='<a href="' . esc_attr( $urlln['url'] ) . '" ' . $relln . ' target="' . ( strlen( $urlln['target'] ) > 0 ? esc_attr( $urlln['target'] ) : '_self' ) . '">';
                    $linkCode .= '<i class="fa fa-linkedin'.$smIc.'"></i><i class="fa fa-linkedin'.$smIc.'"></i>';
                $linkCode .='</a>';
            }
            if ( strlen( $member_go ) > 0 && strlen( $urlgo['url'] ) > 0 ) {
                $linkCode .='<a href="' . esc_attr( $urlgo['url'] ) . '" ' . $relgo . ' target="' . ( strlen( $urlgo['target'] ) > 0 ? esc_attr( $urlgo['target'] ) : '_self' ) . '">';
                    $linkCode .= '<i class="fa fa-google-plus'.$smIc.'"></i><i class="fa fa-google-plus'.$smIc.'"></i>';
                $linkCode .= '</a>';
            }
            if ( strlen( $member_sk ) > 0 && strlen( $urlsk['url'] ) > 0 ) {
                $linkCode .= '<a href="' . esc_attr( $urlsk['url'] ) . '" ' . $relsk . ' target="' . ( strlen( $urlsk['target'] ) > 0 ? esc_attr( $urlsk['target'] ) : '_self' ) . '">';
                    $linkCode .= '<i class="fa fa-skype'.$smIc.'"></i><i class="fa fa-skype'.$smIc.'"></i>';
                $linkCode .= '</a>';
            }
        $linkCode .= '</div></div>';
    }
    
    $output .= '<div class="'.$class.'" id="'.$boxid.'"'.$animation.'>';
    
        if ( $member_style == '1' ) {
            
            $output .='<div class="member_img'.$im_al.'">';
                
                $output .='<div class="member_img_wrp">';
                    $output .= '<div class="team_inner_img">'.$img_output.$alt.'</div>'; 
                    $output .= $linkCode;   
                $output .='</div>';
                
            $output .='</div>';
              
            $output .= '<div class="member_details">';
                $output .= '<'.$name_tag.' class="member_name main-color">'.esc_html($member_name).'</'.$name_tag.'>';
                $output .= '<'.$position_tag.' class="member_position">'.esc_html($member_position).'</'.$position_tag.'>';
                $output .= ( $member_details != '' ) ? '<div class="member_content">'.wp_kses($member_details,$allowedposttags,null).'</div>' : '';
            $output .= '</div>';
            
        } else if ( $member_style == '2' ) {

            $output .='<div class="member_img'.$im_al.'">';
                
                $output .='<div class="member_img_wrp">';
                    $output .= '<div class="team_inner_img">'.$img_output.$alt.'</div>'; 
                    $output .= $linkCode;   
                $output .='</div>';
                
            $output .='</div>';
              
            $output .= '<div class="member_details">';
                $output .= '<'.$name_tag.' class="member_name main-color">'.esc_html($member_name).'</'.$name_tag.'>';
                $output .= '<'.$position_tag.' class="member_position">'.esc_html($member_position).'</'.$position_tag.'>';
                $output .= ( $member_details != '' ) ? '<div class="member_content">'.wp_kses($member_details,$allowedposttags,null).'</div>' : '';
            $output .= '</div>';
            
        
        } else if ( $member_style == '3' ) {

            $output .='<div class="member_img'.$im_al.'">';
                
                $output .='<div class="member_img_wrp">';
                    $output .= '<div class="team_inner_img">'.$img_output.$alt.'</div>'; 
                $output .='</div>';
                
            $output .='</div>';
              
            $output .= '<div class="member_details">';
                $output .= '<'.$name_tag.' class="member_name main-color">'.esc_html($member_name).'</'.$name_tag.'>';
                $output .= '<'.$position_tag.' class="member_position">'.esc_html($member_position).'</'.$position_tag.'>';
                $output .= ( $member_details != '' ) ? '<div class="member_content">'.wp_kses($member_details,$allowedposttags,null).'</div>' : '';
                $output .= $linkCode;
            $output .= '</div>';
        
        }else if ( $member_style == '4' ) {

            $output .='<div class="member_img'.$im_al.'">';
                
                $output .='<div class="member_img_wrp">';
                    $output .= '<div class="team_inner_img">';
                    $output .= $img_output.$alt;
                    $output .= $linkCode;
                    $output .= '</div>';
                $output .='</div>';
                
            $output .='</div>';
              
            $output .= '<div class="member_details">';
                $output .= '<'.$name_tag.' class="member_name main-color">'.esc_html($member_name).'</'.$name_tag.'>';
                $output .= '<'.$position_tag.' class="member_position">'.esc_html($member_position).'</'.$position_tag.'>';
                $output .= ( $member_details != '' ) ? '<div class="member_content">'.wp_kses($member_details,$allowedposttags,null).'</div>' : '';
            $output .= '</div>';
        
        }
           
    $output .= '</div>';
          
    return $output; 
 
}
add_shortcode('wst_member', 'wst_member_shortcode');





