<?php 
function wst_parallax_el_shortcode($atts, $content=null){
    global $cl_style;
    extract(shortcode_atts( array(
        'image'                => '',
        'img_size'             => 'full',
        'el_top'               => '',
        'el_right'             => '',
        'el_bottom'            => '',
        'el_left'              => '',
        'el_opacity_start'     => '',
        'el_opacity_end'       => '',
        'el_x_start'           => '',
        'el_x_end'             => '',
        'el_y_start'           => '',
        'el_y_end'             => '',
        'el_scale_start'       => '',
        'el_scale_end'         => '',
        'el_rotate_start'      => '',
        'el_rotate_end'        => '',
        'el_class'             => ''
    ), $atts));
    $d_strt = $d_end = $trans_start = $trans_end = $custom_stle = '';
    
    $img_id = preg_replace( '/[^\d]/', '', $image );
    $img = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size ) );
    $img_output = $img['thumbnail'];
    
    $el_id = uniqid( 'para_el_' );
    if( ( $el_top || $el_left || $el_right || $el_bottom ) ){
        $custom_stle .= ".{$el_id}{";
            $custom_stle .= ($el_top != '') ? 'top: '.$el_top.'%;' : "";
            $custom_stle .= ($el_right != '') ? 'right: '.$el_right.'%;' : "";
            $custom_stle .= ($el_bottom != '') ? 'bottom: '.$el_bottom.'%;' : "";
            $custom_stle .= ($el_left != '') ? 'left: '.$el_left.'%;' : "";
        $custom_stle .= "}";   
    }
    
    wst_inline_css( $custom_stle );
    
    
    
    $d_strt .= ( $el_opacity_start != '' ) ? 'opacity:'.$el_opacity_start.';' : '';
    
    $trans_start .= ( $el_x_start != '' ) ? 'translateX('.$el_x_start.'px) ' : '';
    $trans_start .= ( $el_y_start != '' ) ? 'translateY('.$el_y_start.'px) ' : '';        
    $trans_start .= ( $el_scale_start != '' ) ? 'scale('.$el_scale_start.') ' : '';
    $trans_start .= ( $el_rotate_start != '' ) ? 'rotate('.$el_rotate_start.'deg) ' : '';
    
    $d_strt .= ( $el_x_start != '' || $el_y_start != '' || $el_scale_start != '' || $el_rotate_start != '' ) ? 'transform:' . $trans_start : '';
    
    $d_end .= ( $el_opacity_end != '' ) ? 'opacity:'.$el_opacity_end.';' : '';
    $trans_end .= ( $el_x_end != '' ) ? 'translateX('.$el_x_end.'px) ' : '';
    $trans_end .= ( $el_y_end != '' ) ? 'translateY('.$el_y_end.'px) ' : '';
    $trans_end .= ( $el_scale_end != '' ) ? 'scale('.$el_scale_end.') ' : '';
    $trans_end .= ( $el_rotate_end != '' ) ? 'rotate('.$el_rotate_end.'deg) ' : '';
    
    $d_end .= ( $el_x_end != '' || $el_y_end != '' || $el_scale_end != '' || $el_rotate_end != '' ) ? 'transform:' . $trans_end : '';
    
    $data_start = ' data-0="'.$d_strt.'" data-50p=""';
    $data_end   = ' data-last-att="'.$d_end.'"';
    
    $wrapper_attributes = $data_start . $data_end;
    
    $class = 'skrollr wst-parallax-element';
    $class .= ( $el_top || $el_right || $el_bottom || $el_left ) ? ' '.$el_id : '';
    $class .= ( $el_class != '' ) ? ' '.$el_class : '';
    
    $output = '<div class="'.$class.'"'.$wrapper_attributes.'>';
      $output .= $img_output;
    $output .= '</div>';

          
          
    return $output; 
 
}
wp_enqueue_script ( 'skrollr' , Qonspt_THM_URI . 'assets/front/js/vendor/skrollr.js', null, null, true );    
add_shortcode('wst_parallax_el', 'wst_parallax_el_shortcode');