<?php
function wst_price_table_shortcode($atts, $content=null){
    global $allowedposttags; 
    extract(shortcode_atts( array(
        'icon_param'             => '',
        
        'bg_main'                => 'color',
        'bg_color'               => '',
        'bg_grad'                => '',
        'pricing_style'          => 'pricing-1',
        'price_title'            => 'Pricing Table Title',
        'price_price'            => '99',
        'price_sub'              => 'Subtitle Here',
        'currency'               => '$',
        'interval'               => '/Month',
        'tbl_feature'            => '',
        'tbl_color'              => 'price_main',
        'titl_bg_main'           => 'color',
        'titl_bg_color'          => '',
        'titl_bg_grad'           => '',
        'titl_color'             => '',
        'subtitle_color'         => '',
        'subtitle_hover_color'   => '',
        'price_color'            => '',
        'btn_color'              => 'color-main-bg',
        'bt_bg_color'            => '',
        'bt_color'               => '',
        'main_color'             => '',
        'footer_bg_color'        => '',
        'btn_size'               => 'sm',
        'btn_txt'                => '',
        'btn_link'               => '',
        'btn_shape'              => 'square',
        'full_btn'               => '',
        'anim_hover'             => '',
        'featured'               => '',
        'bor_radius'             => '',
        'wst_animation'           => '',
        'delay'                  => '',
        'duration'               => '',
        'use_icon'               => '',
        'el_class'               => '',
        'align'                  => 'center',
        'margin_top'             => '',
        'margin_right'           => '',
        'margin_bottom'          => '',
        'margin_left'            => '',
        'div_color'              => '',
        'bord_top'               => '',
        'bord_right'             => '',
        'bord_bottom'            => '',
        'bord_left'              => '',
        'border_color'           => '',
        'pric_bord_style'        => '',
        'div_hover_color'        => '',
        'bord_hover_top'         => '',
        'bord_hover_right'       => '',
        'bord_hover_bottom'      => '',
        'bord_hover_left'        => '',
        'border_hover_color'     => '',
        'pric_hover_bord_style'  => '',
        'tbl_hover_color'        => 'price_main',
        'titl_bg_hover_color'    => '',
        'titl_hover_color'       => '',
        'main_bg_hover_color'    => '',
        'main_hover_color'       => '',
        'footer_bg_hover_color'  => '',
        'price_bg_hover_color'   => '',
        'price_hover_color'      => '',
        'btn_hover_color'        => 'color-main-bg',
        'idl_shad'               => '',
        'idl_shad1'              => '',
        'idl_shad2'              => '',
        'idl_shad3'              => '',
        'idl_shad4'              => '',
        'shd_color'              => '',
        'hover_shad'             => '',
        'hover_shd1'             => '',
        'hover_shd2'             => '',
        'hover_shd3'             => '',
        'hover_shd4'             => '',
        'hover_shd_color'        => '',
        'bor_hover_radius'       => '',
        'lbl_txt'                => '',
        'lbl_color'              => '',
        'lbl_bg_color'           => '',
        'lbl_font_size'          => '',
        'lbl_padd_top'           => '',
        'lbl_padd_right'         => '',
        'lbl_padd_bottom'        => '',
        'lbl_padd_left'          => '',
        'pric_lbl_style'         => 'tag',
        'wst_bg_img'              => '',
        'off_top'                => '',
        'off_right'              => '',
        'off_bottom'             => '',
        'off_left'               => '',
        'content_align'          => '',
        'bt_hover_color'         => '',
        'bt_border_color'        => '',
        'bt_hover_border_color'  => '',
        'bt_hover_bg_color'      => ''
    ), $atts));
    
    $link = $btn_link;
    $url = vc_build_link( $link );
    if ( ! empty( $url['rel'] ) ) {
        $rel = ' rel="' . esc_attr( $url['rel'] ) . '"';
    }
    
    $img_id = preg_replace( '/[^\d]/', '', $wst_bg_img );
    $img_src = wp_get_attachment_image_src( $img_id,'full' );
        
    $tblid = uniqid( 'prtbl_' );
    $data_anim = $custom_stle = $data_del = $grd = $titl_grd = $btncolor = $rel = $data_dur = $iconClass = '';    
    
    $grd .= "background:".esc_textarea($bg_grad).";";
    $titl_grd .= "background:".esc_textarea($titl_bg_grad).";";
    
    $svgid = uniqid('svg-', '');
    $grdsv = esc_textarea($titl_bg_grad);
    $on = strstr($grdsv, '#');
    $fist_hx = substr($on, 0, 7);
    
    $str2 = substr($on, 7);
    $needle = strstr($str2, '#'); 
    $sec_hx = substr($needle, 0, 7);
    
    $custom_stle .= ".{$tblid}{";
        $custom_stle .= ($bg_color != '') ? "background-color: {$bg_color};" : "";
        $custom_stle .= ($bg_grad != '' && $bg_main == 'gradient') ? $grd : "";
        $custom_stle .= ($margin_top != '') ? "margin-top: {$margin_top}px;" : "";
        $custom_stle .= ($margin_right != '') ? "margin-right: {$margin_right}px;" : "";
        $custom_stle .= ($margin_bottom != '') ? "margin-bottom: {$margin_bottom}px;" : "";
        $custom_stle .= ($margin_left != '') ? "margin-left: {$margin_left}px;" : "";
        $custom_stle .= ($bord_top != '') ? "border-top-width: {$bord_top}px;" : "";
        $custom_stle .= ($bord_right != '') ? "border-right-width: {$bord_right}px;" : "";
        $custom_stle .= ($bord_bottom != '') ? "border-bottom-width: {$bord_bottom}px;" : "";
        $custom_stle .= ($bord_left != '') ? "border-left-width: {$bord_left}px;" : "";
        $custom_stle .= ($bord_top != '' && $bord_top != '0' && $pric_bord_style != '') ? "border-top-style: {$pric_bord_style};" : "";
        $custom_stle .= ($bord_right != '' && $bord_right != '0' && $pric_bord_style != '') ? "border-right-style: {$pric_bord_style};" : "";
        $custom_stle .= ($bord_bottom != '' && $bord_bottom != '0' && $pric_bord_style != '') ? "border-bottom-style: {$pric_bord_style};" : "";
        $custom_stle .= ($bord_left != '' && $bord_left != '0' && $pric_bord_style != '') ? "border-left-style: {$pric_bord_style};" : "";
        $custom_stle .= ($border_color != '') ? "border-color: {$border_color};" : "";
        if( $idl_shad != '' ){
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "-webkit-box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";    
        }
    $custom_stle .= "}";
    
    $custom_stle .= ".{$tblid}:hover{";
        $custom_stle .= ($bord_hover_top != '') ? "border-top-width: {$bord_hover_top}px;" : "";
        $custom_stle .= ($bord_hover_right != '') ? "border-right-width: {$bord_hover_right}px;" : "";
        $custom_stle .= ($bord_hover_bottom != '') ? "border-bottom-width: {$bord_hover_bottom}px;" : "";
        $custom_stle .= ($bord_hover_left != '') ? "border-left-width: {$bord_hover_left}px;" : "";
        $custom_stle .= ($bord_hover_top != '' && $bord_hover_top != '0') ? "border-top-style: {$pric_hover_bord_style};" : "";
        $custom_stle .= ($bord_hover_right != '' && $bord_hover_right != '0') ? "border-right-style: {$pric_hover_bord_style};" : "";
        $custom_stle .= ($bord_hover_bottom != '' && $bord_hover_bottom != '0') ? "border-bottom-style: {$pric_hover_bord_style};" : "";
        $custom_stle .= ($bord_hover_left != '' && $bord_hover_left != '0') ? "border-left-style: {$pric_hover_bord_style};" : "";
        $custom_stle .= ($border_hover_color != '') ? "border-color: {$border_hover_color};" : "";
        if( $hover_shad != '' ){
            $custom_stle .= ($hover_shd1 != '' && $hover_shd2 != '' && $hover_shd3 != '' && $hover_shd4 != '' && $hover_shd_color != '') ? "-webkit-box-shadow: ".$hover_shd1."px ".$hover_shd2."px ".$hover_shd3."px ".$hover_shd4."px ".$hover_shd_color.";" : "";
            $custom_stle .= ($hover_shd1 != '' && $hover_shd2 != '' && $hover_shd3 != '' && $hover_shd4 != '' && $hover_shd_color != '') ? "box-shadow: ".$hover_shd1."px ".$hover_shd2."px ".$hover_shd3."px ".$hover_shd4."px ".$hover_shd_color.";" : "";    
        }
    $custom_stle .= "}";
        
    // Head colors & hovers..
    if( $price_color != '' ){
        $custom_stle .= ".{$tblid} .price{";
            $custom_stle .= "color: {$price_color};";
        $custom_stle .= "}";
    }
    if( $titl_color != '' ){
        $custom_stle .= ".{$tblid} .pricing-title{";
            $custom_stle .= "color: {$titl_color};";
        $custom_stle .= "}";
    }
    if( $subtitle_color != '' ){
        $custom_stle .= ".{$tblid} .price_sub{";
            $custom_stle .= "color: {$subtitle_color};";
        $custom_stle .= "}";
    }
    if( $price_hover_color != '' ){
        $custom_stle .= ".{$tblid}:hover .price{";
            $custom_stle .= "color: {$price_hover_color};";
        $custom_stle .= "}";
    }
    if( $titl_hover_color != '' ){
        $custom_stle .= ".{$tblid}:hover .pricing-title{";
            $custom_stle .= "color: {$titl_hover_color};";
        $custom_stle .= "}";
    }
    if( $subtitle_hover_color != '' ){
        $custom_stle .= ".{$tblid}:hover .price_sub{";
            $custom_stle .= "color: {$subtitle_hover_color};";
        $custom_stle .= "}";
    }
    
    
    // Head background colors & hovers...
    if( $pricing_style == 'pricing-1' ){
        
        $custom_stle .= ".{$tblid} .price.price_main:before{";
            $custom_stle .= ($titl_bg_color != '') ? "background-color: {$titl_bg_color};" : "";
            $custom_stle .= ($titl_bg_grad != '' && $titl_bg_main == 'gradient') ? $titl_grd : "";
        $custom_stle .= "}";
        
        $custom_stle .= ".{$tblid}:hover .price.price_main:before{";
            $custom_stle .= ($titl_bg_hover_color != '') ? "background: {$titl_bg_hover_color};" : "";
        $custom_stle .= "}";
        
            
    } else if( $pricing_style == 'pricing-2' ){
        
        $custom_stle .= ".{$tblid} .pricing-title svg.slurve-svg{";
            $custom_stle .= ($titl_bg_color != '') ? "fill: {$titl_bg_color};" : "";
            $custom_stle .= ( $titl_bg_grad != '' && $titl_bg_main == 'gradient' ) ? "fill: url(#{$svgid});" : "";
        $custom_stle .= "}";
        
        $custom_stle .= ".{$tblid}:hover .pricing-title svg.slurve-svg{";
            $custom_stle .= ($titl_bg_hover_color != '') ? "fill: {$titl_bg_hover_color};" : "";
        $custom_stle .= "}";
        
    } else{
        $custom_stle .= ".{$tblid} .price.price_main{";
            $custom_stle .= ($titl_bg_color != '') ? "background-color: {$titl_bg_color};" : "";
            $custom_stle .= ($titl_bg_grad != '' && $titl_bg_main == 'gradient') ? $titl_grd : "";
        $custom_stle .= "}";
        
        $custom_stle .= ".{$tblid}:hover .price.price_main{";
            $custom_stle .= ($titl_bg_hover_color != '') ? "background: {$titl_bg_hover_color};" : "";
        $custom_stle .= "}";
    }
    
    
    $custom_stle .= ".{$tblid} .pricing_content{";
        $custom_stle .= ($main_color != '') ? "color: {$main_color};" : "";
    $custom_stle .= "}";
    
    $custom_stle .= ".{$tblid} .pricing_content ul li,.{$tblid} .pricing_content{";
        $custom_stle .= ($div_color != '') ? "border-top: 1px {$div_color} solid;" : "";
    $custom_stle .= "}";
    
    if( $pricing_style != 'pricing-2' && $footer_bg_color != '' ){
        
        $custom_stle .= ".{$tblid} .pricing-footer{";
            $custom_stle .= "background-color: {$footer_bg_color};";
        $custom_stle .= "}";
        
    } 
    
    $custom_stle .= ".{$tblid}:hover{";
        $custom_stle .= ($main_bg_hover_color != '') ? "background-color: {$main_bg_hover_color};" : "";
    $custom_stle .= "}";
    
    $custom_stle .= ".{$tblid}:hover .pricing_content{";
        $custom_stle .= ($main_hover_color != '') ? "color: {$main_hover_color};" : "";
    $custom_stle .= "}";
    
    $custom_stle .= ".{$tblid}:hover .pricing_content ul li{";
        $custom_stle .= ($div_hover_color != '') ? "border-color: {$div_hover_color};" : "";
    $custom_stle .= "}";
    
    if( $footer_bg_hover_color != '' ){
        $custom_stle .= ".{$tblid}:hover .pricing-footer{";
            $custom_stle .= "background-color: {$footer_bg_hover_color};";
        $custom_stle .= "}";     
    }
    
             
    if( $bor_radius != '' ){
        $custom_stle .= ".{$tblid}{";
            $custom_stle .= ($bor_radius != '') ? "border-radius: {$bor_radius}px;" : ""; 
        $custom_stle .= "}";
        $custom_stle .= ".{$tblid} .pricing-footer{";
            $custom_stle .= ($bor_radius != '') ? "border-radius: 0 0 {$bor_radius}px {$bor_radius}px;" : ""; 
        $custom_stle .= "}";
        $custom_stle .= ".{$tblid} .pricing-title{";
            $custom_stle .= ($bor_radius != '') ? "border-radius: {$bor_radius}px {$bor_radius}px 0 0;" : ""; 
        $custom_stle .= "}"; 
    }
    
    if( $bor_hover_radius != '' ){
        $custom_stle .= ".{$tblid}:hover{";
            $custom_stle .= ($bor_hover_radius != '') ? "border-radius: {$bor_hover_radius}px;" : "";
        $custom_stle .= "}";
    }
    
    $custom_stle .= ".{$tblid} .pricing-footer .btn{";
        $custom_stle .= ($bt_bg_color != '') ? "background-color: {$bt_bg_color};" : "";
        $custom_stle .= ($bt_border_color != '') ? "border: 1px {$bt_border_color} solid;" : "";
        $custom_stle .= ($bt_color != '') ? "color: {$bt_color};" : "";
    $custom_stle .= "}"; 
    
    $custom_stle .= ".{$tblid} .pricing-footer .btn:hover{";
        $custom_stle .= ($bt_hover_bg_color != '') ? "background-color: {$bt_hover_bg_color};" : "";
        $custom_stle .= ($bt_hover_border_color != '') ? "border: 1px {$bt_hover_border_color} solid;" : "";
        $custom_stle .= ($bt_hover_color != '') ? "color: {$bt_hover_color};" : "";
    $custom_stle .= "}"; 
    
    if( $lbl_txt != '' ){
        $custom_stle .= ".{$tblid} .prc_lbl{";
            $custom_stle .= ($lbl_bg_color != '') ? "background-color: {$lbl_bg_color};" : "";
            $custom_stle .= ($lbl_color != '') ? "color: {$lbl_color};" : "";
            $custom_stle .= ($lbl_font_size != '') ? "font-size: {$lbl_font_size}px;" : "";
            $custom_stle .= ($off_top != '') ? "top: {$off_top}px !important;bottom: auto !important;" : "";
            $custom_stle .= ($off_right != '') ? "right: {$off_right}px !important;left: auto !important;" : "";
            $custom_stle .= ($off_bottom != '') ? "bottom: {$off_bottom}px !important;top: auto !important;" : "";
            $custom_stle .= ($off_left != '') ? "left: {$off_left}px !important;right: auto !important;" : "";
            $custom_stle .= ($lbl_padd_top != '') ? "padding-top: {$lbl_padd_top}px !important;" : "";
            $custom_stle .= ($lbl_padd_right != '') ? "padding-right: {$lbl_padd_right}px !important;" : "";
            $custom_stle .= ($lbl_padd_bottom != '') ? "padding-bottom: {$lbl_padd_bottom}px !important;" : "";
            $custom_stle .= ($lbl_padd_left != '') ? "padding-left: {$lbl_padd_left}px !important;" : "";        
        $custom_stle .= "}";
    } else if ( $pric_lbl_style == 'upload' && $wst_bg_img != '' ) {
        $custom_stle .= ".{$tblid} .prc_lbl{";
            $custom_stle .= ($off_top != '') ? "top: {$off_top}px !important;bottom: auto !important;" : "";
            $custom_stle .= ($off_right != '') ? "right: {$off_right}px !important;left: auto !important;" : "";
            $custom_stle .= ($off_bottom != '') ? "bottom: {$off_bottom}px !important;top: auto !important;" : "";
            $custom_stle .= ($off_left != '') ? "left: {$off_left}px !important;right: auto !important;" : "";        
        $custom_stle .= "}";
    }
    
    if( $pric_lbl_style == 'ribbon' ){
        $custom_stle .= ".{$tblid}{";
            $custom_stle .= "overflow: hidden;";
        $custom_stle .= "}";    
    }
    
    wst_inline_css( $custom_stle );  
    
    // animation styling...
    $data_anim  = ($wst_animation != '')   ? ' data-animate="'.esc_js($wst_animation).'"'           : '';
    $data_dur   = ($duration != '')       ? ' data-animation-duration="'.esc_js($duration).'"'    : '';
    $data_del   = ($delay != '')          ? ' data-animation-delay="'.esc_js($delay).'"'          : '';
    $animation  = $data_anim.$data_del.$data_dur; 
  
    $class      = 'pricing_tbl';
    $class     .= ' '.$tblid;
    $class     .= ($pricing_style != '') ? ' '.$pricing_style : "";
    $class     .= ($align != '') ? ' text-'.$align : "";
    $class     .= ( $el_class != '' ) ? ' '.$el_class : '';
    $class     .= ( $featured != '' ) ? ' featured' : '';
    $class     .= ( $wst_animation != '' ) ? ' fx' : '';
    $class     .= ( $anim_hover != '' ) ? ' anim_hover' : '';
    $class     .= ( $idl_shad != '' ) ? ' big_shadow' : "";
    $class     .= ( $hover_shad != '' ) ? ' big_shadow_hover' : "";
    $ful        = ( $full_btn != '' ) ? ' btn-block' : '';
    $ticolor    = 'head dark_price_main';    
    $prcolor    = 'price price_main';
    $blbtn      = ( $pricing_style == 'pricing-1' && $full_btn != '' ) ? ' block-b' : "";
    $lbl        = '';
    $btnClass   = 'btn '.$ful.' bold btn-'.$btn_size.' '.$btn_shape;
    $btnClass  .= ( $pricing_style == 'pricing-2' ) ? ' big_shadow_imp' : "";

    $tbl_feature = (function_exists('vc_param_group_parse_atts')) ? (array) vc_param_group_parse_atts($tbl_feature) : '';

    if ( $pric_lbl_style == 'upload' ) {
        $lbl = '<span class="prc_lbl"><img alt="" src="'.esc_url($img_src[0]).'" /></span>';    
    } else {
        $lbl = ($lbl_txt != '') ? '<span class="prc_lbl '.$pric_lbl_style.'">'.esc_html($lbl_txt).'</span>' : "";
    }
            
    $btncolor       .= ( $btn_color != 'custom' ) ? $btn_color : '';
    $contentClass    = 'pricing_content';
    $contentClass   .= ( $content_align != '' ) ? ' text-'.$content_align : " text-left";
    
    $output = "<div class='{$class}' {$animation}>";
                
        if( $pricing_style == 'pricing-2' ){
                        
            $output .= $lbl;
            $atss = ' data-slurve="0,0,'.$bor_radius.' 0,0,'.$bor_radius.' 0,0,'.$bor_radius.' 0,50,'.$bor_radius.'"';
            
            $output .= '<div class="pricing-title"'.$atss.'>';
                
                $output .= ( $price_title != '' ) ? '<h3 class="'.$ticolor.'">'.esc_html($price_title).'</h3>' : "";
                
                if( $price_price != '' ){
                    $output .= '<h3 class="'.$prcolor.'">';
                        $output .= ($currency != '') ? '<sup class="price_curr">'.esc_html($currency).'</sup>' : "";
                        $output .= ($price_price != '') ? '<span class="price_num">'.esc_html($price_price).'</span>' : "";
                        $output .= ($interval != '') ? '<span class="price_int">'.esc_html($interval).'</span>' : "";
                        $output .= ($price_sub != '') ? '<span class="price_sub">'.esc_html($price_sub).'</span>' : "";
                    $output .= '</h3>';
                }
                                                
            $output .= '</div>';
            
            if ( is_array($tbl_feature) || $content != '' ) {
                $output .= '<div class="'.$contentClass.'">';
                    $output .= ( $content != '' ) ? '<div class="feature_content">'.wp_kses($content,$allowedposttags,null).'</div>' : "";
                    if (is_array($tbl_feature)) {
                        $output .= '<ul>';            
                            foreach ($tbl_feature as $feat) {
                                $txt = isset( $feat['feature_text']) ? $feat['feature_text'] : "";
                                $output .= '<li>';
                                if( isset($feat['use_icon']) && $feat['use_icon'] == '1' && isset( $feat['icon_param'] ) ){
                                    $iconClass = ( isset( $feat['icon_param'] ) ) ? $feat['icon_param'] : ''; 
                                    $col = ( isset($feat['icon_color']) && $feat['icon_color'] != '' ) ? ' style="color:'.$feat['icon_color'].'"' : "";
                                    $output .= '<span class="option-icon"><i class="' . $iconClass . '"'.$col.'></i></span>';   
                                }                   
                                $output .= $txt.'</li>';
                            }
                        $output .= '</ul>';
                    }
                $output .= '</div>';
            }
            if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
                $output .= '<div class="pricing-footer'.$blbtn.'">';
                    $output .= '<a class="'.$btnClass.'" href="' . esc_attr( $url['url'] ) . '" ' . $rel . ' title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">';
                        $output .= '<span>'.$btn_txt.'</span>';
                    $output .= '</a>';
                $output .= '</div>';
            } 
               
        } else {
            
            $output .= $lbl;
            
            $output .= '<div class="pricing-title">';
            
            $output .= ( $price_title != '' ) ? '<h3 class="'.$ticolor.'">'.esc_html($price_title).'</h3>' : '';
            
            if( $price_price != '' ){
                $output .= '<h4 class="'.$prcolor.'">';
                    $output .= ($currency != '') ? '<sup class="price_curr">'.esc_html($currency).'</sup>' : "";
                    $output .= ($price_price != '') ? '<span class="price_num">'.esc_html($price_price).'</span>' : "";
                    $output .= ($interval != '') ? '<span class="price_int">'.esc_html($interval).'</span>' : "";
                    $output .= ($price_sub != '') ? '<span class="price_sub">'.esc_html($price_sub).'</span>' : "";
                $output .= '</h4>';
            }
            
            $output .= '</div>';
            
            if ( is_array($tbl_feature) || $content != '' ) {
                $output .= '<div class="'.$contentClass.'">';
                    $output .= ( $content != '' ) ? '<div class="feature_content">'.wp_kses($content,$allowedposttags,null).'</div>' : "";
                    if (is_array($tbl_feature)) {
                        $output .= '<ul>';            
                            foreach ($tbl_feature as $feat) {
                                $txt = isset( $feat['feature_text']) ? $feat['feature_text'] : "";
                                $output .= '<li>';
                                if(isset($feat['use_icon']) && $feat['use_icon'] != ''){
                                    $col = ( isset($feat['icon_color']) && $feat['icon_color'] != '' ) ? ' style="color:'.$feat['icon_color'].'"' : "";
                                    if( isset( $feat['icon_param'] ) ) $output .= '<span class="option-icon"><i class="' . $feat['icon_param'] . '"'.$col.'></i></span>';
                                }                   
                                $output .= $txt.'</li>';
                            }
                        $output .= '</ul>';
                    }
                $output .= '</div>';
            }
            if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
                $output .= '<div class="pricing-footer'.$blbtn.'">';
                    $output .= '<a class="'.$btnClass.'" href="' . esc_attr( $url['url'] ) . '" ' . $rel . ' title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">';
                        $output .= '<span>'.$btn_txt.'</span>';
                    $output .= '</a>';
                $output .= '</div>';
            }
            
        }
        
    
    $output .= '</div>';
        
    return $output;
  
}                                               
add_shortcode('wst_price_table', 'wst_price_table_shortcode');