<?php  
/**
 * @var $this WPBakeryShortCode_VC_Column
 */
 if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );
$output = $parallax_speed_bg = $custom_stle = $grad_bg = $col_bg_grad = $parallax = $vid_type = $video_bg = $video_bg_url = $class = $data_anim = $data_dur = $data_del = $el_class = $row_padd = $skew_height = 
$wst_bg_img = $section_bg_color = $equal_height = $cls = $column_align = $bg_col_grad = $anim_bg = $anim_dir = $section_bg_grad = $grd = $extra_id = $over = $custom_stle = $bg_image_repeat = $skew_bg = $skew_width = 
$bg_image_position = $cl = $bg = $bg_col = $style = $id = $bg_image_attachment = $bg_overlay = $video_mp4 = $video_poster = $video_webm = $video_ogv = $overlay_color = $bg_cover = $skew_deg = $css = $delay = 
$after_output = $video_class = $idl_shad = $idl_shad1 = $idl_shad2 = $idl_shad3 = $idl_shad4 = $shd_color = $width = $wid = $offset = $wst_animation = $duration = $bg_image_position = $skew_radius_top = $skew_dir = 
$skew_radius_right = $skew_radius_bottom = $skew_radius_left = $row_parallax = $opacity_start = $opacity_end = $x_start = $x_end = $y_start = $y_end = $scale_start = $scale_end = $rotate_start = $rotate_end = '';  

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$img_id     = preg_replace( '/[^\d]/', '', $wst_bg_img );
$img_src    = wp_get_attachment_image_src( $img_id,'full' );
$po_id      = preg_replace( '/[^\d]/', '', $video_poster );
$po_src     = wp_get_attachment_image_src( $po_id,'full' );
$vid_mp4    = wp_get_attachment_url( $video_mp4 );
$vid_webm   = wp_get_attachment_url( $video_webm );
$vid_ogv    = wp_get_attachment_url( $video_ogv );
$skew_wd    = ( 100 - $skew_width ) / 2;
$skew_ht    = ( 100 - $skew_height ) / 2;
$el_class   = $this->getExtraClass( $el_class );
$grd        = ( $section_bg_grad != '' ) ? "background:".esc_textarea($section_bg_grad).";" : "";
$row_id     = uniqid( 'colmn_' );
    
if( $skew_bg != '' ) {
   if( $section_bg_color || $wst_bg_img || $bg_image_repeat || $bg_image_position || $bg_cover || $section_bg_grad || $idl_shad || $skew_width || $skew_height || $skew_deg || $skew_radius_top || $skew_radius_right || $skew_radius_bottom || $skew_radius_left ){
        $custom_stle .= ".{$row_id}:before{";
            $custom_stle .= ($section_bg_color != '') ? "background-color: {$section_bg_color};" : "";
            $custom_stle .= ($section_bg_grad != '' && $bg_main == 'gradient') ? $grd : "";
            $custom_stle .= ($wst_bg_img != '') ? 'background-image: url('.esc_url($img_src[0]).');' : "";
            $custom_stle .= ($bg_image_repeat != '') ? "background-repeat: {$bg_image_repeat};" : "";
            $custom_stle .= ($bg_image_position != '') ? "background-position: {$bg_image_position};" : "";
            $custom_stle .= ($bg_cover != '') ? "background-size: {$bg_cover};" : "";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "-webkit-box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";    
            
            $custom_stle .= ($skew_width != '') ? "width: {$skew_width}%;" : "97";
            $custom_stle .= ($skew_height != '') ? "height: {$skew_height}%;" : "60";
            $custom_stle .= ($skew_radius_top != '') ? "border-top-left-radius: {$skew_radius_top}px;" : "";
            $custom_stle .= ($skew_radius_right != '') ? "border-top-right-radius: {$skew_radius_right}px;" : "";
            $custom_stle .= ($skew_radius_bottom != '') ? "border-bottom-right-radius: {$skew_radius_bottom}px;" : "";
            $custom_stle .= ($skew_radius_left != '') ? "border-bottom-left-radius: {$skew_radius_left}px;" : "";
            $custom_stle .= ($skew_deg != '') ? "-webkit-transform: skew(0deg, {$skew_deg}deg);transform: skew(0deg, {$skew_deg}deg);" : "-12";
            
            $custom_stle .= "top: {$skew_ht}%;";
            
            if( $skew_dir != 'right' && $skew_dir != 'left' ){
                $custom_stle .= "left: {$skew_wd}%;";
                $custom_stle .= "right: {$skew_wd}%;";
            }
        $custom_stle .= "}";
        
        $custom_stle .= ".{$row_id}.col_skew_bg .video-wrap{";
            $custom_stle .= ($skew_width != '') ? "width: {$skew_width}%;" : "97";
            $custom_stle .= ($skew_height != '') ? "height: {$skew_height}%;" : "60";
            $custom_stle .= ($skew_radius_top != '') ? "border-top-left-radius: {$skew_radius_top}px;" : "";
            $custom_stle .= ($skew_radius_right != '') ? "border-top-right-radius: {$skew_radius_right}px;" : "";
            $custom_stle .= ($skew_radius_bottom != '') ? "border-bottom-right-radius: {$skew_radius_bottom}px;" : "";
            $custom_stle .= ($skew_radius_left != '') ? "border-bottom-left-radius: {$skew_radius_left}px;" : "";
            $custom_stle .= ($skew_deg != '') ? "-webkit-transform: skew(0deg, {$skew_deg}deg);transform: skew(0deg, {$skew_deg}deg);" : "-12";
        $custom_stle .= "}";
    }
    if( $bg_overlay != '' ){
        $custom_stle .= ".{$row_id} .section-overlay{";
            $custom_stle .= "-webkit-transform: skew(0deg, {$skew_deg}deg);transform: skew(0deg, {$skew_deg}deg);";
        $custom_stle .= "}";
    }

    if( $video_mp4 != '' || $video_webm != '' || $video_ogv != '' || $video_bg_url ){
        $custom_stle .= ".{$row_id} .video-wrap,.{$row_id}.section-video .vc_video-bg{";
            $custom_stle .= "-webkit-transform: skew(0deg, {$skew_deg}deg);transform: skew(0deg, {$skew_deg}deg);";
        $custom_stle .= "}";
    }
} else{
    if( $section_bg_color || $wst_bg_img || $bg_image_repeat || $bg_image_position || $bg_cover || $section_bg_grad || $idl_shad ){
        $custom_stle .= ".{$row_id}{";
            $custom_stle .= ($section_bg_color != '') ? "background-color: {$section_bg_color};" : "";
            $custom_stle .= ($section_bg_grad != '' && $bg_main == 'gradient') ? $grd : "";
            $custom_stle .= ($wst_bg_img != '') ? 'background-image: url('.esc_url($img_src[0]).');' : "";
            $custom_stle .= ($bg_image_repeat != '') ? "background-repeat: {$bg_image_repeat};" : "";
            $custom_stle .= ($bg_image_position != '') ? "background-position: {$bg_image_position};" : "";
            $custom_stle .= ($bg_cover != '') ? "background-size: {$bg_cover};" : "";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "-webkit-box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";    
            
        $custom_stle .= "}";   
    }    
}    
        
wst_inline_css( $custom_stle );

$wrapper_attributes = array();

$wid = ( function_exists( 'wst_theme_option' ) )                        ? wst_get_vc_column( $width ).' '                   : '';
$wid = ( function_exists( 'wst_theme_option' ) )                        ? wst_column_offset_class_merge( $offset, $width )  : '';
$class .= ( $bg_image_attachment == 'fixed' )                           ? ' fixed_bg'                                       : '';
$class .= ( $anim_bg != '' )                                            ? ' animated_column_bg'                             : ''; 
$class .= ( $row_parallax != '' )                                       ? ' skrollr'                                        : '';
$class .= ( $skew_bg != '')                                             ? ' col_skew_bg'                                    : '';
$class .= ( $column_align != '' )                                       ? ' '.$column_align                                 : '';
$class .= ( $skew_dir != 'left' )                                       ? ' skew-'.$skew_dir                                : '';

$class .= ( $bg_main == 'video' && ( $video_mp4 != '' || $video_webm != '' || $video_ogv != '' || $video_bg_url ) ) ? ' section-video' : "";

if ( ! empty( $parallax ) ) {
    $wrapper_attributes[] = 'data-stellar-background-ratio="0.4"'; // parallax speed
    $class .= 'parallax';
}

$css_classes = array(
    $wid,
    $class,
    $row_id,
    $el_class,
    vc_shortcode_custom_css_class( $css )
);

if ( ! empty( $row_parallax ) ) {
    
    $d_strt = $d_end = $trans_start = $trans_end = '';
    $d_strt .= ( $opacity_start != '' ) ? 'opacity:'.$opacity_start.';' : '';
    
    $trans_start .= ( $x_start != '' ) ? 'translateX('.$x_start.'px) ' : '';
    $trans_start .= ( $y_start != '' ) ? 'translateY('.$y_start.'px) ' : '';        
    $trans_start .= ( $scale_start != '' ) ? 'scale('.$scale_start.') ' : '';
    $trans_start .= ( $rotate_start != '' ) ? 'rotate('.$rotate_start.'deg) ' : '';
    
    $d_strt .= ( $x_start != '' || $y_start != '' || $scale_start != '' || $rotate_start != '' ) ? 'transform:' . $trans_start : '';
    
    $d_end .= ( $opacity_end != '' ) ? 'opacity:'.$opacity_end.';' : '';
    $trans_end .= ( $x_end != '' ) ? 'translateX('.$x_end.'px) ' : '';
    $trans_end .= ( $y_end != '' ) ? 'translateY('.$y_end.'px) ' : '';
    $trans_end .= ( $scale_end != '' ) ? 'scale('.$scale_end.') ' : '';
    $trans_end .= ( $rotate_end != '' ) ? 'rotate('.$rotate_end.'deg) ' : '';
    
    $d_end .= ( $x_end != '' || $y_end != '' || $scale_end != '' || $rotate_end != '' ) ? 'transform:' . $trans_end : '';
    
    $data_start = ' data-0="'.$d_strt.'"';
    $data_end   = ' data-center-top="'.$d_end.'"';
    
    $wrapper_attributes[] = $data_start . $data_end;
    
}

$has_video_bg = ( ! empty( $video_bg ) && ! empty( $video_bg_url ) && vc_extract_youtube_id( $video_bg_url ) );

if ( $bg_main == 'video' && $vid_type == 'yout' && $video_bg_url != '' ) {
    $wrapper_attributes[] = 'data-vc-video-bg="' . esc_attr( $video_bg_url ) . '"';
    $css_classes[] = 'section-video';
    wp_enqueue_script( 'vc_youtube_iframe_api_js' );
}

$video_lp =  ( $video_loop != '' ) ? ' loop' : '';

if ( ! empty( $el_id ) ) {
    $wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}
$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$css_class .= ( $idl_shad != '' ) ? ' big_shadow' : "";
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) .'"';

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';
    
    $output .= ( $anim_bg != '' ) ? '<div class="animated_bg '.esc_attr($anim_dir).'"></div>' : '';

    $output .= ( $bg_overlay == '1' && $video_mp4 == '' && $video_webm == '' && $video_ogv == '' ) ? '<span class="section-overlay" style="background-color:'.esc_attr($overlay_color).'"></span>' : '';

    if ( $video_mp4 != '' || $video_webm != '' || $video_ogv != '' ){
            
        $output .= ($bg_overlay == '1') ? '<span class="section-overlay" style="background-color:'.esc_attr($overlay_color).'"></span>' : '';
        
        $output .='<div class="video-wrap">';
                        
            $output .= '<video poster="'.$po_src[0].'" preload="auto" '.$video_lp.' autoplay muted>';
                $output .= ($video_mp4 != '') ? '<source src="'.$vid_mp4.'" type="video/mp4">' : "";
                $output .= ($video_webm != '') ? '<source src="'.$vid_webm.'" type="video/webm">' : "";
                $output .= ($video_ogv != '') ? '<source src="'.$vid_ogv.'" type="video/ogv">' : "";
            $output .= '</video>';
        
        $output .= '</div>';
        
    }    
    $output .= wpb_js_remove_wpautop( $content );

$output .= '</div>';

if (! empty( $parallax )){
    wp_enqueue_script ( 'stellar' , Qonspt_THM_URI . 'assets/front/js/vendor/stellar.js', null, null, true );
}
if (! empty( $row_parallax )){
    wp_enqueue_script ( 'skrollr' , Qonspt_THM_URI . 'assets/front/js/vendor/skrollr.js', null, null, true );
}

echo $output;