<?php
function wst_testimonial_shortcode($atts, $content=null){
    global $allowedposttags;
    global $block_style;
    global $block_arrange;
    global $block_type;
    global $grid_cols;
    extract(shortcode_atts( array(
        'author'                => '',
        'author_color'          => '',
        'hover_author_color'    => '',
        'author_size'           => '',
        
        'slogan'                => '',
        'slogan_color'          => '',
        'hover_slogan_color'    => '',
        'slogan_size'           => '',
        
        'cont_font_family'      => '',
        'content_size'          => '',
        'content_line_height'   => '',
        'content_weight'        => '100',
        'box_align'             => '',
        
        'image'                 => '',
        'img_shape'             => 'rounded',
        'img_size'              => '55x55',
        'img_bord_width'        => '',
        'img_border_color'      => '',
        
        'bg_color'              => '',
        'test_bg'               => 'color',
        'test_bg_grad'          => '',
        'border_color'          => '',
        'border_radius'         => '',
        'hover_bg_color'        => '',
        'hover_border_color'    => '',
        
        'padd_top'              => '',
        'padd_right'            => '',
        'padd_bottom'           => '',
        'padd_left'             => '',
        'margin_top'            => '',
        'margin_right'          => '',
        'margin_bottom'         => '',
        'margin_left'           => '',
        'shad'                  => '',
        
        'show_qte'              => '1',
        'qte_color'             => '',
        'qte_size'              => '',
        'qte_style'             => '1',
        'qte_top'               => '',
        'qte_right'             => '',
        'qte_bottom'            => '',
        'qte_left'              => '',
        
        'el_class'              => ''
    ), $atts));
    
    if( $img_size == '40x40' || $img_size == '55x55' || $img_size == '70x70' ){
        $size = 'thumbnail';
    }else{
        $size = $img_size;
    }
    
    $boxid = uniqid('itm-', '');
    $custom_stle = $output = $conClas = $norClass = '';
    $img_id = preg_replace( '/[^\d]/', '', $image );
    $thumb = wp_get_attachment_image_src( $img_id,$size );
    
    $svgid = uniqid('svg-', '');
    $grd = esc_textarea($test_bg_grad);
    $on = strstr($grd, '#');
    $fist_hx = substr($on, 0, 7);
    
    $str2 = substr($on, 7);
    $needle = strstr($str2, '#'); 
    $sec_hx = substr($needle, 0, 7);
        
    if( $bg_color || $test_bg_grad || $border_color || $border_radius || $padd_top || $padd_right || $padd_bottom || $padd_left || $margin_top || $margin_right || $margin_bottom || $margin_left ){        
        $custom_stle .= ".{$boxid}.wst-blockquote{";
            $custom_stle .= ($block_style != '1' && $block_style != '2' && $bg_color != '' && $test_bg == 'color' ) ? "background-color: {$bg_color};" : "";
            $custom_stle .= ($block_style != '2' && $block_style != '1' && $test_bg_grad != '' && $test_bg == 'gradient') ? "background: {$grd};" : "";
            $custom_stle .= ($border_color != '' && $block_style != '2' && $block_style != '1') ? "border: 1px {$border_color} solid;" : "";
            $custom_stle .= ($padd_top != '' && $block_style != '1') ? "padding-top: {$padd_top}px;" : "";
            $custom_stle .= ($padd_right != '' && $block_style != '1') ? "padding-right: {$padd_right}px;" : "";
            $custom_stle .= ($padd_bottom != '' && $block_style != '1') ? "padding-bottom: {$padd_bottom}px;" : "";
            $custom_stle .= ($padd_left != '' && $block_style != '1') ? "padding-left: {$padd_left}px;" : "";
            $custom_stle .= ($margin_top != '') ? "margin-top: {$margin_top}px !important;" : "";
            $custom_stle .= ($margin_right != '') ? "margin-right: {$margin_right}px !important;" : "";
            $custom_stle .= ($margin_bottom != '') ? "margin-bottom: {$margin_bottom}px !important;" : "";
            $custom_stle .= ($margin_left != '') ? "margin-left: {$margin_left}px !important;" : "";
            $custom_stle .= ($border_radius != '') ? "border-radius: {$border_radius}px;" : "";
        $custom_stle .= "}";
    }
    
    if ( $block_style == '2' && ( $test_bg_grad || $bg_color ) ) {
        $custom_stle .= ".{$boxid}.wst-blockquote > svg.slurve-svg {";
            $custom_stle .= ( $bg_color != '' ) ? "fill: {$bg_color};" : "";
            $custom_stle .= ( $test_bg_grad != '' && $test_bg == 'gradient' ) ? "fill: url(#{$svgid});" : "";
        $custom_stle .= "}";    
    }
    
    if( ( $bg_color || $border_color || $border_radius || $padd_top || $padd_right || $padd_bottom || $padd_left || ($test_bg_grad && $test_bg == 'gradient') ) && $block_style == '1' ){        
        $custom_stle .= ".{$boxid}.wst-blockquote .testi_content{";
            $custom_stle .= ($bg_color != '') ? "background-color: {$bg_color};" : "";
            $custom_stle .= ($block_style != '2' && $test_bg_grad != '' && $test_bg == 'gradient') ? "background: {$grd};" : "";
            $custom_stle .= ($padd_top != '') ? "padding-top: {$padd_top}px;" : "";
            $custom_stle .= ($padd_right != '') ? "padding-right: {$padd_right}px;" : "";
            $custom_stle .= ($padd_bottom != '') ? "padding-bottom: {$padd_bottom}px;" : "";
            $custom_stle .= ($padd_left != '') ? "padding-left: {$padd_left}px;" : "";
            $custom_stle .= ($border_color != '') ? "border: 1px {$border_color} solid !important;" : "";
            $custom_stle .= ($border_radius != '') ? "border-radius: {$border_radius}px;" : "";
        $custom_stle .= "}";
        $custom_stle .= ".wst-testimonial-1 .{$boxid}.wst-blockquote .testi_content:after{";
            $custom_stle .= ($bg_color != '') ? "border-color: {$bg_color} transparent transparent transparent;" : "";
            $custom_stle .= ($test_bg_grad != '') ? "border-color: {$fist_hx} transparent transparent transparent;" : "";
        $custom_stle .= "}";
        if ($border_color != '') {
            $custom_stle .= ".wst-testimonial-1 .{$boxid}.wst-blockquote .testi_content:before{";
                $custom_stle .= "border-color: {$border_color} transparent transparent transparent;";
            $custom_stle .= "}";    
        }
    }
    
    if( $show_qte != '' && $qte_color != '' ){
        $custom_stle .= ".{$boxid} .quote_abs .cls-1{";
            $custom_stle .= "fill: {$qte_color};";
        $custom_stle .= "}";
    }
    
    if( $show_qte != '' && ( $qte_size != '' || $qte_top || $qte_right || $qte_bottom || $qte_left ) ){
        $custom_stle .= ".{$boxid} .quote_abs{";
            $custom_stle .= ( $qte_size != '' ) ? "width: {$qte_size}px;" : "";
            $custom_stle .= ( $qte_size != '' ) ? "height: {$qte_size}px;" : "";
            $custom_stle .= ( $qte_top != '' ) ? "top: {$qte_top}px;bottom: auto;" : "";
            $custom_stle .= ( $qte_right != '' ) ? "right: {$qte_right}px;left: auto;" : "";
            $custom_stle .= ( $qte_bottom != '' ) ? "bottom: {$qte_bottom}px;top: auto;" : "";
            $custom_stle .= ( $qte_left != '' ) ? "left: {$qte_left}px;right: auto;" : "";
        $custom_stle .= "}";
    }
    
    if( $border_radius != '' && $block_style == '2' ){
        $custom_stle .= ".{$boxid} .dashed_border{";
            $custom_stle .= ($border_radius != '') ? "border-radius: {$border_radius}px;" : "";
        $custom_stle .= "}";    
    }
    
    if( ( $hover_bg_color || $hover_border_color ) && $block_style != '1' ){
        $custom_stle .= ".{$boxid}:hover{";
            $custom_stle .= ($hover_bg_color != '') ? "background-color: {$hover_bg_color};" : "";
            $custom_stle .= ($hover_border_color != '') ? "border-color: {$hover_border_color};" : "";
        $custom_stle .= "}";    
    }
    
    if( ( $hover_bg_color || $hover_border_color ) && $block_style == '1' ){
        $custom_stle .= ".{$boxid}.wst-blockquote:hover .testi_content{";
            $custom_stle .= ($hover_bg_color != '') ? "background-color: {$hover_bg_color};" : "";
            $custom_stle .= ($hover_border_color != '') ? "border-color: {$hover_border_color} !important;" : "";
        $custom_stle .= "}";
        $custom_stle .= ".{$boxid}.wst-blockquote:hover .testi_content:before{";
            $custom_stle .= ($hover_border_color != '') ? "border-color: {$hover_border_color} transparent transparent transparent !important;" : "";
        $custom_stle .= "}";
    }

    if( $author_color || $author_size ){
        $custom_stle .= ".{$boxid} .testi_author{";
            $custom_stle .= ($author_color != '') ? "color: {$author_color};" : "";
            $custom_stle .= ($author_size != '') ? "font-size: {$author_size}px;" : "";    
        $custom_stle .= "}";
    }
    
    if( $img_bord_width != '' || $img_border_color != ''){
        $custom_stle .= ".{$boxid} .testi_img{";
            $custom_stle .= ($img_bord_width != '') ? "border-width: {$img_bord_width}px;border-style: solid;" : "";
            $custom_stle .= ($img_border_color != '') ? "border-color: {$img_border_color};" : "";    
        $custom_stle .= "}";
    }
    
    if( $hover_author_color != ''){
        $custom_stle .= ".{$boxid}.wst-blockquote:hover .testi_author{";
            $custom_stle .= ($hover_author_color != '') ? "color: {$hover_author_color};" : "";
        $custom_stle .= "}";
    }
    
    if( $slogan_color != '' || $slogan_size != ''){
        $custom_stle .= ".{$boxid} .testi_slogan{";
            $custom_stle .= ($slogan_color != '') ? "color: {$slogan_color};" : "";
            $custom_stle .= ($slogan_size != '') ? "font-size: {$slogan_size}px;" : "";    
        $custom_stle .= "}";
    }
    
    if( $hover_slogan_color != ''){
        $custom_stle .= ".{$boxid}.wst-blockquote:hover .testi_slogan{";
            $custom_stle .= ($hover_slogan_color != '') ? "color: {$hover_slogan_color};" : "";
        $custom_stle .= "}";
    }
    
    if( $cont_font_family != '' || $content_size != '' || $content_weight != '' || $content_line_height != '' ){
        $custom_stle .= ".{$boxid} .testi_desc{";
            $custom_stle .= ($cont_font_family != '') ? "font-family: {$cont_font_family};" : "";
            $custom_stle .= ($content_size != '') ? "font-size: {$content_size}px;" : "";
            $custom_stle .= ($content_weight != '') ? "font-weight: {$content_weight};" : "";
            $custom_stle .= ($content_line_height != '') ? "line-height: {$content_line_height}px;" : ""; 
        $custom_stle .= "}";
    }
       
    wst_inline_css( $custom_stle );
    
    $wrapclass = ( $block_type == 'grid' || $block_type == 'normal' ) ? ' col-md-'.$grid_cols : '';
    $class = "wst-blockquote {$boxid}";
    $class .= ( $el_class != '' ) ? ' '.$el_class : '';
    $class .= ( $box_align != '' ) ? ' '.$box_align : ''; 
    $class .= ( $shad != '' && $block_style != '1' ) ? ' shad' : '';
    $class .= ( $block_style == '2' ) ? ' slurve' : '';
    $conClas .= ( $shad != '' && $block_style == '1' ) ? ' shad' : '';
    
    $qte_class = 'quote_abs';
    
    if ( $qte_style == '4' ) {
        $qte = '<div class="'.$qte_class.'"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 51.56 34.03"><path class="cls-1" d="M0,10.75C0,3.68,6.33,0,10.75,0S22,4.27,22,12.23C22,24.38,12.23,33.14,5.3,34c-.51-.89-1.18-2.21-1.18-2.21,3.1-1.25,11.64-7.07,12.08-12.37-2.35,1.47-3.37,2.21-6.18,2.21C4.12,21.66,0,16.21,0,10.75Zm29.61,0C29.61,3.68,35.94,0,40.36,0s11.2,4.27,11.2,12.23c0,12.15-9.72,20.91-16.65,21.8-.51-.89-1.18-2.21-1.18-2.21,3.1-1.25,11.64-7.07,12.08-12.37-2.35,1.47-3.37,2.21-6.18,2.21C33.73,21.66,29.61,16.21,29.61,10.75Z"/></svg></div>';
    } else if ( $qte_style == '3' ) {
        $qte = '<div class="'.$qte_class.'"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 51.56 34.03"><path class="cls-1" d="M51.56,23.28C51.56,30.35,45.22,34,40.81,34s-11.2-4.27-11.2-12.23C29.61,9.65,39.33.88,46.26,0c.51.88,1.17,2.21,1.17,2.21C44.34,3.46,35.8,9.28,35.35,14.58c2.36-1.47,3.38-2.2,6.19-2.2C47.43,12.38,51.56,17.82,51.56,23.28ZM22,23.28C22,30.35,15.61,34,11.2,34S0,29.76,0,21.8C0,9.65,9.72.88,16.65,0c.51.88,1.17,2.21,1.17,2.21C14.73,3.46,6.19,9.28,5.75,14.58c2.35-1.47,3.37-2.2,6.18-2.2C17.82,12.38,22,17.82,22,23.28Z"/></svg></div>';
    } else if ( $qte_style == '2' ) {
        $qte = '<div class="'.$qte_class.'"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 45.34 35.62"><path class="cls-1" d="M14.16,20.25c3.8-2.29,6.7-5.33,6.7-9.59A10.9,10.9,0,0,0,9.74,0C3.5,0,0,4.26,0,10.05,0,18,6.85,28.16,18.42,35.62a2.33,2.33,0,0,0,1.37-2.13L12.33,22.84A3.23,3.23,0,0,1,14.16,20.25Z"/><path class="cls-1" d="M38.64,20.25c3.81-2.29,6.7-5.33,6.7-9.59A10.89,10.89,0,0,0,34.23,0C28,0,24.49,4.26,24.49,10.05c0,7.91,6.85,18.11,18.42,25.57a2.35,2.35,0,0,0,1.37-2.13L36.82,22.84A3.24,3.24,0,0,1,38.64,20.25Z"/></svg></div>';
    } else {
        $qte = '<div class="'.$qte_class.'"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 44.44 28.27"><path class="cls-1" d="M5.48,0H22.54L12.73,28.27H0Zm22,0H44.44L34.76,28.27H22Z"/></svg></div>';
    }
    
    $atss = ( $block_style == '2' && ( $test_bg_grad != '' || $bg_color != '' ) ) ? ' data-slurve="0,0,'.$border_radius.' 0,0,'.$border_radius.' 0,0,'.$border_radius.' 0,50,'.$border_radius.'"' : '';
    
    $auth = ($author != '') ? '<h5 class="testi_author">'.esc_html($author).'</h5>' : "";
    $slog = ($slogan != '') ? ' <span class="testi_slogan">'.esc_html($slogan).'</span>' : "";
            
        $output .= '<div class="'.$wrapclass.'">';
            $output .= '<div class="'.$class.'"'.$atss.'>';
            
                if ( $block_style == "2" && $test_bg_grad != '' && $test_bg == 'gradient' ){
                    $output .= '<svg version="1.1" class="slurve-definitions" xmlns="http://www.w3.org/2000/svg">';
                        $output .= '<defs>';
                            $output .= '<linearGradient id="'.$svgid.'" gradientTransform="rotate(0)">';
                                $output .= '<stop offset="0%" stop-color="'.$fist_hx.'" />';
                                $output .= '<stop offset="100%" stop-color="'.$sec_hx.'" />';
                            $output .= '</linearGradient>';
                        $output .= '</defs>';
                    $output .= '</svg>';              
                }
                
                if ( $block_style == "1" ) {
                    
                    $output .= '<div class="testi_content'.$conClas.'">';
                        $output .= ( $show_qte == '1' ) ? $qte : '';
                        $output .= '<div class="testi_desc">'.wp_kses($content,$allowedposttags,null).'</div>';
                    $output .= '</div>';
                    
                    $output .= '<div class="testi_holder">';
                        $output .= ($image != '') ? '<div class="testi_img '.$img_shape.'"><img class="test-img-'.$img_size.'" alt="" src="'.$thumb[0].'"></div>' : "";
                        $output .= '<div class="testi_slug">'.$auth.$slog.'</div>';
                    $output .= '</div>';
                    
                    
                } else if( $block_style == "2" ) {
                    
                    $output .= ($image != '') ? '<div class="testi_img '.$img_shape.'"><img class="test-img-'.$img_size.'" alt="" src="'.$thumb[0].'"></div>' : "";
                    
                    $output .= '<div class="testi_top">';
                        $output .= '<div class="testi_holder">';
                            $output .= $auth.'<br>'.$slog;
                        $output .= '</div>';
                    $output .= '</div>';
                    
                    $output .= '<div class="testi_content">';
                        $output .= ( $show_qte == '1' ) ? $qte : '';
                        $output .= '<div class="testi_desc">'.wp_kses($content,$allowedposttags,null).'</div>';
                    $output .= '</div>';
                    $output .= ( $block_style == "2" && ( ($test_bg_grad != '' && $test_bg == 'gradient') ||  $bg_color != '' ) ) ? '<div class="dashed-border slurve" data-slurve="0,0,'.$border_radius.' 0,0,'.$border_radius.' 0,0,'.$border_radius.' 0,50,'.$border_radius.'"></div>' : '';                
                                    
                } else if ( $block_style == "3" ) {
                    
                    $output .= ($image != '') ? '<div class="testi_img '.$img_shape.'"><img class="test-img-'.$img_size.'" alt="" src="'.$thumb[0].'"></div>' : "";
                    $output .= '<div class="testi_content">';
                        $output .= ( $show_qte == '1' ) ? $qte : '';
                        $output .= '<div class="testi_desc">'.wp_kses($content,$allowedposttags,null).'</div>';
                    $output .= '</div>';
                    $output .= '<div class="testi_holder">';
                        $output .= $auth.$slog;
                    $output .= '</div>';
                
                }
                    
            $output .= '</div>';
        $output .= '</div>';
        
    return $output; 
 
}
add_shortcode('wst_testimonial', 'wst_testimonial_shortcode');