<?php 
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' ); 

get_header();

?>

<div class="container">
            
    <div class="md-padding not-found-wrap">
        
        <div class="lg-not-found">                       
            <img alt="<?php echo esc_attr__('Page Not Found','qonspt') ?>" src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/error-middle.png" />
            <h4><span class="main-color bold"><?php echo esc_html__("Uh-Oh!","qonspt") ?></span> <?php echo esc_html__("Looks like you are lost.","qonspt") ?></h4>
            <p class="wst-srch-txt"><?php echo esc_html__('The form below may help you get what you need.','qonspt') ?></p>
        </div>
            
        <div class="not-found-form form404cont">
            
            <div class="form-container">
                <?php get_search_form(); ?>
            </div>
            
            <div class="srch-home-pg">
                <a class="btn main-bg btn-hover-shad rounded" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                    <span><?php echo esc_html__('Go Back Home','qonspt') ?></span>
                </a>
            </div>
            
        </div>    

    </div>
        
</div>
<?php get_footer(); ?>
