<?php
/**
 *
 * qonspt theme Header
 * @version 1.0.0
 *
 */ 
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="profile" href="//gmpg.org/xfn/11" />
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <?php
        wp_body_open();
        wst_loader();
        wst_header();        
        if ( get_header_image() ) { ?>
            <div class="wst-custom-header">
                <img src="<?php esc_url(header_image()); ?>" class="header-image" width="<?php echo esc_attr(get_custom_header()->width); ?>" height="<?php echo esc_attr(get_custom_header()->height); ?>" alt="<?php bloginfo( 'name' ); ?>" />
            </div>
        <?php } ?>
        <div class="wst-page-content">