<?php
/**
 *
 * WinsomeThemes Framework
 *
 * @author WinsomeThemes
 * @license Commercial License
 * @link http://www.winsomethemes.com
 * @copyright 2019 WinsomeThemes
 * @package wstFramework
 * @version 1.0.0
 *
 */
?> 
<div class="wst-add-icon" data-theme-url="<?php echo esc_attr(wst_thm_uri); ?>"> 
    
    <div class="wst-inner-add">
        
        <h3><?php echo esc_html__('Choose an icon','qonspt'); ?><a class="close-login" href="#"><i class="stline-close"></i></a></h3>
        
        <h4 class="icons-sel-head">
            <span style="font-size: 13px;line-height: 20px;"><?php echo esc_html__('Select From Icon Library:','qonspt'); ?></span> 
            <select name="type" class="select_icon">
                <option class="streamline" value="streamline" selected="selected"><?php echo esc_html__('Streamline Icons','qonspt'); ?></option>
                <option class="fontawesome" value="fontawesome"><?php echo esc_html__('FontAwesome Icons','qonspt'); ?></option>
            </select>
        </h4>
        
        <div style="padding: 0 0 10px;"><input type="text" placeholder="<?php echo esc_attr__('Search for icon...','qonspt'); ?>" class="regular-text iconSearch"></div>
        
        <div class="wst-icons-set">
            
            <div class="streamline"></div>
            <div class="fontawesome"></div>
            
        </div>
        
    </div>
    
</div>