<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

class wst_menu_custom_fields {

	public static function wst_menu_load() {
		add_filter( 'wp_edit_nav_menu_walker', array( __CLASS__, 'wst_filter_walker' ), 99 );
	}

	public static function wst_filter_walker( $walker ) {
		$walker = 'wst_menu_custom_fields_Walker';
		if ( ! class_exists( $walker ) ) {
			require_once (get_parent_theme_file_path('includes/helpers/menu/walker-nav-menu-edit.php') );
		}

		return $walker;
	}
    
}
add_action( 'wp_loaded', array( 'wst_menu_custom_fields', 'wst_menu_load' ), 9 );

include_once( get_parent_theme_file_path('includes/helpers/menu/menu-custom-fields.php') );
include_once( get_parent_theme_file_path('includes/helpers/menu/front-end.php') );
