<?php if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' ); ?>

<div class="no-results-wrap">

    <div class="lg-not-found">                       
        <h3 class="wst-heading left main-color"><?php echo esc_html__('Uh-Oh!','qonspt'); ?></h3>
        <h4><?php echo esc_html__("There's Nothing in Here","qonspt") ?></h4>
        <h5><span class="main-color bold"><?php echo esc_html__("Sorry..","qonspt") ?></span> <?php echo esc_html__("The Page You Are Looking for Can't Be Found.","qonspt") ?></h5>
    </div>
   
    <hr>
        
    <div class="not-found-form">
        <p><?php echo esc_html__('You can use the form below to search for what you need.','qonspt') ?></p>
        <div class="form-container">
            <?php get_search_form(); ?>
        </div>
        
        <div class="srch-home-pg">
            <a class="main-bg btn btn-md btn-hover-shad rounded btn-align-center" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                <span><?php echo esc_html__('Go To Home Page','qonspt') ?></span>
            </a>
        </div>
        
    </div>
    
</div>
