<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

$clas           = 'top-head';
$ht_bar         = get_post_meta(wst_page_id(),'meta_hide_top_bar',true);
$st_head        = get_post_meta(wst_page_id(),'meta_header_sticky',true);
$h_menu         = get_post_meta(wst_page_id(),'meta_hide_menu',true); 
$header_style   = get_post_meta(wst_page_id(),'meta_header_style',true);
$header_class   = get_post_meta(wst_page_id(),'meta_header_extra_class',true);
$h_ful          = get_post_meta(wst_page_id(),'meta_header_full',true);
$mh_fixed       = get_post_meta(wst_page_id(),'meta_header_fixed',true);
$clas           .= ( $header_class ) ? ' '.$header_class : '';
$clas           .= ( $header_style ) ? ' '.$header_style : ' '.wst_theme_option("header_style");
$clas           .= ( $h_ful != '' && $h_ful == '1') ? ' full_header' : (($h_ful == '' && wst_theme_option('header-full') == '1') ? ' full_header' : '');
$stick          = ( $st_head == '1' || (wst_theme_option('sticky_header_on') == '1' && $st_head == '')) ? ' data-sticky' : '';

if ( $mh_fixed == '1' ){
    $clas .= ' fixed-head';
} else if ( wst_theme_option("header-fixed") == '1' && $mh_fixed == '' ){
    $clas .= ' fixed-head';
}

if ( !$h_menu == '1' ) { ?>

<header class="<?php echo esc_attr($clas) ?>"<?php echo esc_attr($stick); ?>>
    <?php
    
    if ( $ht_bar == '1' || (wst_theme_option("show_top_bar") == '1' && $ht_bar == '') ) {
        get_template_part( 'layout/headers/top-bar');
    } ?>
    
    <div class="container">
        
        <div class="wst-head-wrap" data-slurve="-20,0 0,0 0,0,40 0,60,40">
            
            <?php wst_header_logo(); ?>
            <?php wst_header_menu(); ?>
            <?php wst_header_icons(); ?>
            
        </div>
        
    </div>
            
</header>
<?php } ?>