<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

$clas           = 'side-head';
$ht_bar         = get_post_meta(wst_page_id(),'meta_hide_top_bar',true);
$h_menu         = get_post_meta(wst_page_id(),'meta_hide_menu',true); 
$header_style   = get_post_meta(wst_page_id(),'meta_header_style',true);
$header_class   = get_post_meta(wst_page_id(),'meta_header_extra_class',true);
$log_pos        = get_post_meta(wst_page_id(),'meta_logo_position',true);
$h_ful          = get_post_meta(wst_page_id(),'meta_header_full',true);
$meta_invis     = get_post_meta( wst_page_id() , 'meta_header_invisible' , true);
$meta_search    = get_post_meta(wst_page_id(),'meta_hide_search',true);
$wst_opts_copy  = wst_theme_option('head_copyrights');
$invis          = wst_theme_option('head_visible');
$meta_dir       = get_post_meta( wst_page_id() , 'meta_side_dir' , true);
$dir            = ( $meta_dir == '' ) ? wst_theme_option('side_dir') : $meta_dir;
$hedinvis       = ( $meta_invis == '' ) ? $invis : $meta_invis;
$srch           = ( $meta_search != '' ) ? $meta_search : wst_theme_option("show_search");
$clas          .= ' '.$dir;
$clas          .= ( $header_class ) ? ' '.$header_class : '';
$clas          .= ( $hedinvis == '1' ) ? ' invis_head wst-head-wrap' : '';

if ( $ht_bar == '1' || (wst_theme_option("show_top_bar") == '1' && $ht_bar == '') ) {
    get_template_part( 'layout/headers/top-bar');
}

if ( !$h_menu == '1') { ?>
<?php if ( $hedinvis == '1') { ?>
    <button class="wst-head-btn">
        <i></i>
        <i></i>
        <i></i>
    </button>
<?php } ?>
<header class="<?php echo esc_attr($clas) ?>">
        
    <?php wst_header_logo(); ?>
    
    <?php wst_header_menu(); ?>
    
    <div class="side-bottom">
        
        <?php if( $srch == '1' ){ ?>
            <div class="side-bot-block">
                <?php get_search_form(); ?>
            </div>
        <?php } ?>
        
        <?php if( wst_theme_option("show_head_socials") == '1' ){ ?>
            <div class="side-bot-block">
                <?php echo wst_display_social_icons(); ?>
            </div> 
        <?php } ?>
                        
        <?php if ( wst_theme_option("show_head_copy") == '1' ) { ?>
            <div class="side-bot-block">
                <?php echo wp_kses( $wst_opts_copy, wst_allowed_tags() ); ?>
            </div>
        <?php } ?>
        
    </div>
        
</header>
<?php } ?>