<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

$layout = wst_theme_option( 'blogstyle' );

$class = 'post-item';
$class .= ( $layout == 'grid' || $layout == 'masonry' ) ? ' col-md-'.wst_theme_option('blog_columns') : '';

if ( $layout == 'masonry' || $layout == 'grid' ){
    wp_enqueue_script( 'imagesloaded',   wst_thm_uri . '/assets/js/vendor/imagesloaded.js',  array('jquery'), null, true);
    wp_enqueue_script( 'jquery-isotope',        wst_thm_uri . '/assets/js/vendor/isotope.js',       array('jquery'), null, true);
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?>>
    <div class="inner-post-item">               
        <?php 
        
        if ( is_sticky() && is_home() && ! is_paged() ) {
            echo '<span class="post-sticky" title="' . esc_attr__( 'Featured', 'qonspt' ) . '"><i class="stline-pin"></i></span>';
        }
        wst_post_thumbnail(); ?>
        
        <div class="post-info">
            
            <?php wst_post_title(); 
            wst_post_meta();
            wst_get_content_format();
            ?>
        </div>
        
    </div>                    
</article>