<?php 
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

get_header();  

$woo_bar = wst_theme_option('sidebar_woo');
if ( is_singular( 'product' ) ) {
    $sbar = wst_theme_option('show_sidebar_single_woo');
    $lay = ($sbar != '0' && $sbar != '') ? wst_theme_option('single_sidebar_position_woo') : "";
} else {
    $sbar = wst_theme_option('show_sidebar_woo');
    $lay = ($sbar != '0' && $sbar != '') ? wst_theme_option('sidebar_position_woo') : "";
}

$cell = ( $lay == "sidebar-left" || $lay == "left" ) ? ' rit-cell' : ' lft-cell';

// page title function.
wst_title_style(); 
   
?>

<div class="container">
    <div class="row oc-woo flxrow<?php echo esc_attr($cell); ?>">
        
        <?php if ( is_singular( 'product' ) ) { ?>
            
            <div class="wst-main-content wst-content-column">
                <?php woocommerce_content(); ?>
            </div>
            
            <?php if ( ($sbar != "" && $lay == 'right') || ($sbar != "" && $lay == 'left') ) {
                get_sidebar($woo_bar);
            }
        
        } else { ?> 
            
            <div class="wst-main-content wst-content-column">
                <?php wc_get_template( 'archive-product.php' ); ?>
            </div> 
            
            <?php if ( ($sbar != "" && $lay == 'right') || ($sbar != "" && $lay == 'left') ) {
                get_sidebar($woo_bar);
            }
        
        }
        ?>
        
        
    </div>
</div>
<div class="clearfix"></div>  
<?php

get_footer();