﻿
var WstWoo = WstWoo || {};

(function($) {

	"use strict";

	WstWoo.load = {
		
		wst_globals: function(){
			
			if( $('.woocommerce-product-gallery__wrapper a').length > 0 ){
				$('.woocommerce-product-gallery__wrapper a').magnificPopup({
					type:'image',
					gallery: {
						enabled: true
					}
				});
			}
			

			// product gallery..
			$('.it-has-gallery').each(function(){
				if ($(this).find('.catalog-wrap').find('.second-shop-catalog').length == 0){
					$(this).removeClass('it-has-gallery');
				}
			});

			$('.woocommerce div.product div.images').each(function(){
				var th = $(this);
				if(th.find('.woocommerce-product-gallery__image').length > 1){
					th.addClass('wst-single-gallery');
				}
			});

			$('.woocommerce .quantity .qty').each(function(){
				var th = $(this);
				th.before('<button class="wst-minus-qty">-</button>');
				th.after('<button class="wst-plus-qty">+</button>');
				th.parent().find('.wst-minus-qty').on('click', function(e){
					e.preventDefault();
					var counter = parseInt(th.val());
	                if( counter > 0 ){
						counter--;
					}
					$(th).val(counter);
					$('button[name="update_cart"]').prop("disabled", false);
				});
				th.parent().find('.wst-plus-qty').on('click', function(e){
					e.preventDefault();
					var counter = parseInt(th.val());
	                counter++;
					$(th).val(counter);
					$('button[name="update_cart"]').prop("disabled", false);
				});
			});

			var update_wishlist_count = function() {
		        $.ajax({
		            beforeSend: function () {
		 
		            },
		            complete  : function () {
		 
		            },
		            data      : {
		                action: 'update_wishlist_count'
		            },
		            success   : function (data) {
		                $('.top-cart a.wishlist_view span').html( data );
		            },
		 
		            url: yith_wcwl_l10n.ajax_url
		        });
		    };
		 
		    $('body').on( 'added_to_wishlist removed_from_wishlist', update_wishlist_count );

		},

		wst_woo_quick_view: function (){
			$('a.wst-quick-view').each(function(){
				var th = $(this);
				var rat = th.parent().find('.star-rating').clone();
				th.next('.wst_woo_quick_view').find('.wst-pro-rating').append(rat);
				th.on('click', function(e){
					e.preventDefault();
					$('.wst_overlay').fadeIn();
					th.next('.wst_woo_quick_view').fadeIn();
					th.next('.wst_woo_quick_view').find('.pro-img').slick({
						dots: false,
						arrows: true,
						vertical: false,
						slidesToShow: 1,
						touchMove: true,
						slidesToScroll: 1,
						infinite: false,
						prevArrow: '<a href="#" class="slick-prev fa fa-chevron-left"></a>',
						nextArrow: '<a href="#" class="slick-next fa fa-chevron-right"></a>',
					});
					th.next('.wst_woo_quick_view').find('.pro-img a.wst_pro_zoom').magnificPopup({
						type:'image',
						gallery: {
							enabled: true
						}
					});
				});
				
			});
			$('.wst_overlay').on('click',function(e){
				$('.wst_woo_quick_view').fadeOut();
				$(this).fadeOut();
			});
			/*$('.woocommerce .shop-item').each(function(){
				
				var th 		= $(this),
					cat 	= th.find(' > a > .catalog-wrap'),
					catH 	= parseInt(cat.outerHeight(),10),
					ad 		= th.find('a.button.add_to_cart_button'),
					gr 		= th.find('a.button.product_type_grouped'),
					vr 		= th.find('a.button.product_type_variable'),
					ex 		= th.find('a.button.product_type_external'),
					qv 		= th.find('a.wst-quick-view'),
					qvH 	= parseInt(qv.outerHeight(),10),
					tp 		= catH - qvH;

				ad.css('top', tp+'px');
				qv.css('top', tp+'px');
				vr.css('top', tp+'px');
				gr.css('top', tp+'px');
				ex.css('top', tp+'px');
			});*/
		}

	};

	WstWoo.docLoad = {
		init: function(){
			WstWoo.load.wst_globals();
			WstWoo.load.wst_woo_quick_view();
		}
	};

	$(window).on( 'load', WstWoo.docLoad.init );
	
})(jQuery);